robotpkg bulk build results

Log for Fedora-28-x86_64 (Back)

--- Syncing bulk database ---------------------------------------- setting Fedora-28-x86_64 as running --- Updating robotpkg -------------------------------------------- Pulling /local/robotpkg/var/lib/robotpkg/ From git://git.openrobots.org/robots/robotpkg 5dca94fb..3498d365 master -> origin/master HEAD is now at 3498d365 [meta-pkgs/ros-desktop] Remove MESSAGE definition Updating pkgtools/pkg_install ===> Updating for pkg_install-20110805.9 pkg_install-20110805.9 is already installed and up-to-date. Updating pkgtools/rbulkit ===> Updating for rbulkit-20180807 rbulkit-20180807 is already installed and up-to-date. --- Running build for bulk-rbulk ------------------------------- ===> Sorting packages for rbulk base set Scanning mapping/segkit:* [mapping/segkit:*] Warning: the LICENSE of mapping/segkit is undefined. Scanning hardware/velodyne-genom:* Scanning devel/jafar-kernel:* Scanning sysutils/arduio:* Scanning meta-pkgs/ros-desktop:* Scanning devel/gbx-share:* Scanning devel/orocos-log4cpp:* Scanning pkgtools/tnftp:tnftp>=20130505~ssl Scanning simulation/bullet:* Scanning audio/ogi-voice-as-diphone:* Scanning robots/neobotix-libs:* Scanning archivers/zlib:* Scanning optimization/roboptim-core:* Scanning lang/ros-gennodejs:* Scanning devel/log4cxx:* Scanning pkgtools/pkgin:* Scanning interfaces/ros-common-msgs:* Scanning graphics/gepetto-viewer:* Scanning graphics/jafar-gdhe:* Scanning robots/mor-libs:* Scanning mapping/mapkit:* [mapping/mapkit:*] Warning: the LICENSE of mapping/mapkit is undefined. Scanning localization/MTI-genom:* [localization/MTI-genom:*] Warning: the LICENSE of localization/MTI-genom is undefined. Scanning doc/boost-docs:* Scanning path/hpp-manipulation-corba:* Scanning interfaces/openrobots2-idl:* Scanning hardware/libftdi:* Scanning interfaces/abstract-gik-task:* Scanning audio/festlex-cmu:* Scanning image/libdc1394-1:* Scanning graphics/coldman-genom:* Scanning meta-pkgs/mana:* Scanning audio/clone-genom:* [audio/clone-genom:*] Warning: the LICENSE of audio/clone-genom is undefined. Scanning math/meschach:* Scanning net/rosix:* Scanning interfaces/genPos-genom:* Scanning devel/ros-filters:* Scanning math/tvmet:* [math/tvmet:*] Warning: the LICENSE of math/tvmet is undefined. Scanning sysutils/y2l:* Scanning image/visp:* Scanning image/viam-libs:* Scanning math/hpp-geometry:* Scanning meta-pkgs/hpp:* Scanning image/ros-image-common:* Scanning optimization/roboptim-trajectory:* Scanning graphics/ros-interactive-markers:* Scanning graphics/pqp:* Scanning interfaces/jrl-mal:* Scanning path/hpp-wholebody-step-corba:* Scanning audio/OGIlexicon:* Scanning devel/ros-realtime-tools:* Scanning robots/player20-libs:* Scanning net/py-poco:* Scanning graphics/laaswm-libs:* Scanning hardware/gyro-libs:* Scanning math/ros-geometry2:* Scanning math/jrl-dynamics-urdf:* Scanning lang/ros-message-generation:* Scanning devel/ros-roscpp-core:* Scanning localization/GPS-genom:* Scanning sysutils/py-catkin-pkg:* Scanning mapping/worldmodelgrid3dg-genom:* [mapping/worldmodelgrid3dg-genom:*] Warning: the LICENSE of mapping/worldmodelgrid3dg-genom is undefined. Scanning devel/ros-nodelet-core:* Scanning hardware/serial:* Scanning graphics/collada-dom:* Scanning math/jafar-jmath:* Scanning graphics/ros-geometric-shapes:* Scanning graphics/ros-urdf:* Scanning net/evart-stream:* Scanning interfaces/ros-control-msgs:* Scanning path/maneuver-genom3:* Scanning motion/sot-dynamic:* Scanning pkgtools/pkg-config:* Scanning motion/softMotion-libs:* Scanning sysutils/py-aafigure:* Scanning robots/rmp440-genom:* Scanning devel/ros-pluginlib:* Scanning robots/ivmob-libs:* Scanning sysutils/py-rospkg:* Scanning sysutils/console-bridge:* Scanning doc/demo-genom:* Scanning math/t3d:* [math/t3d:*] Warning: DOXYGEN_PLIST_DIR in math/t3d is deprecated. [math/t3d:*] Warning: use DYNAMIC_PLIST_DIRS instead. Scanning middleware/ros-genmsg:* Scanning sysutils/ros-console:* Scanning math/py-eigenpy:* Scanning lang/sun-jdk:* Scanning math/liblbfgs:* Scanning devel/ros-cmake-modules:* Scanning audio/sphinx2:* Scanning image/jafar-correl:* Scanning robots/jloco-genom:* [robots/jloco-genom:*] Warning: the LICENSE of robots/jloco-genom is undefined. Scanning lang/ros-message-runtime:* Scanning pkgtools/digest:* Scanning localization/gyro-genom:* [localization/gyro-genom:*] Warning: the LICENSE of localization/gyro-genom is undefined. Scanning path/hpp-statistics:* Scanning math/geometric-tools:* Scanning hardware/sickLib:* Scanning motion/pilo-genom:* [motion/pilo-genom:*] Warning: the LICENSE of motion/pilo-genom is undefined. Scanning graphics/ros-convex-decomposition:* Scanning devel/tinyxml:* Scanning graphics/ros-rqt-common-plugins:* Scanning motion/ros-control-toolbox:* Scanning motion/locoDemo-genom:* Scanning robots/rmp440-genom3:* Scanning optimization/acado:* Scanning audio/speett-genom:* Scanning localization/hueblob-genom:* Scanning speech/gspeett:* Scanning pkgtools/pkg_install:* Scanning hardware/velodyne-libs:* Scanning simulation/openhrp3:* Scanning architecture/genom3:* Scanning middleware/ros-comm:* Scanning middleware/omniORBpy:* Scanning graphics/flann:* Scanning hardware/GPSNovatel:* [hardware/GPSNovatel:*] Warning: the LICENSE of hardware/GPSNovatel is undefined. Scanning image/artoolkitplus:* Scanning motion/orocos-kdl:* Scanning robots/ivmob-genom:* Scanning robots/tk3-mikrokopter:* Scanning sysutils/alog:* Scanning middleware/openni2:* Scanning middleware/naoqi:* Scanning motion/dynamic-graph:* Scanning sysutils/tk3-flash:* Scanning interfaces/openrobots-idl:* Scanning path/hpp-walkgen:* Scanning simulation/morse-yarp:* Scanning path/ndd-genom:* [path/ndd-genom:*] Warning: the LICENSE of path/ndd-genom is undefined. Scanning math/eigen2:* Scanning math/eigen3:* Scanning localization/odokit:* [localization/odokit:*] Warning: the LICENSE of localization/odokit is undefined. Scanning hardware/sahand-libs:* Scanning graphics/gdhe:* Scanning hardware/sahand-genom:* [hardware/sahand-genom:*] Warning: the LICENSE of hardware/sahand-genom is undefined. Scanning supervision/matlab-genomix:* Scanning middleware/openni:* Scanning knowledge/py-oro:* Scanning mapping/zone-genom:* [mapping/zone-genom:*] Warning: the LICENSE of mapping/zone-genom is undefined. Scanning interfaces/genHum-genom:* Scanning audio/festvox-cmu-us-awb-arctic-hts:* Scanning math/ros-random-numbers:* Scanning lang/ros-gencpp:* Scanning devel/ros-xacro:* Scanning localization/ros-joint-state-publisher:* Scanning math/gbM:* Scanning image/viman-genom:* Scanning supervision/openprs:* Scanning audio/festival:* Scanning pkgtools/robotpkgdb:* Scanning math/hrp2-dynamics:* Scanning knowledge/pellet:* Scanning pkgtools/install-sh:* Scanning hardware/platine-genom:* Scanning pkgtools/libtool:* Scanning graphics/assimp:* Scanning shell/eltclsh:* Scanning image/libimages3d:* Scanning hardware/openni-sensor:* Scanning graphics/Togl:* Scanning math/py-pinocchio:* Scanning hardware/force-genom:* [hardware/force-genom:*] Warning: the LICENSE of hardware/force-genom is undefined. Scanning hardware/daqflex-libs:* Scanning lang/ros-genlisp:* Scanning hardware/gyroKVH1000:* Scanning devel/boost-build:* Scanning robots/romeo-description:* Scanning graphics/grh2:* Scanning math/ros-eigen-stl-containers:* Scanning interfaces/ros-navigation-msgs:* Scanning robots/rmp-libs:* Scanning interfaces/ros-std-msgs:* Scanning devel/gbx-flexiport:* Scanning graphics/ros-qt-gui-core:* Scanning image/libraw1394:* Scanning robots/nao-robot:* Scanning localization/libpom:* Scanning net/evart-client:* [net/evart-client:*] Warning: DOXYGEN_PLIST_DIR in net/evart-client is deprecated. [net/evart-client:*] Warning: use DYNAMIC_PLIST_DIRS instead. Scanning hardware/sick-genom:* [hardware/sick-genom:*] Warning: the LICENSE of hardware/sick-genom is undefined. Scanning net/ros-resource-retriever:* Scanning archivers/libarchive:* Scanning architecture/genom:* Scanning graphics/ros-python-qt-binding:* Scanning manipulation/genManip-genom:* Scanning path/hpp-manipulation:* Scanning graphics/ros-kdl-parser:* Scanning interfaces/abstract-robot-dynamics:* Scanning robots/rmp400-genom:* Scanning devel/boost-jam:* Scanning optimization/qpoases:* Scanning optimization/roboptim-core-ipopt-plugin:* [optimization/roboptim-core-ipopt-plugin:*] Warning: DOXYGEN_PLIST_DIR in optimization/roboptim-core-ipopt-plugin is deprecated. [optimization/roboptim-core-ipopt-plugin:*] Warning: use DYNAMIC_PLIST_DIRS instead. Scanning image/libdc1394:* Scanning sysutils/ros-rqt-graph:* Scanning knowledge/oro-server:* Scanning motion/sot-romeo:* Scanning localization/pom-genom:* Scanning hardware/gyroKVH5000:* Scanning robots/play-genom:* [robots/play-genom:*] Warning: the LICENSE of robots/play-genom is undefined. Scanning graphics/urdfdom-headers:* Scanning middleware/orocos-rtt:* Scanning optimization/ipopt:* Scanning sysutils/ros-console-bridge:* Scanning meta-pkgs/orocos-toolchain:* Scanning net/tclpcap:* Scanning graphics/hpp-gepetto-viewer:* Scanning motion/py-orocos-kdl:* Scanning audio/textos-genom:* Scanning net/libtclserv_client:* Scanning devel/cortex-sdk:* Scanning net/netshring:* Scanning graphics/primitiveShapes-libs:* Scanning supervision/genom3-openprs:* Scanning path/hpp-corbaserver:* Scanning doc/demo-genom3:* Scanning localization/segloc-genom:* [localization/segloc-genom:*] Warning: the LICENSE of localization/segloc-genom is undefined. Scanning graphics/ros-ivcon:* Scanning image/ros-vision-opencv:* Scanning scripts/pilo-demo:* Scanning robots/rflexclients:* Scanning doc/hpp-tutorial:* Scanning localization/ros-robot-state-publisher:* Scanning mapping/regionMap-lib:* Scanning sysutils/py-rosdistro:* Scanning hardware/dynamixel-genom3:* Scanning robots/tk3-matlab:* Scanning graphics/robot-capsule-urdf:* Scanning devel/boost-libs:* Scanning supervision/ros-executive-smach:* Scanning path/libp3d:* Scanning scripts/py-sot-application:* Scanning path/libkdtp:* Scanning devel/libedit:* Scanning motion/dynamic-graph-bridge-msgs:* Scanning architecture/genom3-pocolibs:* Scanning image/jafar-image:* Scanning meta-pkgs/boost:* Scanning editors/mg:* Scanning simulation/gazebo-ros-pkgs:* Scanning sysutils/ros-diagnostics:* Scanning supervision/transgen:* Scanning graphics/laaswm:* Scanning archivers/bzip2:* Scanning path/aspect-genom:* [path/aspect-genom:*] Warning: the LICENSE of path/aspect-genom is undefined. Scanning localization/insitu:* Scanning pkgtools/pkgrepo2deb:* Scanning robots/rmp440-libs:* Scanning math/libccd:* Scanning math/hpp-pinocchio:* Scanning devel/ros-catkin:* Scanning meta-pkgs/minnie:* Scanning path/p3d-genom:p3d-genom>=1.1~rmp400+rmp440 [path/p3d-genom:p3d-genom>=1.1~rmp400+rmp440] Warning: the LICENSE of path/p3d-genom is undefined. Scanning image/libstereopixel:* Scanning math/lapack:* Scanning middleware/ace:* Scanning meta-pkgs/ros-robot:* Scanning speech/dialogs:* Scanning motion/py-sot-tools:* Scanning image/coriander:* Scanning robots/rflex-genom:* [robots/rflex-genom:*] Warning: the LICENSE of robots/rflex-genom is undefined. Scanning middleware/ros-dynamic-reconfigure:* Scanning simulation/mrsim-genom3:* Scanning sysutils/tth:* Scanning mapping/dtm-genom:* [mapping/dtm-genom:*] Warning: the LICENSE of mapping/dtm-genom is undefined. Scanning archivers/lz4:* Scanning devel/ros-ros:* Scanning path/p3d-genom:* [path/p3d-genom:*] Warning: the LICENSE of path/p3d-genom is undefined. Scanning doc/robotpkg:* Scanning image/viam-genom:* Scanning knowledge/jena:* Scanning path/jrl-walkgen:* Scanning image/viam-dc1394-driver:* Scanning supervision/tcl-genomix:* Scanning lang/ros-genpy:* Scanning robots/hrpsys-base:* Scanning math/ros-angles:* Scanning localization/pom-genom3:* Scanning graphics/gepetto-viewer-corba:* Scanning robots/hrp2-10:* Scanning architecture/genom3-ros:* Scanning localization/mocap-genom:* Scanning robots/hrp2-14:* Scanning math/jrl-mathtools:* Scanning robots/scout-genom:* [robots/scout-genom:*] Warning: the LICENSE of robots/scout-genom is undefined. Scanning robots/mikrokopter-genom3:* Scanning doc/hpp-doc:* Scanning devel/boost-headers:* Scanning sysutils/py-rosdep:* Scanning image/openni-nite:* Scanning meta-pkgs/ros-base:* Scanning meta-pkgs/gearbox:* Scanning math/boost-numeric-bindings:* Scanning path/hpp-manipulation-urdf:* Scanning net/genomix:* Scanning simulation/morse:* Scanning graphics/coldman-libs:* Scanning devel/yaml-cpp:* Scanning pkgtools/url2robotpkg:* Scanning robots/mana-emergency:* Scanning hardware/cwiid:* Scanning knowledge/liboro:* [knowledge/liboro:*] Warning: DOXYGEN_PLIST_DIR in knowledge/liboro is deprecated. [knowledge/liboro:*] Warning: use DYNAMIC_PLIST_DIRS instead. Scanning sysutils/arduio-genom3:* Scanning devel/ros-class-loader:* Scanning pkgtools/tnftp:* Scanning lang/ros-geneus:* Scanning architecture/orocos-ocl:* Scanning math/boost-numeric-bindings-v1:* Scanning path/hpp-util:* Scanning motion/contlaw:* [motion/contlaw:*] Warning: the LICENSE of motion/contlaw is undefined. Scanning mapping/libdtm:* [mapping/libdtm:*] Warning: the LICENSE of mapping/libdtm is undefined. Scanning math/sensFusion-libs:* Scanning motion/nhfc-genom3:* Scanning devel/swig:* Scanning pkgtools/libnbcompat:* Scanning middleware/py-yarp:* Scanning middleware/yarp:yarp>=2.3.64<2.3.70 Scanning motion/sot-core:* Scanning middleware/hpp-template-corba:* Scanning meta-pkgs/jafar:* Scanning archivers/pax:* Scanning image/niut-genom:* Scanning motion/dynamic-graph-bridge:* Scanning image/stereopixel-genom:* Scanning interfaces/ros-humanoid-msgs:* Scanning middleware/ros-actionlib:* Scanning www/picoweb:* Scanning middleware/yarp:* Scanning graphics/openvrml-libs:* Scanning path/hpp-fcl:* Scanning net/zeromq:* Scanning motion/ros-orocos-kinematics-dynamics:* Scanning math/jrl-dynamics:* Scanning interfaces/genBasic-genom:* Scanning interfaces/ros-comm-msgs:* Scanning devel/mkdep:* Scanning pkgtools/rbulkit:* Scanning sysutils/ros-rospack:* Scanning mapping/worldmodelgrid3d:* [mapping/worldmodelgrid3d:*] Warning: the LICENSE of mapping/worldmodelgrid3d is undefined. Scanning supervision/transgen3:* Scanning hardware/sahand-kmod:* Scanning devel/ros-lint:* Scanning middleware/pocolibs:* Scanning middleware/libjyarp:* Scanning mapping/regionMap-genom:* Scanning middleware/openrtm-aist:* Scanning hardware/joystick-genom3:* Scanning hardware/MTI:* [hardware/MTI:*] Warning: the LICENSE of hardware/MTI is undefined. Scanning audio/festlex-poslex:* Scanning image/sift:* Scanning middleware/omniORB:* Scanning devel/ros-bond-core:* Scanning devel/jsoncpp:* [devel/jsoncpp:*] Warning: DOXYGEN_PLIST_DIR in devel/jsoncpp is deprecated. [devel/jsoncpp:*] Warning: use DYNAMIC_PLIST_DIRS instead. Scanning hardware/mccdaqft-genom3:* Scanning graphics/ros-rqt:* Scanning graphics/vcglib:* [graphics/vcglib:*] Warning: DOXYGEN_PLIST_DIR in graphics/vcglib is deprecated. [graphics/vcglib:*] Warning: use DYNAMIC_PLIST_DIRS instead. Scanning motion/sot-pattern-generator:* Scanning sysutils/ros-rqt-plot:* Scanning path/hpp-gik:* Scanning mapping/ros-laser-geometry:* Scanning path/hpp-wholebody-step:* Scanning motion/ros-control:* Scanning net/tclserv:* Scanning hardware/gbx-hokuyo-aist:* Scanning hardware/mouse3d-genom:* Scanning mapping/octomap:* Scanning pkgtools/robotpkg_chk:* Scanning image/viam-v4l-driver:* Scanning sysutils/interceptty:* Scanning motion/py-dynamic-graph:* Scanning sysutils/ros-rviz:* Scanning path/hpp-core:* Scanning lang/jython:* Scanning math/ros-geometry:* Scanning localization/optitrack-genom3:* Scanning image/opencv2:* Scanning image/opencv3:* Scanning net/libfetch:* Scanning graphics/urdfdom:* Scanning math/pinocchio:* Scanning graphics/sun-java3d:* Scanning path/hpp-constraints:* Scanning localization/optitrack-genom3:optitrack-genom3-1.6.1~codels+openprs+ros-client-c+ros-client-ros+ros-server+!* Scanning localization/optitrack-genom3:optitrack-genom3-1.6.1~codels+pocolibs-client-c+openprs+pocolibs-server+!* Scanning hardware/mccdaqft-genom3:mccdaqft-genom3-1.0~codels+openprs+ros-client-c+ros-client-ros+ros-server+!* Scanning hardware/mccdaqft-genom3:mccdaqft-genom3-1.0~codels+pocolibs-client-c+openprs+pocolibs-server+!* Scanning hardware/joystick-genom3:joystick-genom3-1.0~codels+openprs+ros-client-c+ros-client-ros+ros-server+!* Scanning hardware/joystick-genom3:joystick-genom3-1.0~codels+pocolibs-client-c+openprs+pocolibs-server+!* Scanning middleware/yarp:yarp-2.3.64r3~!* Scanning middleware/py-yarp:py36-yarp-2.3.64 Scanning middleware/py-yarp:py35-yarp-2.3.64 Scanning middleware/py-yarp:py34-yarp-2.3.64 Scanning middleware/py-yarp:py32-yarp-2.3.64 Scanning motion/nhfc-genom3:nhfc-genom3-1.5~codels+openprs+ros-client-c+ros-client-ros+ros-server+!* Scanning motion/nhfc-genom3:nhfc-genom3-1.5~codels+pocolibs-client-c+openprs+pocolibs-server+!* Scanning middleware/orocos-rtt:orocos-rtt-2.9.0rc1~!corba Scanning pkgtools/tnftp:tnftp-20130505~ssl Scanning sysutils/arduio-genom3:arduio-genom3-1.3~codels+openprs+ros-client-c+ros-client-ros+ros-server+!* Scanning sysutils/arduio-genom3:arduio-genom3-1.3~codels+pocolibs-client-c+openprs+pocolibs-server+!* Scanning graphics/coldman-libs:coldman-libs-1.4~display Scanning simulation/morse:morse-1.4~doc+!* Scanning hardware/openni-sensor:openni-sensor-5.1.0.41r1~sse3 Scanning sysutils/py-rosdep:py36-rosdep-0.10.30 Scanning sysutils/py-rospkg:py36-rospkg>=1.0.29 Scanning sysutils/py-catkin-pkg:py36-catkin-pkg>=0.2 Scanning sysutils/py-rosdep:py35-rosdep-0.10.30 Scanning sysutils/py-catkin-pkg:py35-catkin-pkg>=0.2 Scanning sysutils/py-rospkg:py35-rospkg>=1.0.29 Scanning sysutils/py-rosdep:py34-rosdep-0.10.30 Scanning sysutils/py-catkin-pkg:py34-catkin-pkg>=0.2 Scanning sysutils/py-rospkg:py34-rospkg>=1.0.29 Scanning sysutils/py-rosdep:py32-rosdep-0.10.30 Scanning robots/mikrokopter-genom3:mikrokopter-genom3-1.7r1~codels+openprs+ros-client-c+ros-client-ros+ros-server+!* Scanning robots/mikrokopter-genom3:mikrokopter-genom3-1.7r1~codels+pocolibs-client-c+openprs+pocolibs-server+!* Scanning lang/ros-gencpp:ros-gencpp>=0.6<=0.6.0 Scanning localization/pom-genom3:pom-genom3-2.3r2~codels+openprs+ros-client-c+ros-client-ros+ros-server+!* Scanning localization/pom-genom3:pom-genom3-2.3r2~codels+pocolibs-client-c+openprs+pocolibs-server+!* Scanning image/viam-libs:viam-libs-1.12r1~opencv Scanning path/p3d-genom:p3d-genom-1.5r2~rmp400 [path/p3d-genom:p3d-genom-1.5r2~rmp400] Warning: the LICENSE of path/p3d-genom is undefined. Scanning path/libp3d:libp3d-1.4r2~rmp400 Scanning simulation/mrsim-genom3:mrsim-genom3-1.2~codels+openprs+ros-client-c+ros-client-ros+ros-server+!* Scanning simulation/mrsim-genom3:mrsim-genom3-1.2~codels+pocolibs-client-c+openprs+pocolibs-server+!* Scanning path/p3d-genom:p3d-genom>=1.1~rmp440 [path/p3d-genom:p3d-genom>=1.1~rmp440] Warning: the LICENSE of path/p3d-genom is undefined. Scanning path/libp3d:libp3d>=1.4~rmp440 Scanning robots/rmp440-genom:rmp440-genom-0.6~gyro Scanning image/ros-vision-opencv:ros-vision-opencv>=1.13<=1.13.0 Scanning motion/ros-control-toolbox:ros-control-toolbox>=1.16<=1.16.0 Scanning scripts/py-sot-application:py36-sot-application-1.0.0r3 Scanning scripts/py-sot-application:py35-sot-application-1.0.0r3 Scanning scripts/py-sot-application:py34-sot-application-1.0.0r3 Scanning scripts/py-sot-application:py32-sot-application-1.0.0r3 Scanning hardware/dynamixel-genom3:dynamixel-genom3-2.2~codels+openprs+ros-client-c+ros-client-ros+ros-server+!* Scanning hardware/dynamixel-genom3:dynamixel-genom3-2.2~codels+pocolibs-client-c+openprs+pocolibs-server+!* Scanning sysutils/py-rosdistro:py36-rosdistro-0.3.5 Scanning sysutils/py-rosdistro:py35-rosdistro-0.3.5 Scanning sysutils/py-rosdistro:py34-rosdistro-0.3.5 Scanning sysutils/py-rosdistro:py32-rosdistro-0.3.5 Scanning motion/pilo-genom:pilo-genom>=1.2~locoDemo [motion/pilo-genom:pilo-genom>=1.2~locoDemo] Warning: the LICENSE of motion/pilo-genom is undefined. Scanning doc/demo-genom3:demo-genom3-1.3~codels+openprs+ros-client-c+ros-client-ros+ros-server+!* Scanning doc/demo-genom3:demo-genom3-1.3~codels+pocolibs-client-c+openprs+pocolibs-server+!* Scanning motion/py-orocos-kdl:py36-orocos-kdl-1.4.0 Scanning motion/py-orocos-kdl:py35-orocos-kdl-1.4.0 Scanning motion/py-orocos-kdl:py34-orocos-kdl-1.4.0 Scanning motion/py-orocos-kdl:py32-orocos-kdl-1.4.0 Scanning robots/rmp400-genom:rmp400-genom-0.12~gyro Scanning hardware/sick-genom:sick-genom-0.2~atrv [hardware/sick-genom:sick-genom-0.2~atrv] Warning: the LICENSE of hardware/sick-genom is undefined. Scanning math/py-pinocchio:py36-pinocchio-1.2.9 Scanning math/py-pinocchio:py35-pinocchio-1.2.9 Scanning math/py-pinocchio:py34-pinocchio-1.2.9 Scanning math/py-pinocchio:py32-pinocchio-1.2.9 Scanning middleware/openni:openni-1.5.2.23r1~sse3 Scanning robots/rmp440-genom3:rmp440-genom3-0.1r2~codels+openprs+ros-client-c+ros-client-ros+ros-server+!* Scanning robots/rmp440-genom3:rmp440-genom3-0.1r2~codels+pocolibs-client-c+openprs+pocolibs-server+!* Scanning interfaces/ros-control-msgs:ros-control-msgs>=1.4<=1.4.0 Scanning motion/pilo-genom:pilo-genom-1.2r1~rmp400 [motion/pilo-genom:pilo-genom-1.2r1~rmp400] Warning: the LICENSE of motion/pilo-genom is undefined. Scanning localization/gyro-genom:gyro-genom-0.3r1~gyroKVH5000+openprs+tclserv_client [localization/gyro-genom:gyro-genom-0.3r1~gyroKVH5000+openprs+tclserv_client] Warning: the LICENSE of localization/gyro-genom is undefined. Scanning localization/gyro-genom:gyro-genom-0.3r1~tclserv_client+openprs+gyroKVH1000 [localization/gyro-genom:gyro-genom-0.3r1~tclserv_client+openprs+gyroKVH1000] Warning: the LICENSE of localization/gyro-genom is undefined. Scanning math/py-eigenpy:py36-eigenpy-1.4.4 Scanning math/py-eigenpy:py35-eigenpy-1.4.4 Scanning math/py-eigenpy:py34-eigenpy-1.4.4 Scanning math/py-eigenpy:py32-eigenpy-1.4.4 Scanning sysutils/py-rospkg:py32-rospkg-1.1.7 Scanning motion/softMotion-libs:softMotion-libs-3.12~tcl+!* Scanning path/maneuver-genom3:maneuver-genom3-1.4~codels+openprs+ros-client-c+ros-client-ros+ros-server+!* Scanning path/maneuver-genom3:maneuver-genom3-1.4~codels+pocolibs-client-c+openprs+pocolibs-server+!* Scanning lang/ros-message-generation:ros-message-generation>=0.4<=0.4.0 Scanning sysutils/py-catkin-pkg:py32-catkin-pkg-0.4.8 Scanned 599 packages (431 unique) [0%] Processing net/libfetch:libfetch-2.33.1 ===> Bulk building for libfetch-2.33.1 Binary package for libfetch-2.33.1 is up-to-date. [0%] Processing pkgtools/digest:digest-20080510 ===> Bulk building for digest-20080510 Binary package for digest-20080510 is up-to-date. [0%] Processing pkgtools/robotpkgdb:robotpkgdb-20180925 ===> Cleaning temporary files for robotpkgdb-20180925~csv+sqlite ===> Bulk building for robotpkgdb-20180925~csv+sqlite => Checking for clear installation => Required system package gzip: gzip-1.9 found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Building with the following options: => Required system package A BSD-compatible install program: install-sh found => Required system package sqlite3>=3: sqlite3-3.22.0 found => Configuring sources => Registering installation for robotpkgdb-20180925~csv+sqlite => Linking package in /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/pub ===> Logging bulk summary for robotpkgdb-20180925~csv+sqlite => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for robotpkgdb-20180925~csv+sqlite ===> Done bulk for robotpkgdb-20180925~csv+sqlite [0%] Processing pkgtools/robotpkg_chk:robotpkg_chk-1.1 ===> Bulk building for robotpkg_chk-1.1 Binary package for robotpkg_chk-1.1 is up-to-date. [0%] Processing archivers/bzip2:bzip2-1.0.5 ===> Bulk building for bzip2-1.0.5 Binary package for bzip2-1.0.5 is up-to-date. [1%] Processing doc/robotpkg:robotpkg-guide-20180925 ===> Bulk building for robotpkg-guide-20180925~pdf Binary package for robotpkg-guide-20180925~pdf is up-to-date. [1%] Processing archivers/pax:pax-20080110 ===> Bulk building for pax-20080110 Binary package for pax-20080110 is up-to-date. [1%] Processing archivers/zlib:zlib-1.2.3 ===> Bulk building for zlib-1.2.3 Binary package for zlib-1.2.3 is up-to-date. [1%] Processing pkgtools/install-sh:install-sh-20070712 ===> Bulk building for install-sh-20070712 Binary package for install-sh-20070712 is up-to-date. [2%] Processing archivers/libarchive:libarchive-2.8.4 ===> Bulk building for libarchive-2.8.4 Binary package for libarchive-2.8.4 is up-to-date. [2%] Processing pkgtools/pkg_install:pkg_install-20110805.9 ===> Bulk building for pkg_install-20110805.9 Binary package for pkg_install-20110805.9 is up-to-date. [2%] Processing pkgtools/url2robotpkg:url2robotpkg-2.7 ===> Bulk building for url2robotpkg-2.7 Binary package for url2robotpkg-2.7 is up-to-date. [2%] Processing pkgtools/tnftp:tnftp-20130505~ssl ===> Bulk building for tnftp-20130505~ssl Binary package for tnftp-20130505~ssl is up-to-date. [3%] Processing math/eigen3:eigen3-3.2.4 ===> Bulk building for eigen3-3.2.4 Binary package for eigen3-3.2.4 is up-to-date. [3%] Processing devel/cortex-sdk:cortex-sdk-1.0.3 ===> Bulk building for cortex-sdk-1.0.3 Binary package for cortex-sdk-1.0.3 is up-to-date. [3%] Processing doc/boost-docs:boost-docs-1.52.0 ===> Bulk building for boost-docs-1.52.0 Binary package for boost-docs-1.52.0 is up-to-date. [3%] Processing pkgtools/pkg-config:pkg-config-0.29 ===> Bulk building for pkg-config-0.29 Binary package for pkg-config-0.29 is up-to-date. [3%] Processing devel/orocos-log4cpp:orocos-log4cpp-2.9.0rc1 ===> Bulk building for orocos-log4cpp-2.9.0rc1 Binary package for orocos-log4cpp-2.9.0rc1 is up-to-date. [4%] Processing audio/ogi-voice-as-diphone:ogi-voice_as_diphone-2.3 ===> Bulk building for ogi-voice_as_diphone-2.3 Binary package for ogi-voice_as_diphone-2.3 is up-to-date. [4%] Processing speech/dialogs:dialogs-0.9 ===> Bulk building for dialogs-0.9 Binary package for dialogs-0.9 is up-to-date. [4%] Processing graphics/pqp:pqp-1.3r3 ===> Bulk building for pqp-1.3r3 Binary package for pqp-1.3r3 is up-to-date. [4%] Processing graphics/robot-capsule-urdf:robot-capsule-urdf-1.0.1r2 ===> Bulk building for robot-capsule-urdf-1.0.1r2 Binary package for robot-capsule-urdf-1.0.1r2 is up-to-date. [5%] Processing pkgtools/libnbcompat:libnbcompat-20150615 ===> Bulk building for libnbcompat-20150615 Binary package for libnbcompat-20150615 is up-to-date. [5%] Processing hardware/cwiid:cwiid-0.6.00 ===> Bulk building for cwiid-0.6.00 Binary package for cwiid-0.6.00 is up-to-date. [5%] Processing sysutils/tk3-flash:tk3-flash-1.3.1 ===> Bulk building for tk3-flash-1.3.1 Binary package for tk3-flash-1.3.1 is up-to-date. [5%] Processing graphics/collada-dom:collada-dom-2.3.1r2 ===> Bulk building for collada-dom-2.3.1r2 Binary package for collada-dom-2.3.1r2 is up-to-date. [6%] Processing math/sensFusion-libs:sensFusion-libs-1.3 ===> Bulk building for sensFusion-libs-1.3 Binary package for sensFusion-libs-1.3 is up-to-date. [6%] Processing middleware/naoqi:naoqi-2.1.0.19 ===> Bulk building for naoqi-2.1.0.19 Binary package for naoqi-2.1.0.19 is up-to-date. [6%] Processing image/libdc1394-1:libdc1394_1-1.2.1 ===> Bulk building for libdc1394_1-1.2.1 Binary package for libdc1394_1-1.2.1 is up-to-date. [6%] Processing optimization/qpoases:qpoases-3.2.1 ===> Bulk building for qpoases-3.2.1~doc Binary package for qpoases-3.2.1~doc is up-to-date. [6%] Processing devel/jafar-kernel:jafar-kernel-0.6r1 ===> Cleaning temporary files for jafar-kernel-0.6r1 ===> Bulk building for jafar-kernel-0.6r1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.9 found => Required system package patch>=2.0: patch-2.7.6 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package boost-headers>=1.34.1<1.65: MISSING WARNING: Cannot check installed version of boost-lib-filesystem WARNING: Cannot check installed version of boost-lib-iostreams WARNING: Cannot check installed version of boost-lib-math WARNING: Cannot check installed version of boost-lib-thread => Dependency digest-20080510 already installed => Dependency tnftp-20130505~ssl already installed ERROR: ====================================================================== ERROR: Missing system packages required for jafar-kernel-0.6r1: ERROR: ERROR: boost-headers>=1.34.1<1.65 (Fedora package boost-devel) ERROR: ERROR: Please use the system package management tool to install these ERROR: dependencies. If a robotpkg version of a dependency is available, ERROR: you can configure robotpkg.conf to use this version instead. ERROR: ERROR: See /local/robotpkg/var/tmp/robotpkg/devel/jafar-kernel/work/sysdep.log for details. ERROR: ====================================================================== make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/depends/sysdep.mk:35: sys-depends] Error 2 ===> Logging bulk summary for jafar-kernel-0.6r1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for jafar-kernel-0.6r1 ===> Done bulk for jafar-kernel-0.6r1 [7%] Processing middleware/openni:openni-1.5.2.23r1~sse3 ===> Bulk building for openni-1.5.2.23r1~sse3 Binary package for openni-1.5.2.23r1~sse3 is up-to-date. [7%] Processing math/meschach:meschach-1.2b ===> Bulk building for meschach-1.2b Binary package for meschach-1.2b is up-to-date. [7%] Processing middleware/openni2:openni2-2.2beta2r1 ===> Bulk building for openni2-2.2beta2r1~sse3 Binary package for openni2-2.2beta2r1~sse3 is up-to-date. [7%] Processing math/lapack:lapack-3.7.0r1 ===> Bulk building for lapack-3.7.0r1 Binary package for lapack-3.7.0r1 is up-to-date. [8%] Processing robots/neobotix-libs:neobotix-libs-2.1r1 ===> Bulk building for neobotix-libs-2.1r1 Binary package for neobotix-libs-2.1r1 is up-to-date. [8%] Processing robots/rflexclients:rflexclients-2.0 ===> Bulk building for rflexclients-2.0 Binary package for rflexclients-2.0 is up-to-date. [8%] Processing sysutils/y2l:y2l-1.0 ===> Bulk building for y2l-1.0 Binary package for y2l-1.0 is up-to-date. [8%] Processing supervision/matlab-genomix:matlab-genomix-1.7.2 ===> Cleaning temporary files for matlab-genomix-1.7.2 ===> Bulk building for matlab-genomix-1.7.2 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.9 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Required system package matlab: MISSING => Dependency tnftp-20130505~ssl already installed ERROR: ====================================================================== ERROR: Missing system packages required for matlab-genomix-1.7.2: ERROR: ERROR: matlab ERROR: ERROR: Please use the system package management tool to install these ERROR: dependencies. If a robotpkg version of a dependency is available, ERROR: you can configure robotpkg.conf to use this version instead. ERROR: ERROR: See /local/robotpkg/var/tmp/robotpkg/supervision/matlab-genomix/work/sysdep.log for details. ERROR: ====================================================================== make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/depends/sysdep.mk:35: sys-depends] Error 2 ===> Logging bulk summary for matlab-genomix-1.7.2 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for matlab-genomix-1.7.2 ===> Done bulk for matlab-genomix-1.7.2 [9%] Processing doc/hpp-doc:hpp-doc-3.0.0 ===> Bulk building for hpp-doc-3.0.0 Binary package for hpp-doc-3.0.0 is up-to-date. [9%] Processing hardware/sahand-libs:sahand-libs-08.08.14r1 ===> Bulk building for sahand-libs-08.08.14r1 Binary package for sahand-libs-08.08.14r1 is up-to-date. [9%] Processing hardware/libftdi:libftdi-0.19 ===> Bulk building for libftdi-0.19~doc Binary package for libftdi-0.19~doc is up-to-date. [9%] Processing pkgtools/pkgin:pkgin-0.6.4r2 ===> Bulk building for pkgin-0.6.4r2 Binary package for pkgin-0.6.4r2 is up-to-date. [9%] Processing knowledge/py-oro:py27-oro-1.0.1 ===> Bulk building for py27-oro-1.0.1 Binary package for py27-oro-1.0.1 is up-to-date. [10%] Processing lang/sun-jdk:sun-jdk-1.6.0.33 ===> Bulk building for sun-jdk-1.6.0.33 Binary package for sun-jdk-1.6.0.33 is up-to-date. [10%] Processing math/libccd:libccd-2.0 ===> Bulk building for libccd-2.0 Binary package for libccd-2.0 is up-to-date. [10%] Processing middleware/pocolibs:pocolibs-2.17 ===> Bulk building for pocolibs-2.17 Binary package for pocolibs-2.17 is up-to-date. [10%] Processing simulation/morse:morse-1.4~!* ===> Bulk building for morse-1.4 Binary package for morse-1.4 is up-to-date. [11%] Processing simulation/morse:morse-1.4~doc+!* ===> Bulk building for morse-1.4~doc Binary package for morse-1.4~doc is up-to-date. [11%] Processing graphics/flann:flann-1.7.1r1 ===> Bulk building for flann-1.7.1r1 Binary package for flann-1.7.1r1 is up-to-date. [11%] Processing image/opencv2:opencv2-2.4.13.6 ===> Bulk building for opencv2-2.4.13.6 Binary package for opencv2-2.4.13.6 is up-to-date. [11%] Processing image/opencv3:opencv3-3.4.3 ===> Bulk building for opencv3-3.4.3 Binary package for opencv3-3.4.3 is up-to-date. [12%] Processing math/tvmet:tvmet-1.7.2 Warning: the LICENSE of math/tvmet is undefined. ===> Bulk building for tvmet-1.7.2 Binary package for tvmet-1.7.2 is up-to-date. [12%] Processing image/libdc1394:libdc1394-2.1.2 ===> Bulk building for libdc1394-2.1.2 Binary package for libdc1394-2.1.2 is up-to-date. [12%] Processing motion/softMotion-libs:softMotion-libs-3.12~!* ===> Bulk building for softMotion-libs-3.12 Binary package for softMotion-libs-3.12 is up-to-date. [12%] Processing motion/softMotion-libs:softMotion-libs-3.12~tcl+!* ===> Bulk building for softMotion-libs-3.12~tcl Binary package for softMotion-libs-3.12~tcl is up-to-date. [12%] Processing net/zeromq:zeromq-2.0.10 ===> Bulk building for zeromq-2.0.10~pgm Binary package for zeromq-2.0.10~pgm is up-to-date. [13%] Processing net/netshring:netshring-1.2 ===> Bulk building for netshring-1.2 Binary package for netshring-1.2 is up-to-date. [13%] Processing path/libkdtp:libkdtp-1.2 ===> Bulk building for libkdtp-1.2 Binary package for libkdtp-1.2 is up-to-date. [13%] Processing math/jrl-mathtools:jrl-mathtools-1.5.2r3 ===> Bulk building for jrl-mathtools-1.5.2r3 Binary package for jrl-mathtools-1.5.2r3 is up-to-date. [13%] Processing robots/mor-libs:mor-libs-0.3 ===> Bulk building for mor-libs-0.3 Binary package for mor-libs-0.3 is up-to-date. [14%] Processing archivers/lz4:lz4-121r1 ===> Bulk building for lz4-121r1 Binary package for lz4-121r1 is up-to-date. [14%] Processing math/py-eigenpy:py27-eigenpy-1.4.4 ===> Cleaning temporary files for py27-eigenpy-1.4.4 ===> Bulk building for py27-eigenpy-1.4.4 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gzip: gzip-1.9 found => Required system package patch>=2.0: patch-2.7.6 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Required system package boost-headers>=1.34.1: boost-headers-1.66 found => Required system package boostlib-python>=1.34.1: boost-libs-1.66.0 found => Required system package cmake>=2.6: cmake-3.11.2 found => Required system package eigen3>=3.0.0: eigen3-3.3.5 found => Required system package g++>=3: g++-8 found => Required system package gcc>=3: gcc-8 found => Required system package libstdc++: libstdc++ found => Required system package pdflatex: pdflatex found => Required system package pkg-config>=0.22: pkg-config-1.4.2 found => Required system package py27-numpy>=1: py27-numpy-1.14.5 found => Required system package python27>=2.7<2.8: python27-2.7.15 found => SHA1 checksums OK => RMD160 checksums OK => Applying robotpkg patches for py27-eigenpy-1.4.4 An unexpected error occured. The last 10 log lines are shown below. | /local/robotpkg/var/tmp/robotpkg/math/py-eigenpy/work/eigenpy-1.4.4/include/eigenpy/angle-axis.hpp:73:23: warning: cast between incompatible pointer to member types from 'bool (Eigen::AngleAxis::*)(const Eigen::AngleAxis&, const Real&) const' {aka 'bool (Eigen::AngleAxis::*)(const Eigen::AngleAxis&, const double&) const'} to 'bool (Eigen::AngleAxis::*)(const Eigen::AngleAxis&)' [-Wcast-function-type] | .def("isApprox",(bool (AngleAxis::*)(const AngleAxis &))&AngleAxis::isApprox, | ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ | /local/robotpkg/var/tmp/robotpkg/math/py-eigenpy/work/eigenpy-1.4.4/include/eigenpy/angle-axis.hpp:75:23: warning: cast between incompatible pointer to member types from 'bool (Eigen::AngleAxis::*)(const Eigen::AngleAxis&, const Real&) const' {aka 'bool (Eigen::AngleAxis::*)(const Eigen::AngleAxis&, const double&) const'} to 'bool (Eigen::AngleAxis::*)(const Eigen::AngleAxis&, eigenpy::AngleAxisVisitor >::Scalar)' {aka 'bool (Eigen::AngleAxis::*)(const Eigen::AngleAxis&, double)'} [-Wcast-function-type] | .def("isApprox",(bool (AngleAxis::*)(const AngleAxis &, const Scalar prec))&AngleAxis::isApprox, | ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ | make[2]: Leaving directory '/local/robotpkg/var/tmp/robotpkg/math/py-eigenpy/work/eigenpy-1.4.4' | make[1]: Leaving directory '/local/robotpkg/var/tmp/robotpkg/math/py-eigenpy/work/eigenpy-1.4.4' | make[1]: *** [CMakeFiles/Makefile2:487: CMakeFiles/eigenpy.dir/all] Error 2 | make: *** [Makefile:144: all] Error 2 For details or bug reports, check the complete log file in: /local/robotpkg/var/tmp/robotpkg/math/py-eigenpy/work/build.log make[3]: *** [/local/robotpkg/var/lib/robotpkg/mk/build/build.mk:199: do-build] Error 2 make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/pkg/package.mk:42: pkg-check-installed] Error 2 ERROR: make: *** [package] Error 2 => Marking py27-eigenpy-1.4.4 as broken ===> Logging bulk summary for py27-eigenpy-1.4.4 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py27-eigenpy-1.4.4 ===> Done bulk for py27-eigenpy-1.4.4 [14%] Processing math/py-eigenpy:py32-eigenpy-1.4.4 ===> Bulk building for py32-eigenpy-1.4.4 Binary package for py32-eigenpy-1.4.4 is up-to-date. [14%] Processing math/py-eigenpy:py34-eigenpy-1.4.4 ===> Bulk building for py34-eigenpy-1.4.4 Binary package for py34-eigenpy-1.4.4 is up-to-date. [15%] Processing math/py-eigenpy:py35-eigenpy-1.4.4 ===> Bulk building for py35-eigenpy-1.4.4 Binary package for py35-eigenpy-1.4.4 is up-to-date. [15%] Processing math/py-eigenpy:py36-eigenpy-1.4.4 ===> Cleaning temporary files for py36-eigenpy-1.4.4 ===> Bulk building for py36-eigenpy-1.4.4 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gzip: gzip-1.9 found => Required system package patch>=2.0: patch-2.7.6 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-3.6: python>=2.5<3.7 provided by python36>=3.6<3.7 => Required system package boost-headers>=1.34.1: boost-headers-1.66 found => Required system package boostlib-python>=1.34.1: boost-libs-1.66.0 found => Required system package cmake>=2.6: cmake-3.11.2 found => Required system package eigen3>=3.0.0: eigen3-3.3.5 found => Required system package g++>=3: g++-8 found => Required system package gcc>=3: gcc-8 found => Required system package libstdc++: libstdc++ found => Required system package pdflatex: pdflatex found => Required system package pkg-config>=0.22: pkg-config-1.4.2 found => Required system package py36-numpy>=1: py36-numpy-1.14.5 found => Required system package python36>=3.6<3.7: python36-3.6.6 found => SHA1 checksums OK => RMD160 checksums OK => Applying robotpkg patches for py36-eigenpy-1.4.4 An unexpected error occured. The last 10 log lines are shown below. | /local/robotpkg/var/tmp/robotpkg/math/py-eigenpy/work/eigenpy-1.4.4/include/eigenpy/angle-axis.hpp:73:23: warning: cast between incompatible pointer to member types from 'bool (Eigen::AngleAxis::*)(const Eigen::AngleAxis&, const Real&) const' {aka 'bool (Eigen::AngleAxis::*)(const Eigen::AngleAxis&, const double&) const'} to 'bool (Eigen::AngleAxis::*)(const Eigen::AngleAxis&)' [-Wcast-function-type] | .def("isApprox",(bool (AngleAxis::*)(const AngleAxis &))&AngleAxis::isApprox, | ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ | /local/robotpkg/var/tmp/robotpkg/math/py-eigenpy/work/eigenpy-1.4.4/include/eigenpy/angle-axis.hpp:75:23: warning: cast between incompatible pointer to member types from 'bool (Eigen::AngleAxis::*)(const Eigen::AngleAxis&, const Real&) const' {aka 'bool (Eigen::AngleAxis::*)(const Eigen::AngleAxis&, const double&) const'} to 'bool (Eigen::AngleAxis::*)(const Eigen::AngleAxis&, eigenpy::AngleAxisVisitor >::Scalar)' {aka 'bool (Eigen::AngleAxis::*)(const Eigen::AngleAxis&, double)'} [-Wcast-function-type] | .def("isApprox",(bool (AngleAxis::*)(const AngleAxis &, const Scalar prec))&AngleAxis::isApprox, | ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ | make[2]: Leaving directory '/local/robotpkg/var/tmp/robotpkg/math/py-eigenpy/work/eigenpy-1.4.4' | make[1]: *** [CMakeFiles/Makefile2:487: CMakeFiles/eigenpy.dir/all] Error 2 | make: *** [Makefile:144: all] Error 2 | make[1]: Leaving directory '/local/robotpkg/var/tmp/robotpkg/math/py-eigenpy/work/eigenpy-1.4.4' For details or bug reports, check the complete log file in: /local/robotpkg/var/tmp/robotpkg/math/py-eigenpy/work/build.log make[3]: *** [/local/robotpkg/var/lib/robotpkg/mk/build/build.mk:199: do-build] Error 2 make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/pkg/package.mk:42: pkg-check-installed] Error 2 => Marking py36-eigenpy-1.4.4 as broken ERROR: make: *** [package] Error 2 ===> Logging bulk summary for py36-eigenpy-1.4.4 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py36-eigenpy-1.4.4 ===> Done bulk for py36-eigenpy-1.4.4 [15%] Processing hardware/gyro-libs:gyro-libs-3.1r2 ===> Bulk building for gyro-libs-3.1r2 Binary package for gyro-libs-3.1r2 is up-to-date. [15%] Processing math/boost-numeric-bindings-v1:boost-numeric-bindings-v1-20100322 ===> Bulk building for boost-numeric-bindings-v1-20100322 Binary package for boost-numeric-bindings-v1-20100322 is up-to-date. [16%] Processing interfaces/openrobots2-idl:openrobots2-idl-2.0 ===> Bulk building for openrobots2-idl-2.0 Binary package for openrobots2-idl-2.0 is up-to-date. [16%] Processing devel/jsoncpp:jsoncpp-0.5.0 Warning: DOXYGEN_PLIST_DIR in devel/jsoncpp is deprecated. Warning: use DYNAMIC_PLIST_DIRS instead. ===> Bulk building for jsoncpp-0.5.0~doc Binary package for jsoncpp-0.5.0~doc is up-to-date. [16%] Processing graphics/assimp:assimp-3.0.1270 ===> Bulk building for assimp-3.0.1270 Binary package for assimp-3.0.1270 is up-to-date. [16%] Processing path/hpp-util:hpp-util-3.3 ===> Bulk building for hpp-util-3.3 Binary package for hpp-util-3.3 is up-to-date. [16%] Processing supervision/openprs:openprs-1.1b10 ===> Bulk building for openprs-1.1b10 Binary package for openprs-1.1b10 is up-to-date. [17%] Processing sysutils/interceptty:interceptty-0.6 ===> Bulk building for interceptty-0.6 Binary package for interceptty-0.6 is up-to-date. [17%] Processing robots/rmp440-libs:rmp440-libs-0.5r2 ===> Bulk building for rmp440-libs-0.5r2 Binary package for rmp440-libs-0.5r2 is up-to-date. [17%] Processing graphics/sun-java3d:sun-java3d-1.5.1 ===> Bulk building for sun-java3d-1.5.1 Binary package for sun-java3d-1.5.1 is up-to-date. [17%] Processing optimization/ipopt:ipopt-3.6.1 ===> Bulk building for ipopt-3.6.1 Binary package for ipopt-3.6.1 is up-to-date. [18%] Processing sysutils/console-bridge:console-bridge-0.2.7 ===> Bulk building for console-bridge-0.2.7 Binary package for console-bridge-0.2.7 is up-to-date. [18%] Processing graphics/primitiveShapes-libs:primitiveShapes-libs-1.1 ===> Bulk building for primitiveShapes-libs-1.1 Binary package for primitiveShapes-libs-1.1 is up-to-date. [18%] Processing audio/festlex-poslex:festlex-poslex-1.96 ===> Bulk building for festlex-poslex-1.96 Binary package for festlex-poslex-1.96 is up-to-date. [18%] Processing middleware/orocos-rtt:orocos-rtt-2.9.0rc1~!corba ===> Bulk building for orocos-rtt-2.9.0rc1 Binary package for orocos-rtt-2.9.0rc1 is up-to-date. [19%] Processing motion/orocos-kdl:orocos-kdl-1.4.0 ===> Cleaning temporary files for orocos-kdl-1.4.0 ===> Bulk building for orocos-kdl-1.4.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gzip: gzip-1.9 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Required system package cmake>=2.6: cmake-3.11.2 found => Required system package eigen3>=3.0.0: eigen3-3.3.5 found => Required system package g++>=3: g++-8 found => Required system package gcc>=3: gcc-8 found => Required system package libstdc++: libstdc++ found => SHA1 checksums OK => RMD160 checksums OK => Registering installation for orocos-kdl-1.4.0 => Linking package in /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/pub ===> Logging bulk summary for orocos-kdl-1.4.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for orocos-kdl-1.4.0 ===> Done bulk for orocos-kdl-1.4.0 [19%] Processing graphics/laaswm:laaswm-1.2 ===> Bulk building for laaswm-1.2 Binary package for laaswm-1.2 is up-to-date. [19%] Processing knowledge/liboro:liboro-1.1r1 Warning: DOXYGEN_PLIST_DIR in knowledge/liboro is deprecated. Warning: use DYNAMIC_PLIST_DIRS instead. ===> Bulk building for liboro-1.1r1~doc Binary package for liboro-1.1r1~doc is up-to-date. [19%] Processing image/coriander:coriander-2.0.0rc6r1 ===> Bulk building for coriander-2.0.0rc6r1 Binary package for coriander-2.0.0rc6r1 is up-to-date. [19%] Processing net/evart-client:evart-client-2.2 Warning: DOXYGEN_PLIST_DIR in net/evart-client is deprecated. Warning: use DYNAMIC_PLIST_DIRS instead. ===> Bulk building for evart-client-2.2~doc Binary package for evart-client-2.2~doc is up-to-date. [20%] Processing simulation/bullet:bullet-2.81 ===> Bulk building for bullet-2.81 Binary package for bullet-2.81 is up-to-date. [20%] Processing devel/libedit:libedit-3.1r20160903 ===> Bulk building for libedit-3.1r20160903 Binary package for libedit-3.1r20160903 is up-to-date. [20%] Processing audio/festival:festival-1.96 ===> Bulk building for festival-1.96~ogireslpc Binary package for festival-1.96~ogireslpc is up-to-date. [20%] Processing audio/festlex-cmu:festlex-cmu-1.96 ===> Bulk building for festlex-cmu-1.96 Binary package for festlex-cmu-1.96 is up-to-date. [21%] Processing image/viam-libs:viam-libs-1.12r1~opencv ===> Bulk building for viam-libs-1.12r1~doc+opencv Binary package for viam-libs-1.12r1~doc+opencv is up-to-date. [21%] Processing graphics/openvrml-libs:openvrml-libs-0.18.9 ===> Cleaning temporary files for openvrml-libs-0.18.9 ===> Bulk building for openvrml-libs-0.18.9 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.9 found => Required system package patch>=2.0: patch-2.7.6 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package boost-headers>=1.44<1.60: MISSING WARNING: Cannot check installed version of boost-lib-filesystem WARNING: Cannot check installed version of boost-lib-system WARNING: Cannot check installed version of boost-lib-thread => Dependency digest-20080510 already installed => Dependency tnftp-20130505~ssl already installed ERROR: ====================================================================== ERROR: Missing system packages required for openvrml-libs-0.18.9: ERROR: ERROR: boost-headers>=1.44<1.60 (Fedora package boost-devel) ERROR: ERROR: Please use the system package management tool to install these ERROR: dependencies. If a robotpkg version of a dependency is available, ERROR: you can configure robotpkg.conf to use this version instead. ERROR: ERROR: See /local/robotpkg/var/tmp/robotpkg/graphics/openvrml-libs/work/sysdep.log for details. ERROR: ====================================================================== make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/depends/sysdep.mk:35: sys-depends] Error 2 ===> Logging bulk summary for openvrml-libs-0.18.9 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for openvrml-libs-0.18.9 ===> Done bulk for openvrml-libs-0.18.9 [21%] Processing pkgtools/pkgrepo2deb:pkgrepo2deb-1.4 ===> Cleaning temporary files for pkgrepo2deb-1.4 ===> Bulk building for pkgrepo2deb-1.4 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.9 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package apt>=0: MISSING => Dependency digest-20080510 already installed => Required system package dpkg>=1: MISSING => Dependency tnftp-20130505~ssl already installed ERROR: ====================================================================== ERROR: Missing system packages required for pkgrepo2deb-1.4: ERROR: ERROR: apt>=0 (Fedora package apt) ERROR: dpkg>=1 (Fedora package dpkg) ERROR: ERROR: Please use the system package management tool to install these ERROR: dependencies. If a robotpkg version of a dependency is available, ERROR: you can configure robotpkg.conf to use this version instead. ERROR: ERROR: See /local/robotpkg/var/tmp/robotpkg/pkgtools/pkgrepo2deb/work/sysdep.log for details. ERROR: ====================================================================== make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/depends/sysdep.mk:35: sys-depends] Error 2 ===> Logging bulk summary for pkgrepo2deb-1.4 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for pkgrepo2deb-1.4 ===> Done bulk for pkgrepo2deb-1.4 [21%] Processing middleware/hpp-template-corba:hpp-template-corba-1.1.5 ===> Bulk building for hpp-template-corba-1.1.5 Binary package for hpp-template-corba-1.1.5 is up-to-date. [22%] Processing robots/tk3-mikrokopter:tk3-mikrokopter-1.8.2 ===> Bulk building for tk3-mikrokopter-1.8.2 Binary package for tk3-mikrokopter-1.8.2 is up-to-date. [22%] Processing optimization/acado:acado-1.2.2beta.20160615 ===> Bulk building for acado-1.2.2beta.20160615 Binary package for acado-1.2.2beta.20160615 is up-to-date. [22%] Processing pkgtools/rbulkit:rbulkit-20180807 ===> Bulk building for rbulkit-20180807 Binary package for rbulkit-20180807 is up-to-date. [22%] Processing robots/mana-emergency:mana-emergency-0.2.1r1 ===> Bulk building for mana-emergency-0.2.1r1 Binary package for mana-emergency-0.2.1r1 is up-to-date. [22%] Processing hardware/daqflex-libs:daqflex-libs-1.0 ===> Bulk building for daqflex-libs-1.0 Binary package for daqflex-libs-1.0 is up-to-date. [23%] Processing robots/player20-libs:player20-libs-2.0.5r2 ===> Bulk building for player20-libs-2.0.5r2 Binary package for player20-libs-2.0.5r2 is up-to-date. [23%] Processing net/tclpcap:tclpcap-2.0.0 ===> Bulk building for tclpcap-2.0.0 Binary package for tclpcap-2.0.0 is up-to-date. [23%] Processing audio/festvox-cmu-us-awb-arctic-hts:festvox-cmu-us-awb-arctic-hts-20041209 ===> Bulk building for festvox-cmu-us-awb-arctic-hts-20041209 Binary package for festvox-cmu-us-awb-arctic-hts-20041209 is up-to-date. [23%] Processing mapping/octomap:octomap-1.6.1 ===> Bulk building for octomap-1.6.1 Binary package for octomap-1.6.1 is up-to-date. [24%] Processing net/tclserv:tclserv-2.8.1 ===> Bulk building for tclserv-2.8.1 Binary package for tclserv-2.8.1 is up-to-date. [24%] Processing devel/boost-build:boost-build-1.52.0 ===> Bulk building for boost-build-1.52.0 Binary package for boost-build-1.52.0 is up-to-date. [24%] Processing image/artoolkitplus:artoolkitplus-2.1.1r4 ===> Bulk building for artoolkitplus-2.1.1r4 Binary package for artoolkitplus-2.1.1r4 is up-to-date. [24%] Processing math/boost-numeric-bindings:boost-numeric-bindings-20101109 ===> Bulk building for boost-numeric-bindings-20101109 Binary package for boost-numeric-bindings-20101109 is up-to-date. [25%] Processing devel/log4cxx:log4cxx-0.10.0r1 ===> Bulk building for log4cxx-0.10.0r1~doc Binary package for log4cxx-0.10.0r1~doc is up-to-date. [25%] Processing robots/tk3-matlab:tk3-matlab-1.6 ===> Cleaning temporary files for tk3-matlab-1.6 ===> Bulk building for tk3-matlab-1.6 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.9 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Required system package matlab: MISSING => Dependency tnftp-20130505~ssl already installed ERROR: ====================================================================== ERROR: Missing system packages required for tk3-matlab-1.6: ERROR: ERROR: matlab ERROR: ERROR: Please use the system package management tool to install these ERROR: dependencies. If a robotpkg version of a dependency is available, ERROR: you can configure robotpkg.conf to use this version instead. ERROR: ERROR: See /local/robotpkg/var/tmp/robotpkg/robots/tk3-matlab/work/sysdep.log for details. ERROR: ====================================================================== make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/depends/sysdep.mk:35: sys-depends] Error 2 ===> Logging bulk summary for tk3-matlab-1.6 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for tk3-matlab-1.6 ===> Done bulk for tk3-matlab-1.6 [25%] Processing graphics/gepetto-viewer:gepetto-viewer-2.1.3 ===> Bulk building for gepetto-viewer-2.1.3 Binary package for gepetto-viewer-2.1.3 is up-to-date. [25%] Processing devel/swig:swig-2.0.4 ===> Bulk building for swig-2.0.4~doc Binary package for swig-2.0.4~doc is up-to-date. [25%] Processing sysutils/alog:alog-0.5 ===> Bulk building for alog-0.5 Binary package for alog-0.5 is up-to-date. [26%] Processing devel/tinyxml:tinyxml-2.6.2 ===> Bulk building for tinyxml-2.6.2 Binary package for tinyxml-2.6.2 is up-to-date. [26%] Processing interfaces/openrobots-idl:openrobots-idl-1.6 ===> Bulk building for openrobots-idl-1.6 Binary package for openrobots-idl-1.6 is up-to-date. [26%] Processing lang/jython:jython-2.5.3b1 ===> Bulk building for jython-2.5.3b1 Binary package for jython-2.5.3b1 is up-to-date. [26%] Processing robots/hrp2-10:hrp2-10-1.1 ===> Bulk building for hrp2-10-1.1 Binary package for hrp2-10-1.1 is up-to-date. [27%] Processing supervision/tcl-genomix:tcl-genomix-1.6.1 ===> Bulk building for tcl-genomix-1.6.1 Binary package for tcl-genomix-1.6.1 is up-to-date. [27%] Processing editors/mg:mg-20110905 ===> Bulk building for mg-20110905 Binary package for mg-20110905 is up-to-date. [27%] Processing hardware/openni-sensor:openni-sensor-5.1.0.41r1~sse3 ===> Bulk building for openni-sensor-5.1.0.41r1~sse3 Binary package for openni-sensor-5.1.0.41r1~sse3 is up-to-date. [27%] Processing speech/gspeett:gspeett-1.2 ===> Bulk building for gspeett-1.2 Binary package for gspeett-1.2 is up-to-date. [28%] Processing robots/hrp2-14:hrp2-14-1.9.3 ===> Bulk building for hrp2-14-1.9.3 Binary package for hrp2-14-1.9.3 is up-to-date. [28%] Processing middleware/omniORB:omniORB-4.1.4r2 ===> Bulk building for omniORB-4.1.4r2 Binary package for omniORB-4.1.4r2 is up-to-date. [28%] Processing devel/gbx-share:gbx-share-10.11 ===> Bulk building for gbx-share-10.11 Binary package for gbx-share-10.11 is up-to-date. [28%] Processing image/viam-v4l-driver:viam-v4l-driver-1.12 ===> Bulk building for viam-v4l-driver-1.12~opencv Binary package for viam-v4l-driver-1.12~opencv is up-to-date. [29%] Processing image/libraw1394:libraw1394-2.0.4 ===> Bulk building for libraw1394-2.0.4 Binary package for libraw1394-2.0.4 is up-to-date. [29%] Processing image/sift:sift-1.1.2r1 ===> Bulk building for sift-1.1.2r1~doc Binary package for sift-1.1.2r1~doc is up-to-date. [29%] Processing math/liblbfgs:liblbfgs-1.10 ===> Bulk building for liblbfgs-1.10 Binary package for liblbfgs-1.10 is up-to-date. [29%] Processing sysutils/py-aafigure:py27-aafigure-0.5 ===> Bulk building for py27-aafigure-0.5 Binary package for py27-aafigure-0.5 is up-to-date. [29%] Processing math/geometric-tools:geometric-tools-5p7r1 ===> Bulk building for geometric-tools-5p7r1 Binary package for geometric-tools-5p7r1 is up-to-date. [30%] Processing graphics/coldman-libs:coldman-libs-1.4~display ===> Bulk building for coldman-libs-1.4~display Binary package for coldman-libs-1.4~display is up-to-date. [30%] Processing middleware/omniORBpy:omniORBpy-3.1r3 ===> Cleaning temporary files for omniORBpy-3.1r3 ===> Bulk building for omniORBpy-3.1r3 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.9 found => Required system package patch>=2.0: patch-2.7.6 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Required system package omniORB>=4.1<4.2: MISSING => Dependency tnftp-20130505~ssl already installed ERROR: ====================================================================== ERROR: Missing system packages required for omniORBpy-3.1r3: ERROR: ERROR: omniORB>=4.1<4.2 (Fedora package omniORB-devel omniORB-servers) ERROR: ERROR: Please use the system package management tool to install these ERROR: dependencies. If a robotpkg version of a dependency is available, ERROR: you can configure robotpkg.conf to use this version instead. ERROR: ERROR: See /local/robotpkg/var/tmp/robotpkg/middleware/omniORBpy/work/sysdep.log for details. ERROR: ====================================================================== make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/depends/sysdep.mk:35: sys-depends] Error 2 ===> Logging bulk summary for omniORBpy-3.1r3 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for omniORBpy-3.1r3 ===> Done bulk for omniORBpy-3.1r3 [30%] Processing sysutils/py-catkin-pkg:py27-catkin-pkg-0.4.8 ===> Bulk building for py27-catkin-pkg-0.4.8 Binary package for py27-catkin-pkg-0.4.8 is up-to-date. [30%] Processing sysutils/py-catkin-pkg:py32-catkin-pkg-0.4.8 ===> Bulk building for py32-catkin-pkg-0.4.8 Binary package for py32-catkin-pkg-0.4.8 is up-to-date. [31%] Processing sysutils/py-catkin-pkg:py36-catkin-pkg>=0.2 ===> Bulk building for py36-catkin-pkg-0.4.8 Binary package for py36-catkin-pkg-0.4.8 is up-to-date. [31%] Processing sysutils/py-catkin-pkg:py35-catkin-pkg>=0.2 ===> Bulk building for py35-catkin-pkg-0.4.8 Binary package for py35-catkin-pkg-0.4.8 is up-to-date. [31%] Processing sysutils/py-catkin-pkg:py34-catkin-pkg>=0.2 ===> Bulk building for py34-catkin-pkg-0.4.8 Binary package for py34-catkin-pkg-0.4.8 is up-to-date. [31%] Processing graphics/laaswm-libs:laaswm-libs-1.2 ===> Bulk building for laaswm-libs-1.2 Binary package for laaswm-libs-1.2 is up-to-date. [32%] Processing audio/OGIlexicon:OGIlexicon-2.2 ===> Bulk building for OGIlexicon-2.2 Binary package for OGIlexicon-2.2 is up-to-date. [32%] Processing net/libtclserv_client:libtclserv_client-0.5r1 ===> Bulk building for libtclserv_client-0.5r1 Binary package for libtclserv_client-0.5r1 is up-to-date. [32%] Processing image/openni-nite:openni-nite-1.5.2.21r3 ===> Bulk building for openni-nite-1.5.2.21r3 Binary package for openni-nite-1.5.2.21r3 is up-to-date. [32%] Processing math/t3d:libt3d-2.6 Warning: DOXYGEN_PLIST_DIR in math/t3d is deprecated. Warning: use DYNAMIC_PLIST_DIRS instead. ===> Bulk building for libt3d-2.6~doc Binary package for libt3d-2.6~doc is up-to-date. [32%] Processing graphics/urdfdom-headers:urdfdom-headers-0.3.0 ===> Bulk building for urdfdom-headers-0.3.0 Binary package for urdfdom-headers-0.3.0 is up-to-date. [33%] Processing graphics/vcglib:vcglib-20100824 Warning: DOXYGEN_PLIST_DIR in graphics/vcglib is deprecated. Warning: use DYNAMIC_PLIST_DIRS instead. Warning: DOXYGEN_PLIST_DIR in graphics/vcglib is deprecated. Warning: use DYNAMIC_PLIST_DIRS instead. ===> Cleaning temporary files for vcglib-20100824~doc ===> Bulk building for vcglib-20100824~doc => Checking for clear installation Warning: DOXYGEN_PLIST_DIR in graphics/vcglib is deprecated. Warning: use DYNAMIC_PLIST_DIRS instead. => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/tnftp-20130505~ssl.tgz Warning: DOXYGEN_PLIST_DIR in graphics/vcglib is deprecated. Warning: use DYNAMIC_PLIST_DIRS instead. => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.9 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package svn>=1.6: svn-1.10.2 found Warning: DOXYGEN_PLIST_DIR in graphics/vcglib is deprecated. Warning: use DYNAMIC_PLIST_DIRS instead. Warning: DOXYGEN_PLIST_DIR in graphics/vcglib is deprecated. Warning: use DYNAMIC_PLIST_DIRS instead. => Dependency digest-20080510 already installed => Required system package eigen2>=2.0.12: MISSING => Dependency tnftp-20130505~ssl already installed Warning: DOXYGEN_PLIST_DIR in graphics/vcglib is deprecated. Warning: use DYNAMIC_PLIST_DIRS instead. ERROR: ====================================================================== ERROR: Missing system packages required for vcglib-20100824~doc: ERROR: ERROR: eigen2>=2.0.12 (Fedora package eigen2-devel) ERROR: ERROR: Please use the system package management tool to install these ERROR: dependencies. If a robotpkg version of a dependency is available, ERROR: you can configure robotpkg.conf to use this version instead. ERROR: ERROR: See /local/robotpkg/var/tmp/robotpkg/graphics/vcglib/work/sysdep.log for details. ERROR: ====================================================================== make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/depends/sysdep.mk:35: sys-depends] Error 2 Warning: DOXYGEN_PLIST_DIR in graphics/vcglib is deprecated. Warning: use DYNAMIC_PLIST_DIRS instead. ===> Logging bulk summary for vcglib-20100824~doc => Checking leftover files => Creating bulk log files => Logging bulk metadata Warning: DOXYGEN_PLIST_DIR in graphics/vcglib is deprecated. Warning: use DYNAMIC_PLIST_DIRS instead. Warning: DOXYGEN_PLIST_DIR in graphics/vcglib is deprecated. Warning: use DYNAMIC_PLIST_DIRS instead. Warning: DOXYGEN_PLIST_DIR in graphics/vcglib is deprecated. Warning: use DYNAMIC_PLIST_DIRS instead. ===> Cleaning temporary files for vcglib-20100824~doc ===> Done bulk for vcglib-20100824~doc [33%] Processing motion/py-orocos-kdl:py27-orocos-kdl-1.4.0 ===> Cleaning temporary files for py27-orocos-kdl-1.4.0 ===> Bulk building for py27-orocos-kdl-1.4.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gzip: gzip-1.9 found => Required system package patch>=2.0: patch-2.7.6 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/orocos-kdl-1.4.0.tgz => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Required system package cmake>=2.6: cmake-3.11.2 found => Required system package eigen3>=3.0.0: eigen3-3.3.5 found => Required system package g++>=3: g++-8 found => Required system package gcc>=3: gcc-8 found => Required system package libstdc++: libstdc++ found => Required system package py27-sip>=4: py27-sip-4.19.7 found => Required system package python27>=2.7<2.8: python27-2.7.15 found => Required robotpkg package orocos-kdl-1.4.0: orocos-kdl-1.4.0 found => SHA1 checksums OK => RMD160 checksums OK => Applying robotpkg patches for py27-orocos-kdl-1.4.0 => Compiling python files => Registering installation for py27-orocos-kdl-1.4.0 => Linking package in /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/pub ===> Logging bulk summary for py27-orocos-kdl-1.4.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py27-orocos-kdl-1.4.0 ===> Done bulk for py27-orocos-kdl-1.4.0 [33%] Processing motion/py-orocos-kdl:py32-orocos-kdl-1.4.0 ===> Cleaning temporary files for py32-orocos-kdl-1.4.0 ===> Bulk building for py32-orocos-kdl-1.4.0 ERROR: This package cannot be built for the following reason: ERROR: ====================================================================== ERROR: No acceptable python alternatives could be found ERROR: PREFER_ALTERNATIVE.python = python27 python36 ERROR: ERROR: Suggested value: python32 ERROR: ERROR: ====================================================================== make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/internal/can-be-built-here.mk:221: cbbh] Error 2 ===> Logging bulk summary for py32-orocos-kdl-1.4.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py32-orocos-kdl-1.4.0 ===> Done bulk for py32-orocos-kdl-1.4.0 [33%] Processing motion/py-orocos-kdl:py34-orocos-kdl-1.4.0 ===> Cleaning temporary files for py34-orocos-kdl-1.4.0 ===> Bulk building for py34-orocos-kdl-1.4.0 ERROR: This package cannot be built for the following reason: ERROR: ====================================================================== ERROR: No acceptable python alternatives could be found ERROR: PREFER_ALTERNATIVE.python = python27 python36 ERROR: ERROR: Suggested value: python34 ERROR: ERROR: ====================================================================== make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/internal/can-be-built-here.mk:221: cbbh] Error 2 ===> Logging bulk summary for py34-orocos-kdl-1.4.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py34-orocos-kdl-1.4.0 ===> Done bulk for py34-orocos-kdl-1.4.0 [34%] Processing motion/py-orocos-kdl:py35-orocos-kdl-1.4.0 ===> Cleaning temporary files for py35-orocos-kdl-1.4.0 ===> Bulk building for py35-orocos-kdl-1.4.0 ERROR: This package cannot be built for the following reason: ERROR: ====================================================================== ERROR: No acceptable python alternatives could be found ERROR: PREFER_ALTERNATIVE.python = python27 python36 ERROR: ERROR: Suggested value: python35 ERROR: ERROR: ====================================================================== make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/internal/can-be-built-here.mk:221: cbbh] Error 2 ===> Logging bulk summary for py35-orocos-kdl-1.4.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py35-orocos-kdl-1.4.0 ===> Done bulk for py35-orocos-kdl-1.4.0 [34%] Processing motion/py-orocos-kdl:py36-orocos-kdl-1.4.0 ===> Cleaning temporary files for py36-orocos-kdl-1.4.0 ===> Bulk building for py36-orocos-kdl-1.4.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gzip: gzip-1.9 found => Required system package patch>=2.0: patch-2.7.6 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/orocos-kdl-1.4.0.tgz => Required system package py36-sip>=4: MISSING => Dependency tnftp-20130505~ssl already installed ERROR: ====================================================================== ERROR: Missing system packages required for py36-orocos-kdl-1.4.0: ERROR: ERROR: py36-sip>=4 (Fedora package sip-devel (python-3.6)) ERROR: ERROR: Please use the system package management tool to install these ERROR: dependencies. If a robotpkg version of a dependency is available, ERROR: you can configure robotpkg.conf to use this version instead. ERROR: ERROR: See /local/robotpkg/var/tmp/robotpkg/motion/py-orocos-kdl/work/sysdep.log for details. ERROR: ====================================================================== make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/depends/sysdep.mk:35: sys-depends] Error 2 ===> Logging bulk summary for py36-orocos-kdl-1.4.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py36-orocos-kdl-1.4.0 ===> Done bulk for py36-orocos-kdl-1.4.0 [34%] Processing graphics/Togl:Togl-2.0 ===> Bulk building for Togl-2.0 Binary package for Togl-2.0 is up-to-date. [34%] Processing knowledge/jena:jena-2.6.4 ===> Bulk building for jena-2.6.4~doc Binary package for jena-2.6.4~doc is up-to-date. [35%] Processing net/py-poco:py27-poco-1.5 ===> Bulk building for py27-poco-1.5 Binary package for py27-poco-1.5 is up-to-date. [35%] Processing sysutils/tth:tth-4.09 ===> Bulk building for tth-4.09 Binary package for tth-4.09 is up-to-date. [35%] Processing path/hpp-fcl:hpp-fcl-0.6.0 ===> Bulk building for hpp-fcl-0.6.0 Binary package for hpp-fcl-0.6.0 is up-to-date. [35%] Processing net/evart-stream:evart-stream-2.1 ===> Bulk building for evart-stream-2.1 Binary package for evart-stream-2.1 is up-to-date. [35%] Processing devel/mkdep:mkdep-2.9 ===> Bulk building for mkdep-2.9 Binary package for mkdep-2.9 is up-to-date. [36%] Processing image/viam-dc1394-driver:viam-dc1394-driver-1.12 ===> Bulk building for viam-dc1394-driver-1.12~opencv Binary package for viam-dc1394-driver-1.12~opencv is up-to-date. [36%] Processing hardware/velodyne-libs:velodyne-libs-0.8.1 ===> Bulk building for velodyne-libs-0.8.1 Binary package for velodyne-libs-0.8.1 is up-to-date. [36%] Processing hardware/serial:serial-1.1 ===> Bulk building for serial-1.1 Binary package for serial-1.1 is up-to-date. [36%] Processing sysutils/arduio:arduio-1.2 ===> Bulk building for arduio-1.2 Binary package for arduio-1.2 is up-to-date. [37%] Processing mapping/worldmodelgrid3d:worldmodelgrid3d-1.0 Warning: the LICENSE of mapping/worldmodelgrid3d is undefined. ===> Bulk building for worldmodelgrid3d-1.0~boost Binary package for worldmodelgrid3d-1.0~boost is up-to-date. [37%] Processing image/libimages3d:libimages3d-3.4r3 ===> Bulk building for libimages3d-3.4r3 Binary package for libimages3d-3.4r3 is up-to-date. [37%] Processing pkgtools/libtool:libtool-2.2.6b ===> Bulk building for libtool-2.2.6b Binary package for libtool-2.2.6b is up-to-date. [37%] Processing hardware/sahand-kmod:sahand-kmod-2008.01.10 ===> Bulk building for sahand-kmod-2008.01.10 Binary package for sahand-kmod-2008.01.10 is up-to-date. [38%] Processing devel/yaml-cpp:yaml-cpp-0.5.3 ===> Bulk building for yaml-cpp-0.5.3 Binary package for yaml-cpp-0.5.3 is up-to-date. [38%] Processing robots/rmp-libs:rmp-libs-0.6 ===> Bulk building for rmp-libs-0.6 Binary package for rmp-libs-0.6 is up-to-date. [38%] Processing audio/sphinx2:sphinx2-0.6 ===> Bulk building for sphinx2-0.6 Binary package for sphinx2-0.6 is up-to-date. [38%] Processing localization/insitu:insitu-1.3 ===> Bulk building for insitu-1.3 Binary package for insitu-1.3 is up-to-date. [38%] Processing sysutils/py-rospkg:py27-rospkg-1.1.7 ===> Bulk building for py27-rospkg-1.1.7 Binary package for py27-rospkg-1.1.7 is up-to-date. [39%] Processing sysutils/py-rospkg:py32-rospkg-1.1.7 ===> Bulk building for py32-rospkg-1.1.7 Binary package for py32-rospkg-1.1.7 is up-to-date. [39%] Processing sysutils/py-rospkg:py36-rospkg>=1.0.29 ===> Cleaning temporary files for py36-rospkg-1.1.7 ===> Bulk building for py36-rospkg-1.1.7 ERROR: This package cannot be extracted for the following reason: ERROR: ====================================================================== ERROR: No acceptable python alternatives could be found among ERROR: python27 python32 python34 python35 python36 ERROR: ERROR: ====================================================================== make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/internal/can-be-built-here.mk:204: cbeh] Error 2 ===> Logging bulk summary for py36-rospkg-1.1.7 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py36-rospkg-1.1.7 ===> Done bulk for py36-rospkg-1.1.7 [39%] Processing sysutils/py-rospkg:py35-rospkg>=1.0.29 ===> Bulk building for py35-rospkg-1.1.7 Binary package for py35-rospkg-1.1.7 is up-to-date. [39%] Processing sysutils/py-rospkg:py34-rospkg>=1.0.29 ===> Bulk building for py34-rospkg-1.1.7 Binary package for py34-rospkg-1.1.7 is up-to-date. [40%] Processing interfaces/jrl-mal:jrl-mal-1.19.6r1 ===> Bulk building for jrl-mal-1.19.6r1~jrl-mathtools Binary package for jrl-mal-1.19.6r1~jrl-mathtools is up-to-date. [40%] Processing architecture/orocos-ocl:orocos-ocl-2.9.0rc1 ===> Bulk building for orocos-ocl-2.9.0rc1 Binary package for orocos-ocl-2.9.0rc1 is up-to-date. [40%] Processing robots/ivmob-libs:ivmob-libs-1.0 ===> Bulk building for ivmob-libs-1.0 Binary package for ivmob-libs-1.0 is up-to-date. [40%] Processing middleware/ace:ace-6.4.6 ===> Bulk building for ace-6.4.6 Binary package for ace-6.4.6 is up-to-date. [41%] Processing math/eigen2:eigen2-2.0.15 ===> Bulk building for eigen2-2.0.15 Binary package for eigen2-2.0.15 is up-to-date. [41%] Processing hardware/GPSNovatel:GPSNovatel-1.9r1 Warning: the LICENSE of hardware/GPSNovatel is undefined. ===> Bulk building for GPSNovatel-1.9r1 Binary package for GPSNovatel-1.9r1 is up-to-date. [41%] Processing graphics/grh2:grh2-2.1r3 ===> Bulk building for grh2-2.1r3 Binary package for grh2-2.1r3 is up-to-date. [41%] Processing hardware/gyroKVH1000:gyroKVH1000-1.4 ===> Bulk building for gyroKVH1000-1.4 Binary package for gyroKVH1000-1.4 is up-to-date. [41%] Processing image/visp:visp-2.6.1r2 ===> Bulk building for visp-2.6.1r2~opencv Binary package for visp-2.6.1r2~opencv is up-to-date. [42%] Processing graphics/urdfdom:urdfdom-0.3.0r2 ===> Bulk building for urdfdom-0.3.0r2 Binary package for urdfdom-0.3.0r2 is up-to-date. [42%] Processing path/hpp-statistics:hpp-statistics-1.1.1 ===> Bulk building for hpp-statistics-1.1.1 Binary package for hpp-statistics-1.1.1 is up-to-date. [42%] Processing shell/eltclsh:eltclsh-1.17 ===> Bulk building for eltclsh-1.17 Binary package for eltclsh-1.17 is up-to-date. [42%] Processing interfaces/abstract-robot-dynamics:abstract-robot-dynamics-1.20r1 ===> Bulk building for abstract-robot-dynamics-1.20r1 Binary package for abstract-robot-dynamics-1.20r1 is up-to-date. [43%] Processing www/picoweb:picoweb-1.3 ===> Bulk building for picoweb-1.3 Binary package for picoweb-1.3 is up-to-date. [43%] Processing devel/gbx-flexiport:gbx-flexiport-1.0.0r1 ===> Bulk building for gbx-flexiport-1.0.0r1 Binary package for gbx-flexiport-1.0.0r1 is up-to-date. [43%] Processing mapping/segkit:segkit-1.0 Warning: the LICENSE of mapping/segkit is undefined. ===> Bulk building for segkit-1.0 Binary package for segkit-1.0 is up-to-date. [43%] Processing middleware/openrtm-aist:openrtm-aist-1.1.1r1 ===> Bulk building for openrtm-aist-1.1.1r1 Binary package for openrtm-aist-1.1.1r1 is up-to-date. [44%] Processing image/libstereopixel:libstereopixel-1.5 ===> Bulk building for libstereopixel-1.5 Binary package for libstereopixel-1.5 is up-to-date. [44%] Processing graphics/gepetto-viewer-corba:gepetto-viewer-corba-2.3 ===> Bulk building for gepetto-viewer-corba-2.3 Binary package for gepetto-viewer-corba-2.3 is up-to-date. [44%] Processing optimization/roboptim-core:roboptim-core-3.1r1 ===> Bulk building for roboptim-core-3.1r1 Binary package for roboptim-core-3.1r1 is up-to-date. [44%] Processing interfaces/abstract-gik-task:abstract-gik-task-2.7 ===> Bulk building for abstract-gik-task-2.7 Binary package for abstract-gik-task-2.7 is up-to-date. [45%] Processing knowledge/pellet:pellet-2.3.0 ===> Bulk building for pellet-2.3.0~doc Binary package for pellet-2.3.0~doc is up-to-date. [45%] Processing math/jrl-dynamics:jrl-dynamics-1.25.0r1 ===> Bulk building for jrl-dynamics-1.25.0r1 Binary package for jrl-dynamics-1.25.0r1 is up-to-date. [45%] Processing math/hpp-geometry:hpp-geometry-1.3.2 ===> Cleaning temporary files for hpp-geometry-1.3.2 ===> Bulk building for hpp-geometry-1.3.2 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.9 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/geometric-tools-5p7r1.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/hpp-util-3.3.tgz => Required system package kineoworks>=2.07<3: MISSING => Dependency tnftp-20130505~ssl already installed ERROR: ====================================================================== ERROR: Missing system packages required for hpp-geometry-1.3.2: ERROR: ERROR: kineoworks>=2.07<3 ERROR: ERROR: Please use the system package management tool to install these ERROR: dependencies. If a robotpkg version of a dependency is available, ERROR: you can configure robotpkg.conf to use this version instead. ERROR: ERROR: See /local/robotpkg/var/tmp/robotpkg/math/hpp-geometry/work/sysdep.log for details. ERROR: ====================================================================== make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/depends/sysdep.mk:35: sys-depends] Error 2 ===> Logging bulk summary for hpp-geometry-1.3.2 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for hpp-geometry-1.3.2 ===> Done bulk for hpp-geometry-1.3.2 [45%] Processing devel/boost-jam:boost-jam-1.52.0 ===> Bulk building for boost-jam-1.52.0 Binary package for boost-jam-1.52.0 is up-to-date. [45%] Processing architecture/genom:genom-2.12 ===> Bulk building for genom-2.12~doc Binary package for genom-2.12~doc is up-to-date. [46%] Processing math/jafar-jmath:jafar-jmath-0.5 ===> Cleaning temporary files for jafar-jmath-0.5 ===> Bulk building for jafar-jmath-0.5 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.9 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package boost-headers>=1.34.1<1.65: MISSING WARNING: Cannot check installed version of boost-lib-filesystem WARNING: Cannot check installed version of boost-lib-iostreams WARNING: Cannot check installed version of boost-lib-math WARNING: Cannot check installed version of boost-lib-thread => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/boost-numeric-bindings-20101109.tgz => Dependency digest-20080510 already installed => Required robotpkg package jafar-kernel>=0.5: N/A => Dependency tnftp-20130505~ssl already installed ERROR: ====================================================================== ERROR: Missing system packages required for jafar-jmath-0.5: ERROR: ERROR: boost-headers>=1.34.1<1.65 (Fedora package boost-devel) ERROR: ERROR: Please use the system package management tool to install these ERROR: dependencies. If a robotpkg version of a dependency is available, ERROR: you can configure robotpkg.conf to use this version instead. ERROR: ERROR: See /local/robotpkg/var/tmp/robotpkg/math/jafar-jmath/work/sysdep.log for details. ERROR: ====================================================================== make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/depends/sysdep.mk:35: sys-depends] Error 2 ===> Logging bulk summary for jafar-jmath-0.5 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for jafar-jmath-0.5 ===> Done bulk for jafar-jmath-0.5 [46%] Processing graphics/gdhe:gdhe-3.8.5 ===> Bulk building for gdhe-3.8.5 Binary package for gdhe-3.8.5 is up-to-date. [46%] Processing sysutils/py-rosdistro:py27-rosdistro-0.3.5 ===> Bulk building for py27-rosdistro-0.3.5 Binary package for py27-rosdistro-0.3.5 is up-to-date. [46%] Processing sysutils/py-rosdistro:py32-rosdistro-0.3.5 ===> Bulk building for py32-rosdistro-0.3.5 Binary package for py32-rosdistro-0.3.5 is up-to-date. [47%] Processing sysutils/py-rosdistro:py34-rosdistro-0.3.5 ===> Bulk building for py34-rosdistro-0.3.5 Binary package for py34-rosdistro-0.3.5 is up-to-date. [47%] Processing sysutils/py-rosdistro:py35-rosdistro-0.3.5 ===> Bulk building for py35-rosdistro-0.3.5 Binary package for py35-rosdistro-0.3.5 is up-to-date. [47%] Processing sysutils/py-rosdistro:py36-rosdistro-0.3.5 ===> Cleaning temporary files for py36-rosdistro-0.3.5 ===> Bulk building for py36-rosdistro-0.3.5 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gzip: gzip-1.9 found => Required system package patch>=2.0: patch-2.7.6 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/py36-catkin-pkg-0.2.4.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/py36-rospkg-1.1.7.tgz => Required system package py36-yaml>=3: MISSING => Dependency tnftp-20130505~ssl already installed ERROR: ====================================================================== ERROR: Missing system packages required for py36-rosdistro-0.3.5: ERROR: ERROR: py36-yaml>=3 (Fedora package PyYAML (python-3.6)) ERROR: ERROR: Please use the system package management tool to install these ERROR: dependencies. If a robotpkg version of a dependency is available, ERROR: you can configure robotpkg.conf to use this version instead. ERROR: ERROR: See /local/robotpkg/var/tmp/robotpkg/sysutils/py-rosdistro/work/sysdep.log for details. ERROR: ====================================================================== make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/depends/sysdep.mk:35: sys-depends] Error 2 ===> Logging bulk summary for py36-rosdistro-0.3.5 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py36-rosdistro-0.3.5 ===> Done bulk for py36-rosdistro-0.3.5 [47%] Processing image/jafar-image:jafar-image-2.3 ===> Cleaning temporary files for jafar-image-2.3 ===> Bulk building for jafar-image-2.3 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.9 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package boost-headers>=1.34.1<1.65: MISSING WARNING: Cannot check installed version of boost-lib-filesystem WARNING: Cannot check installed version of boost-lib-iostreams WARNING: Cannot check installed version of boost-lib-math WARNING: Cannot check installed version of boost-lib-thread => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/boost-numeric-bindings-20101109.tgz => Dependency digest-20080510 already installed => Required robotpkg package jafar-jmath>=0.5: N/A => Required robotpkg package jafar-kernel>=0.5: N/A => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/opencv2-2.4.13.6.tgz => Dependency tnftp-20130505~ssl already installed ERROR: ====================================================================== ERROR: Missing system packages required for jafar-image-2.3: ERROR: ERROR: boost-headers>=1.34.1<1.65 (Fedora package boost-devel) ERROR: ERROR: Please use the system package management tool to install these ERROR: dependencies. If a robotpkg version of a dependency is available, ERROR: you can configure robotpkg.conf to use this version instead. ERROR: ERROR: See /local/robotpkg/var/tmp/robotpkg/image/jafar-image/work/sysdep.log for details. ERROR: ====================================================================== make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/depends/sysdep.mk:35: sys-depends] Error 2 ===> Logging bulk summary for jafar-image-2.3 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for jafar-image-2.3 ===> Done bulk for jafar-image-2.3 [48%] Processing devel/boost-libs:boost-libs-1.52.0 ===> Bulk building for boost-libs-1.52.0 Binary package for boost-libs-1.52.0 is up-to-date. [48%] Processing math/gbM:gbM-0.11 ===> Bulk building for gbM-0.11~tcl Binary package for gbM-0.11~tcl is up-to-date. [48%] Processing localization/odokit:odokit-1.0 Warning: the LICENSE of localization/odokit is undefined. ===> Bulk building for odokit-1.0 Binary package for odokit-1.0 is up-to-date. [48%] Processing devel/ros-catkin:ros-catkin-0.7.14 ===> Bulk building for ros-catkin-0.7.14 Binary package for ros-catkin-0.7.14 is up-to-date. [48%] Processing graphics/ros-convex-decomposition:ros-convex-decomposition-0.1.12 ===> Bulk building for ros-convex-decomposition-0.1.12 Binary package for ros-convex-decomposition-0.1.12 is up-to-date. [49%] Processing math/ros-random-numbers:ros-random-numbers-0.3.2 ===> Bulk building for ros-random-numbers-0.3.2 Binary package for ros-random-numbers-0.3.2 is up-to-date. [49%] Processing localization/libpom:libpom-1.2 ===> Bulk building for libpom-1.2 Binary package for libpom-1.2 is up-to-date. [49%] Processing devel/ros-roscpp-core:ros-roscpp-core-0.6.11 ===> Bulk building for ros-roscpp-core-0.6.11 Binary package for ros-roscpp-core-0.6.11 is up-to-date. [49%] Processing meta-pkgs/orocos-toolchain:orocos-toolchain-2.9.0rc1 ===> Bulk building for orocos-toolchain-2.9.0rc1 Binary package for orocos-toolchain-2.9.0rc1 is up-to-date. [50%] Processing devel/ros-lint:ros-lint-0.11.2 ===> Bulk building for ros-lint-0.11.2 Binary package for ros-lint-0.11.2 is up-to-date. [50%] Processing middleware/ros-genmsg:ros-genmsg-0.5.11 ===> Bulk building for ros-genmsg-0.5.11 Binary package for ros-genmsg-0.5.11 is up-to-date. [50%] Processing lang/ros-geneus:ros-geneus-2.2.6 ===> Bulk building for ros-geneus-2.2.6 Binary package for ros-geneus-2.2.6 is up-to-date. [50%] Processing optimization/roboptim-core-ipopt-plugin:roboptim-core-ipopt-plugin-0.2 Warning: DOXYGEN_PLIST_DIR in optimization/roboptim-core-ipopt-plugin is deprecated. Warning: use DYNAMIC_PLIST_DIRS instead. ===> Bulk building for roboptim-core-ipopt-plugin-0.2 Binary package for roboptim-core-ipopt-plugin-0.2 is up-to-date. [51%] Processing hardware/sickLib:sickLib-1.1.0 ===> Bulk building for sickLib-1.1.0 Binary package for sickLib-1.1.0 is up-to-date. [51%] Processing math/pinocchio:pinocchio-1.2.9r2 ===> Bulk building for pinocchio-1.2.9r2 Binary package for pinocchio-1.2.9r2 is up-to-date. [51%] Processing hardware/MTI:MTI-0.6 Warning: the LICENSE of hardware/MTI is undefined. ===> Bulk building for MTI-0.6 Binary package for MTI-0.6 is up-to-date. [51%] Processing middleware/yarp:yarp-2.3.64r3~!* ===> Bulk building for yarp-2.3.64r3 Binary package for yarp-2.3.64r3 is up-to-date. [51%] Processing middleware/yarp:yarp-2.3.64r3~gui+!* ===> Bulk building for yarp-2.3.64r3~gui Binary package for yarp-2.3.64r3~gui is up-to-date. [52%] Processing knowledge/oro-server:oro-server-0.8.1 ===> Bulk building for oro-server-0.8.1 Binary package for oro-server-0.8.1 is up-to-date. [52%] Processing hardware/gyroKVH5000:gyroKVH5000-1.4 ===> Bulk building for gyroKVH5000-1.4 Binary package for gyroKVH5000-1.4 is up-to-date. [52%] Processing supervision/transgen:transgen-1.1b1 ===> Bulk building for transgen-1.1b1 Binary package for transgen-1.1b1 is up-to-date. [52%] Processing robots/scout-genom:scout-genom-0.1 Warning: the LICENSE of robots/scout-genom is undefined. ===> Bulk building for scout-genom-0.1~openprs+tcl+tclserv_client Binary package for scout-genom-0.1~openprs+tcl+tclserv_client is up-to-date. [53%] Processing interfaces/genHum-genom:genHum-genom-1.1r1 ===> Bulk building for genHum-genom-1.1r1~openprs+tcl+tclserv_client Binary package for genHum-genom-1.1r1~openprs+tcl+tclserv_client is up-to-date. [53%] Processing motion/ros-orocos-kinematics-dynamics:ros-orocos-kinematics-dynamics-1.4.0 ===> Cleaning temporary files for ros-orocos-kinematics-dynamics-1.4.0 ===> Bulk building for ros-orocos-kinematics-dynamics-1.4.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gzip: gzip-1.9 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/orocos-kdl-1.4.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-catkin-0.7.14.tgz => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Use ros melodic: ros==melodic provided by ros-melodic => Required system package cmake>=2.8.3: cmake-3.11.2 found => Required system package eigen3>=3.0.0: eigen3-3.3.5 found => Required system package g++>=3: g++-8 found => Required system package gcc>=3: gcc-8 found => Required system package googletest: googletest found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-1.4.2 found => Required system package py27-empy>=3: py27-empy-3.3.3 found => Required system package py27-nose>=0.10: py27-nose-1.3.7 found => Required system package python27>=2.7<2.8: python27-2.7.15 found => Required robotpkg package orocos-kdl>=1.1: orocos-kdl-1.4.0 found => Required robotpkg package ros-catkin>=0.7<0.8: ros-catkin-0.7.14 found => SHA1 checksums OK => RMD160 checksums OK => Running PRE-INSTALL script actions => Running POST-INSTALL script actions => Compiling python files => Adding run-time search paths to pkg-config files => Registering installation for ros-orocos-kinematics-dynamics-1.4.0 => Linking package in /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/pub ===> Logging bulk summary for ros-orocos-kinematics-dynamics-1.4.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for ros-orocos-kinematics-dynamics-1.4.0 ===> Done bulk for ros-orocos-kinematics-dynamics-1.4.0 [53%] Processing hardware/force-genom:force-genom-1.1.1 Warning: the LICENSE of hardware/force-genom is undefined. ===> Bulk building for force-genom-1.1.1~openprs+tcl+tclserv_client Binary package for force-genom-1.1.1~openprs+tcl+tclserv_client is up-to-date. [53%] Processing lang/ros-genlisp:ros-genlisp-0.4.16 ===> Bulk building for ros-genlisp-0.4.16 Binary package for ros-genlisp-0.4.16 is up-to-date. [54%] Processing image/jafar-correl:jafar-correl-0.3 ===> Cleaning temporary files for jafar-correl-0.3 ===> Bulk building for jafar-correl-0.3 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.9 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package boost-headers>=1.34.1<1.65: MISSING WARNING: Cannot check installed version of boost-lib-filesystem WARNING: Cannot check installed version of boost-lib-iostreams WARNING: Cannot check installed version of boost-lib-math WARNING: Cannot check installed version of boost-lib-thread => Dependency digest-20080510 already installed => Required robotpkg package jafar-image>=2.1: N/A => Required robotpkg package jafar-jmath>=0.5: N/A => Required robotpkg package jafar-kernel>=0.5: N/A => Dependency tnftp-20130505~ssl already installed ERROR: ====================================================================== ERROR: Missing system packages required for jafar-correl-0.3: ERROR: ERROR: boost-headers>=1.34.1<1.65 (Fedora package boost-devel) ERROR: ERROR: Please use the system package management tool to install these ERROR: dependencies. If a robotpkg version of a dependency is available, ERROR: you can configure robotpkg.conf to use this version instead. ERROR: ERROR: See /local/robotpkg/var/tmp/robotpkg/image/jafar-correl/work/sysdep.log for details. ERROR: ====================================================================== make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/depends/sysdep.mk:35: sys-depends] Error 2 ===> Logging bulk summary for jafar-correl-0.3 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for jafar-correl-0.3 ===> Done bulk for jafar-correl-0.3 [54%] Processing motion/dynamic-graph:dynamic-graph-2.5.7 ===> Bulk building for dynamic-graph-2.5.7 Binary package for dynamic-graph-2.5.7 is up-to-date. [54%] Processing middleware/libjyarp:libjyarp-2.3.64 ===> Bulk building for libjyarp-2.3.64 Binary package for libjyarp-2.3.64 is up-to-date. [54%] Processing path/jrl-walkgen:jrl-walkgen-3.2.0 ===> Bulk building for jrl-walkgen-3.2.0 Binary package for jrl-walkgen-3.2.0 is up-to-date. [54%] Processing localization/pom-genom:pom-genom-0.7 ===> Bulk building for pom-genom-0.7~openprs+tcl+tclserv_client Binary package for pom-genom-0.7~openprs+tcl+tclserv_client is up-to-date. [55%] Processing mapping/mapkit:mapkit-1.0 Warning: the LICENSE of mapping/mapkit is undefined. ===> Bulk building for mapkit-1.0 Binary package for mapkit-1.0 is up-to-date. [55%] Processing devel/ros-cmake-modules:ros-cmake-modules-0.4.1 ===> Bulk building for ros-cmake-modules-0.4.1 Binary package for ros-cmake-modules-0.4.1 is up-to-date. [55%] Processing path/libp3d:libp3d-1.4r2~rmp400 ===> Bulk building for libp3d-1.4r2~display+rmp400 Binary package for libp3d-1.4r2~display+rmp400 is up-to-date. [55%] Processing path/libp3d:libp3d>=1.4~rmp440 ===> Bulk building for libp3d-1.4r2~display+rmp440 Binary package for libp3d-1.4r2~display+rmp440 is up-to-date. [56%] Processing math/hrp2-dynamics:hrp2-dynamics-1.5.3 ===> Bulk building for hrp2-dynamics-1.5.3 Binary package for hrp2-dynamics-1.5.3 is up-to-date. [56%] Processing graphics/ros-ivcon:ros-ivcon-0.1.7 ===> Bulk building for ros-ivcon-0.1.7 Binary package for ros-ivcon-0.1.7 is up-to-date. [56%] Processing mapping/libdtm:libdtm-1.4r1 Warning: the LICENSE of mapping/libdtm is undefined. ===> Bulk building for libdtm-1.4r1 Binary package for libdtm-1.4r1 is up-to-date. [56%] Processing hardware/gbx-hokuyo-aist:gbx-hokuyo-aist-2.0.0 ===> Bulk building for gbx-hokuyo-aist-2.0.0 Binary package for gbx-hokuyo-aist-2.0.0 is up-to-date. [57%] Processing architecture/genom3:genom3-2.99.31 ===> Bulk building for genom3-2.99.31 Binary package for genom3-2.99.31 is up-to-date. [57%] Processing math/ros-eigen-stl-containers:ros-eigen-stl-containers-0.1.8 ===> Bulk building for ros-eigen-stl-containers-0.1.8 Binary package for ros-eigen-stl-containers-0.1.8 is up-to-date. [57%] Processing lang/ros-gennodejs:ros-gennodejs-2.0.1 ===> Bulk building for ros-gennodejs-2.0.1 Binary package for ros-gennodejs-2.0.1 is up-to-date. [57%] Processing simulation/openhrp3:openhrp3-3.1.9 ===> Bulk building for openhrp3-3.1.9 Binary package for openhrp3-3.1.9 is up-to-date. [58%] Processing robots/romeo-description:romeo-description-0.4.0r1 ===> Bulk building for romeo-description-0.4.0r1 Binary package for romeo-description-0.4.0r1 is up-to-date. [58%] Processing sysutils/py-rosdep:py27-rosdep-0.10.30 ===> Bulk building for py27-rosdep-0.10.30 Binary package for py27-rosdep-0.10.30 is up-to-date. [58%] Processing sysutils/py-rosdep:py32-rosdep-0.10.30 ===> Bulk building for py32-rosdep-0.10.30 Binary package for py32-rosdep-0.10.30 is up-to-date. [58%] Processing sysutils/py-rosdep:py34-rosdep-0.10.30 ===> Bulk building for py34-rosdep-0.10.30 Binary package for py34-rosdep-0.10.30 is up-to-date. [58%] Processing sysutils/py-rosdep:py35-rosdep-0.10.30 ===> Bulk building for py35-rosdep-0.10.30 Binary package for py35-rosdep-0.10.30 is up-to-date. [59%] Processing sysutils/py-rosdep:py36-rosdep-0.10.30 ===> Cleaning temporary files for py36-rosdep-0.10.30 ===> Bulk building for py36-rosdep-0.10.30 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gzip: gzip-1.9 found => Required system package patch>=2.0: patch-2.7.6 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/py36-catkin-pkg-0.2.4.tgz => Required system package py36-nose>=0.10: MISSING => Required robotpkg package py36-rosdistro>=0.2.9: N/A => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/py36-rospkg-1.1.7.tgz => Required system package py36-yaml>=3: MISSING => Dependency tnftp-20130505~ssl already installed ERROR: ====================================================================== ERROR: Missing system packages required for py36-rosdep-0.10.30: ERROR: ERROR: py36-nose>=0.10 (Fedora package python-nose (python-3.6)) ERROR: py36-yaml>=3 (Fedora package PyYAML (python-3.6)) ERROR: ERROR: Please use the system package management tool to install these ERROR: dependencies. If a robotpkg version of a dependency is available, ERROR: you can configure robotpkg.conf to use this version instead. ERROR: ERROR: See /local/robotpkg/var/tmp/robotpkg/sysutils/py-rosdep/work/sysdep.log for details. ERROR: ====================================================================== make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/depends/sysdep.mk:35: sys-depends] Error 2 ===> Logging bulk summary for py36-rosdep-0.10.30 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py36-rosdep-0.10.30 ===> Done bulk for py36-rosdep-0.10.30 [59%] Processing interfaces/genPos-genom:genPos-genom-0.3r1 ===> Bulk building for genPos-genom-0.3r1~openprs+tcl+tclserv_client Binary package for genPos-genom-0.3r1~openprs+tcl+tclserv_client is up-to-date. [59%] Processing path/hpp-gik:hpp-gik-2.10.1 ===> Bulk building for hpp-gik-2.10.1 Binary package for hpp-gik-2.10.1 is up-to-date. [59%] Processing optimization/roboptim-trajectory:roboptim-trajectory-3.1r1 ===> Bulk building for roboptim-trajectory-3.1r1 Binary package for roboptim-trajectory-3.1r1 is up-to-date. [60%] Processing lang/ros-genpy:ros-genpy-0.6.7 ===> Bulk building for ros-genpy-0.6.7 Binary package for ros-genpy-0.6.7 is up-to-date. [60%] Processing graphics/jafar-gdhe:jafar-gdhe-0.1r3 ===> Cleaning temporary files for jafar-gdhe-0.1r3 ===> Bulk building for jafar-gdhe-0.1r3 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.9 found => Required system package patch>=2.0: patch-2.7.6 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package boost-headers>=1.34.1<1.65: MISSING WARNING: Cannot check installed version of boost-lib-filesystem WARNING: Cannot check installed version of boost-lib-iostreams WARNING: Cannot check installed version of boost-lib-math WARNING: Cannot check installed version of boost-lib-thread => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/boost-numeric-bindings-20101109.tgz => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/gdhe-3.8.5.tgz => Required robotpkg package jafar-jmath>=0.5: N/A => Required robotpkg package jafar-kernel>=0.5: N/A => Dependency tnftp-20130505~ssl already installed ERROR: ====================================================================== ERROR: Missing system packages required for jafar-gdhe-0.1r3: ERROR: ERROR: boost-headers>=1.34.1<1.65 (Fedora package boost-devel) ERROR: ERROR: Please use the system package management tool to install these ERROR: dependencies. If a robotpkg version of a dependency is available, ERROR: you can configure robotpkg.conf to use this version instead. ERROR: ERROR: See /local/robotpkg/var/tmp/robotpkg/graphics/jafar-gdhe/work/sysdep.log for details. ERROR: ====================================================================== make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/depends/sysdep.mk:35: sys-depends] Error 2 ===> Logging bulk summary for jafar-gdhe-0.1r3 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for jafar-gdhe-0.1r3 ===> Done bulk for jafar-gdhe-0.1r3 [60%] Processing audio/speett-genom:speett-genom-1.0 ===> Bulk building for speett-genom-1.0~openprs+tcl+tclserv_client Binary package for speett-genom-1.0~openprs+tcl+tclserv_client is up-to-date. [60%] Processing image/viam-genom:viam-genom-1.10 ===> Bulk building for viam-genom-1.10~display+openprs+tcl+tclserv_client Binary package for viam-genom-1.10~display+openprs+tcl+tclserv_client is up-to-date. [61%] Processing math/py-pinocchio:py27-pinocchio-1.2.9 ===> Cleaning temporary files for py27-pinocchio-1.2.9 ===> Bulk building for py27-pinocchio-1.2.9 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gzip: gzip-1.9 found => Required system package patch>=2.0: patch-2.7.6 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/hpp-fcl-0.6.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/pinocchio-1.2.9r2.tgz ERROR: Required robotpkg package py27-eigenpy>=1.4.1: BROKEN => Dependency tnftp-20130505~ssl already installed ===> Logging bulk summary for py27-pinocchio-1.2.9 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py27-pinocchio-1.2.9 ===> Done bulk for py27-pinocchio-1.2.9 [61%] Processing math/py-pinocchio:py32-pinocchio-1.2.9 ===> Bulk building for py32-pinocchio-1.2.9 Binary package for py32-pinocchio-1.2.9 is up-to-date. [61%] Processing math/py-pinocchio:py34-pinocchio-1.2.9 ===> Bulk building for py34-pinocchio-1.2.9 Binary package for py34-pinocchio-1.2.9 is up-to-date. [61%] Processing math/py-pinocchio:py35-pinocchio-1.2.9 ===> Bulk building for py35-pinocchio-1.2.9 Binary package for py35-pinocchio-1.2.9 is up-to-date. [61%] Processing math/py-pinocchio:py36-pinocchio-1.2.9 ===> Cleaning temporary files for py36-pinocchio-1.2.9 ===> Bulk building for py36-pinocchio-1.2.9 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gzip: gzip-1.9 found => Required system package patch>=2.0: patch-2.7.6 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/hpp-fcl-0.6.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/pinocchio-1.2.9r2.tgz ERROR: Required robotpkg package py36-eigenpy>=1.4.1: BROKEN => Dependency tnftp-20130505~ssl already installed ===> Logging bulk summary for py36-pinocchio-1.2.9 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py36-pinocchio-1.2.9 ===> Done bulk for py36-pinocchio-1.2.9 [62%] Processing motion/py-dynamic-graph:py27-dynamic-graph-2.5.6r2 ===> Bulk building for py27-dynamic-graph-2.5.6r2 Binary package for py27-dynamic-graph-2.5.6r2 is up-to-date. [62%] Processing devel/boost-headers:boost-headers-1.52.0 ===> Bulk building for boost-headers-1.52.0 Binary package for boost-headers-1.52.0 is up-to-date. [62%] Processing motion/sot-core:sot-core-2.9.10 ===> Bulk building for sot-core-2.9.10 Binary package for sot-core-2.9.10 is up-to-date. [62%] Processing image/stereopixel-genom:stereopixel-genom-1.3 ===> Bulk building for stereopixel-genom-1.3~openprs+tcl+tclserv_client Binary package for stereopixel-genom-1.3~openprs+tcl+tclserv_client is up-to-date. [63%] Processing devel/ros-xacro:ros-xacro-1.13.2 ===> Bulk building for ros-xacro-1.13.2 Binary package for ros-xacro-1.13.2 is up-to-date. [63%] Processing localization/mocap-genom:mocap-genom-1.3 ===> Bulk building for mocap-genom-1.3~openprs+tcl+tclserv_client Binary package for mocap-genom-1.3~openprs+tcl+tclserv_client is up-to-date. [63%] Processing meta-pkgs/jafar:jafar-20130522 ===> Cleaning temporary files for jafar-20130522 ===> Bulk building for jafar-20130522 => Checking for clear installation => Required system package gzip: gzip-1.9 found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required robotpkg package jafar-correl>=0.1: N/A => Required robotpkg package jafar-gdhe>=0.1: N/A => Required robotpkg package jafar-image>=2.1: N/A => Required robotpkg package jafar-jmath>=0.5: N/A => Required robotpkg package jafar-kernel>=0.5: N/A ===> Logging bulk summary for jafar-20130522 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for jafar-20130522 ===> Done bulk for jafar-20130522 [63%] Processing mapping/regionMap-lib:regionMap-lib-0.4r3 ===> Bulk building for regionMap-lib-0.4r3 Binary package for regionMap-lib-0.4r3 is up-to-date. [64%] Processing math/ros-angles:ros-angles-1.9.11 ===> Bulk building for ros-angles-1.9.11 Binary package for ros-angles-1.9.11 is up-to-date. [64%] Processing audio/textos-genom:textos-genom-1.0.2 ===> Bulk building for textos-genom-1.0.2~openprs+tcl+tclserv_client Binary package for textos-genom-1.0.2~openprs+tcl+tclserv_client is up-to-date. [64%] Processing supervision/transgen3:transgen3-1.0b5 ===> Bulk building for transgen3-1.0b5 Binary package for transgen3-1.0b5 is up-to-date. [64%] Processing motion/py-sot-tools:py27-sot-tools-1.0.1 ===> Bulk building for py27-sot-tools-1.0.1 Binary package for py27-sot-tools-1.0.1 is up-to-date. [64%] Processing sysutils/ros-rospack:ros-rospack-2.5.1 ===> Bulk building for ros-rospack-2.5.1 Binary package for ros-rospack-2.5.1 is up-to-date. [65%] Processing lang/ros-gencpp:ros-gencpp>=0.6<=0.6.0 ===> Bulk building for ros-gencpp-0.6.0 Binary package for ros-gencpp-0.6.0 is up-to-date. [65%] Processing doc/demo-genom:demo-genom-0.1 ===> Bulk building for demo-genom-0.1~openprs+tcl+tclserv_client Binary package for demo-genom-0.1~openprs+tcl+tclserv_client is up-to-date. [65%] Processing localization/hueblob-genom:hueblob-genom-1.4 ===> Bulk building for hueblob-genom-1.4~display+openprs+tcl+tclserv_client Binary package for hueblob-genom-1.4~display+openprs+tcl+tclserv_client is up-to-date. [65%] Processing robots/hrpsys-base:hrpsys-base-315.14.0 ===> Bulk building for hrpsys-base-315.14.0 Binary package for hrpsys-base-315.14.0 is up-to-date. [66%] Processing interfaces/genBasic-genom:genBasic-genom-0.4r1 ===> Bulk building for genBasic-genom-0.4r1~openprs+tcl+tclserv_client Binary package for genBasic-genom-0.4r1~openprs+tcl+tclserv_client is up-to-date. [66%] Processing devel/ros-class-loader:ros-class-loader-0.4.1 ===> Bulk building for ros-class-loader-0.4.1 Binary package for ros-class-loader-0.4.1 is up-to-date. [66%] Processing localization/GPS-genom:GPS-genom-1.7 ===> Bulk building for GPS-genom-1.7~openprs+tcl+tclserv_client Binary package for GPS-genom-1.7~openprs+tcl+tclserv_client is up-to-date. [66%] Processing middleware/py-yarp:py36-yarp-2.3.64 ===> Bulk building for py36-yarp-2.3.64 Binary package for py36-yarp-2.3.64 is up-to-date. [67%] Processing middleware/py-yarp:py27-yarp-2.3.64 ===> Bulk building for py27-yarp-2.3.64 Binary package for py27-yarp-2.3.64 is up-to-date. [67%] Processing middleware/py-yarp:py32-yarp-2.3.64 ===> Bulk building for py32-yarp-2.3.64 Binary package for py32-yarp-2.3.64 is up-to-date. [67%] Processing middleware/py-yarp:py34-yarp-2.3.64 ===> Bulk building for py34-yarp-2.3.64 Binary package for py34-yarp-2.3.64 is up-to-date. [67%] Processing middleware/py-yarp:py35-yarp-2.3.64 ===> Bulk building for py35-yarp-2.3.64 Binary package for py35-yarp-2.3.64 is up-to-date. [67%] Processing audio/clone-genom:clone-genom-0.2r1 Warning: the LICENSE of audio/clone-genom is undefined. ===> Bulk building for clone-genom-0.2r1~openprs+tcl+tclserv_client Binary package for clone-genom-0.2r1~openprs+tcl+tclserv_client is up-to-date. [68%] Processing architecture/genom3-pocolibs:genom3-pocolibs-1.11 ===> Bulk building for genom3-pocolibs-1.11 Binary package for genom3-pocolibs-1.11 is up-to-date. [68%] Processing motion/contlaw:contlaw-1.0 Warning: the LICENSE of motion/contlaw is undefined. ===> Bulk building for contlaw-1.0 Binary package for contlaw-1.0 is up-to-date. [68%] Processing meta-pkgs/gearbox:gearbox-10.11 ===> Bulk building for gearbox-10.11 Binary package for gearbox-10.11 is up-to-date. [68%] Processing robots/rflex-genom:rflex-genom-0.3r1 Warning: the LICENSE of robots/rflex-genom is undefined. ===> Bulk building for rflex-genom-0.3r1~atrv+openprs+tcl+tclserv_client Binary package for rflex-genom-0.3r1~atrv+openprs+tcl+tclserv_client is up-to-date. [69%] Processing motion/sot-dynamic:sot-dynamic-2.9.2 ===> Bulk building for sot-dynamic-2.9.2 Binary package for sot-dynamic-2.9.2 is up-to-date. [69%] Processing lang/ros-message-generation:ros-message-generation>=0.4<=0.4.0 ===> Bulk building for ros-message-generation-0.4.0 Binary package for ros-message-generation-0.4.0 is up-to-date. [69%] Processing net/genomix:genomix-1.6.2 ===> Bulk building for genomix-1.6.2 Binary package for genomix-1.6.2 is up-to-date. [69%] Processing mapping/worldmodelgrid3dg-genom:worldmodelgrid3dg-genom-1.0 Warning: the LICENSE of mapping/worldmodelgrid3dg-genom is undefined. ===> Bulk building for worldmodelgrid3dg-genom-1.0~openprs+tcl+tclserv_client Binary package for worldmodelgrid3dg-genom-1.0~openprs+tcl+tclserv_client is up-to-date. [70%] Processing manipulation/genManip-genom:genManip-genom-0.9 ===> Bulk building for genManip-genom-0.9~openprs+tcl+tclserv_client Binary package for genManip-genom-0.9~openprs+tcl+tclserv_client is up-to-date. [70%] Processing localization/MTI-genom:MTI-genom-0.4r1 Warning: the LICENSE of localization/MTI-genom is undefined. ===> Bulk building for MTI-genom-0.4r1~openprs+tcl+tclserv_client Binary package for MTI-genom-0.4r1~openprs+tcl+tclserv_client is up-to-date. [70%] Processing hardware/platine-genom:platine-genom-0.5 ===> Bulk building for platine-genom-0.5~openprs+tcl+tclserv_client Binary package for platine-genom-0.5~openprs+tcl+tclserv_client is up-to-date. [70%] Processing hardware/sick-genom:sick-genom-0.2~atrv Warning: the LICENSE of hardware/sick-genom is undefined. ===> Bulk building for sick-genom-0.2~atrv+openprs+tcl+tclserv_client Binary package for sick-genom-0.2~atrv+openprs+tcl+tclserv_client is up-to-date. [70%] Processing lang/ros-message-runtime:ros-message-runtime-0.4.12 ===> Bulk building for ros-message-runtime-0.4.12 Binary package for ros-message-runtime-0.4.12 is up-to-date. [71%] Processing localization/segloc-genom:segloc-genom-0.3 Warning: the LICENSE of localization/segloc-genom is undefined. ===> Bulk building for segloc-genom-0.3~openprs+tcl+tclserv_client Binary package for segloc-genom-0.3~openprs+tcl+tclserv_client is up-to-date. [71%] Processing localization/gyro-genom:gyro-genom-0.3r1~tclserv_client+openprs+gyroKVH1000 Warning: the LICENSE of localization/gyro-genom is undefined. ===> Bulk building for gyro-genom-0.3r1~gyroKVH1000+openprs+tcl+tclserv_client Binary package for gyro-genom-0.3r1~gyroKVH1000+openprs+tcl+tclserv_client is up-to-date. [71%] Processing localization/gyro-genom:gyro-genom-0.3r1~gyroKVH5000+openprs+tclserv_client Warning: the LICENSE of localization/gyro-genom is undefined. ===> Bulk building for gyro-genom-0.3r1~gyroKVH5000+openprs+tcl+tclserv_client Binary package for gyro-genom-0.3r1~gyroKVH5000+openprs+tcl+tclserv_client is up-to-date. [71%] Processing meta-pkgs/boost:boost-1.52.0 ===> Bulk building for boost-1.52.0 Binary package for boost-1.52.0 is up-to-date. [72%] Processing supervision/genom3-openprs:genom3-openprs-1.0.9r5 ===> Bulk building for genom3-openprs-1.0.9r5 Binary package for genom3-openprs-1.0.9r5 is up-to-date. [72%] Processing simulation/morse-yarp:morse-yarp-1.4 ===> Bulk building for morse-yarp-1.4 Binary package for morse-yarp-1.4 is up-to-date. [72%] Processing hardware/velodyne-genom:velodyne-genom-1.6 ===> Bulk building for velodyne-genom-1.6~openprs+tcl+tclserv_client Binary package for velodyne-genom-1.6~openprs+tcl+tclserv_client is up-to-date. [72%] Processing image/niut-genom:niut-genom-0.6 ===> Bulk building for niut-genom-0.6~openprs+tcl+tclserv_client Binary package for niut-genom-0.6~openprs+tcl+tclserv_client is up-to-date. [73%] Processing path/aspect-genom:aspect-genom-0.1 Warning: the LICENSE of path/aspect-genom is undefined. ===> Bulk building for aspect-genom-0.1~openprs+tcl+tclserv_client Binary package for aspect-genom-0.1~openprs+tcl+tclserv_client is up-to-date. [73%] Processing devel/ros-ros:ros-ros-1.14.4 ===> Bulk building for ros-ros-1.14.4 Binary package for ros-ros-1.14.4 is up-to-date. [73%] Processing robots/play-genom:play-genom-0.1 Warning: the LICENSE of robots/play-genom is undefined. ===> Bulk building for play-genom-0.1~openprs+tcl+tclserv_client Binary package for play-genom-0.1~openprs+tcl+tclserv_client is up-to-date. [73%] Processing interfaces/ros-std-msgs:ros-std-msgs-0.5.11 ===> Bulk building for ros-std-msgs-0.5.11 Binary package for ros-std-msgs-0.5.11 is up-to-date. [74%] Processing graphics/ros-python-qt-binding:ros-python-qt-binding-0.3.4 ===> Cleaning temporary files for ros-python-qt-binding-0.3.4 ===> Bulk building for ros-python-qt-binding-0.3.4 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gzip: gzip-1.9 found => Required system package patch>=2.0: patch-2.7.6 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-catkin-0.7.14.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-ros-1.14.4.tgz => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Use ros melodic: ros==melodic provided by ros-melodic => Required system package cmake>=2.8.3: cmake-3.11.2 found => Required system package g++>=3: g++-8 found => Required system package gcc>=3: gcc-8 found => Required system package googletest: googletest found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-1.4.2 found => Required system package py27-empy>=3: py27-empy-3.3.3 found => Required system package py27-nose>=0.10: py27-nose-1.3.7 found => Required system package py27-qt5: py27-qt5 found => Required system package py27-sip>=4: py27-sip-4.19.7 found => Required system package python27>=2.7<2.8: python27-2.7.15 found => Required system package qmake>=1: qmake-3.1 found => Required system package qt5-qtbase>=5<6: qt5-qtbase-5.11.1 found => Required robotpkg package ros-catkin>=0.7<0.8: ros-catkin-0.7.14 found => Required robotpkg package ros-ros>=1.14<1.15: ros-ros-1.14.4 found => SHA1 checksums OK => RMD160 checksums OK => Applying robotpkg patches for ros-python-qt-binding-0.3.4 => Configuring sip path => Replacing python interpreter path => Replacing setuptools setup by distutils setup => Running PRE-INSTALL script actions => Running POST-INSTALL script actions => Compiling python files => Adding run-time search paths to pkg-config files => Registering installation for ros-python-qt-binding-0.3.4 => Linking package in /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/pub ===> Logging bulk summary for ros-python-qt-binding-0.3.4 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for ros-python-qt-binding-0.3.4 ===> Done bulk for ros-python-qt-binding-0.3.4 [74%] Processing interfaces/ros-common-msgs:ros-common-msgs-1.12.6 ===> Bulk building for ros-common-msgs-1.12.6 Binary package for ros-common-msgs-1.12.6 is up-to-date. [74%] Processing sysutils/ros-console:ros-console-1.13.7 ===> Bulk building for ros-console-1.13.7 Binary package for ros-console-1.13.7 is up-to-date. [74%] Processing robots/ivmob-genom:ivmob-genom-1.4 ===> Bulk building for ivmob-genom-1.4~openprs+tcl+tclserv_client Binary package for ivmob-genom-1.4~openprs+tcl+tclserv_client is up-to-date. [74%] Processing robots/jloco-genom:jloco-genom-2.0 Warning: the LICENSE of robots/jloco-genom is undefined. ===> Bulk building for jloco-genom-2.0~openprs+tcl+tclserv_client Binary package for jloco-genom-2.0~openprs+tcl+tclserv_client is up-to-date. [75%] Processing hardware/sahand-genom:sahand-genom-1.1 Warning: the LICENSE of hardware/sahand-genom is undefined. ===> Bulk building for sahand-genom-1.1~openprs+tcl+tclserv_client Binary package for sahand-genom-1.1~openprs+tcl+tclserv_client is up-to-date. [75%] Processing hardware/mouse3d-genom:mouse3d-genom-1.2 ===> Bulk building for mouse3d-genom-1.2~openprs+tcl+tclserv_client Binary package for mouse3d-genom-1.2~openprs+tcl+tclserv_client is up-to-date. [75%] Processing robots/rmp440-genom:rmp440-genom-0.6~gyro ===> Bulk building for rmp440-genom-0.6~gyro+openprs+tcl+tclserv_client Binary package for rmp440-genom-0.6~gyro+openprs+tcl+tclserv_client is up-to-date. [75%] Processing robots/rmp400-genom:rmp400-genom-0.12~gyro ===> Bulk building for rmp400-genom-0.12~gyro+openprs+tcl+tclserv_client Binary package for rmp400-genom-0.12~gyro+openprs+tcl+tclserv_client is up-to-date. [76%] Processing scripts/py-sot-application:py27-sot-application-1.0.0r3 ===> Bulk building for py27-sot-application-1.0.0r3 Binary package for py27-sot-application-1.0.0r3 is up-to-date. [76%] Processing scripts/py-sot-application:py32-sot-application-1.0.0r3 ===> Bulk building for py32-sot-application-1.0.0r3 Binary package for py32-sot-application-1.0.0r3 is up-to-date. [76%] Processing scripts/py-sot-application:py34-sot-application-1.0.0r3 ===> Bulk building for py34-sot-application-1.0.0r3 Binary package for py34-sot-application-1.0.0r3 is up-to-date. [76%] Processing scripts/py-sot-application:py35-sot-application-1.0.0r3 ===> Bulk building for py35-sot-application-1.0.0r3 Binary package for py35-sot-application-1.0.0r3 is up-to-date. [77%] Processing scripts/py-sot-application:py36-sot-application-1.0.0r3 ===> Bulk building for py36-sot-application-1.0.0r3 Binary package for py36-sot-application-1.0.0r3 is up-to-date. [77%] Processing mapping/zone-genom:zone-genom-1.1 Warning: the LICENSE of mapping/zone-genom is undefined. ===> Bulk building for zone-genom-1.1~openprs+tcl+tclserv_client Binary package for zone-genom-1.1~openprs+tcl+tclserv_client is up-to-date. [77%] Processing graphics/coldman-genom:coldman-genom-1.3r1 ===> Bulk building for coldman-genom-1.3r1~openprs+tcl+tclserv_client Binary package for coldman-genom-1.3r1~openprs+tcl+tclserv_client is up-to-date. [77%] Processing mapping/regionMap-genom:regionMap-genom-0.4 ===> Bulk building for regionMap-genom-0.4~openprs+tcl+tclserv_client Binary package for regionMap-genom-0.4~openprs+tcl+tclserv_client is up-to-date. [77%] Processing interfaces/ros-navigation-msgs:ros-navigation-msgs-1.13.0 ===> Bulk building for ros-navigation-msgs-1.13.0 Binary package for ros-navigation-msgs-1.13.0 is up-to-date. [78%] Processing motion/locoDemo-genom:locoDemo-genom-1.5 ===> Bulk building for locoDemo-genom-1.5~openprs+tcl+tclserv_client Binary package for locoDemo-genom-1.5~openprs+tcl+tclserv_client is up-to-date. [78%] Processing image/viman-genom:viman-genom-1.6 ===> Bulk building for viman-genom-1.6~openprs+tcl+tclserv_client Binary package for viman-genom-1.6~openprs+tcl+tclserv_client is up-to-date. [78%] Processing interfaces/ros-comm-msgs:ros-comm-msgs-1.11.2r1 ===> Bulk building for ros-comm-msgs-1.11.2r1 Binary package for ros-comm-msgs-1.11.2r1 is up-to-date. [78%] Processing mapping/dtm-genom:dtm-genom-1.5 Warning: the LICENSE of mapping/dtm-genom is undefined. ===> Bulk building for dtm-genom-1.5~openprs+tcl+tclserv_client Binary package for dtm-genom-1.5~openprs+tcl+tclserv_client is up-to-date. [79%] Processing interfaces/ros-control-msgs:ros-control-msgs>=1.4<=1.4.0 ===> Bulk building for ros-control-msgs-1.4.0 Binary package for ros-control-msgs-1.4.0 is up-to-date. [79%] Processing devel/ros-pluginlib:ros-pluginlib-1.12.1 ===> Bulk building for ros-pluginlib-1.12.1 Binary package for ros-pluginlib-1.12.1 is up-to-date. [79%] Processing interfaces/ros-humanoid-msgs:ros-humanoid-msgs-0.3.0 ===> Bulk building for ros-humanoid-msgs-0.3.0 Binary package for ros-humanoid-msgs-0.3.0 is up-to-date. [79%] Processing motion/pilo-genom:pilo-genom-1.2r1~rmp400 Warning: the LICENSE of motion/pilo-genom is undefined. ===> Bulk building for pilo-genom-1.2r1~openprs+rmp400+tcl+tclserv_client Binary package for pilo-genom-1.2r1~openprs+rmp400+tcl+tclserv_client is up-to-date. [80%] Processing motion/pilo-genom:pilo-genom>=1.2~locoDemo Warning: the LICENSE of motion/pilo-genom is undefined. ===> Bulk building for pilo-genom-1.2r1~locoDemo+openprs+tcl+tclserv_client Binary package for pilo-genom-1.2r1~locoDemo+openprs+tcl+tclserv_client is up-to-date. [80%] Processing middleware/ros-comm:ros-comm-1.14.3 ===> Bulk building for ros-comm-1.14.3 Binary package for ros-comm-1.14.3 is up-to-date. [80%] Processing path/p3d-genom:p3d-genom-1.5r2~rmp400 Warning: the LICENSE of path/p3d-genom is undefined. ===> Bulk building for p3d-genom-1.5r2~openprs+rmp400+tcl+tclserv_client Binary package for p3d-genom-1.5r2~openprs+rmp400+tcl+tclserv_client is up-to-date. [80%] Processing path/p3d-genom:p3d-genom>=1.1~rmp440 Warning: the LICENSE of path/p3d-genom is undefined. ===> Bulk building for p3d-genom-1.5r2~openprs+rmp440+tcl+tclserv_client Binary package for p3d-genom-1.5r2~openprs+rmp440+tcl+tclserv_client is up-to-date. [80%] Processing middleware/ros-dynamic-reconfigure:ros-dynamic-reconfigure-1.5.49 ===> Bulk building for ros-dynamic-reconfigure-1.5.49 Binary package for ros-dynamic-reconfigure-1.5.49 is up-to-date. [81%] Processing meta-pkgs/minnie:laas-minnie-20131022 ===> Bulk building for laas-minnie-20131022 Binary package for laas-minnie-20131022 is up-to-date. [81%] Processing scripts/pilo-demo:pilo-demo-0.1 ===> Bulk building for pilo-demo-0.1 Binary package for pilo-demo-0.1 is up-to-date. [81%] Processing localization/ros-joint-state-publisher:ros-joint-state-publisher-1.12.13 ===> Cleaning temporary files for ros-joint-state-publisher-1.12.13 ===> Bulk building for ros-joint-state-publisher-1.12.13 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gzip: gzip-1.9 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-catkin-0.7.14.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-comm-1.14.3.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-common-msgs-1.12.6.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-python-qt-binding-0.3.4.tgz => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Use ros melodic: ros==melodic provided by ros-melodic => Required system package cmake>=2.8.3: cmake-3.11.2 found => Required system package g++>=3: g++-8 found => Required system package gcc>=3: gcc-8 found => Required system package googletest: googletest found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-1.4.2 found => Required system package py27-empy>=3: py27-empy-3.3.3 found => Required system package py27-nose>=0.10: py27-nose-1.3.7 found => Required system package python27>=2.7<2.8: python27-2.7.15 found => Required robotpkg package ros-catkin>=0.7<0.8: ros-catkin-0.7.14 found => Required robotpkg package ros-comm>=1.13<1.15: ros-comm-1.14.3 found => Required robotpkg package ros-common-msgs>=1.12<1.13: ros-common-msgs-1.12.6 found => Required robotpkg package ros-python-qt-binding>=0.2.10: ros-python-qt-binding-0.3.4 found => SHA1 checksums OK => RMD160 checksums OK => Replacing python interpreter path => Running PRE-INSTALL script actions => Running POST-INSTALL script actions => Compiling python files => Adding run-time search paths to pkg-config files => Registering installation for ros-joint-state-publisher-1.12.13 => Linking package in /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/pub ===> Logging bulk summary for ros-joint-state-publisher-1.12.13 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for ros-joint-state-publisher-1.12.13 ===> Done bulk for ros-joint-state-publisher-1.12.13 [81%] Processing devel/ros-realtime-tools:ros-realtime-tools-1.11.0 ===> Bulk building for ros-realtime-tools-1.11.0 Binary package for ros-realtime-tools-1.11.0 is up-to-date. [82%] Processing net/ros-resource-retriever:ros-resource-retriever-1.12.4 ===> Bulk building for ros-resource-retriever-1.12.4 Binary package for ros-resource-retriever-1.12.4 is up-to-date. [82%] Processing supervision/ros-executive-smach:ros-executive-smach-2.0.1 ===> Bulk building for ros-executive-smach-2.0.1 Binary package for ros-executive-smach-2.0.1 is up-to-date. [82%] Processing middleware/ros-actionlib:ros-actionlib-1.11.13 ===> Bulk building for ros-actionlib-1.11.13 Binary package for ros-actionlib-1.11.13 is up-to-date. [82%] Processing meta-pkgs/mana:laas-mana-20120223 ===> Bulk building for laas-mana-20120223 Binary package for laas-mana-20120223 is up-to-date. [83%] Processing devel/ros-filters:ros-filters-1.8.1 ===> Bulk building for ros-filters-1.8.1 Binary package for ros-filters-1.8.1 is up-to-date. [83%] Processing sysutils/ros-console-bridge:ros-console-bridge-0.5.2 ===> Bulk building for ros-console-bridge-0.5.2 Binary package for ros-console-bridge-0.5.2 is up-to-date. [83%] Processing devel/ros-bond-core:ros-bond-core-1.8.2 ===> Bulk building for ros-bond-core-1.8.2 Binary package for ros-bond-core-1.8.2 is up-to-date. [83%] Processing image/ros-image-common:ros-image-common-1.11.13 ===> Bulk building for ros-image-common-1.11.13 Binary package for ros-image-common-1.11.13 is up-to-date. [83%] Processing path/ndd-genom:ndd-genom-1.0 Warning: the LICENSE of path/ndd-genom is undefined. ===> Bulk building for ndd-genom-1.0~openprs+tcl+tclserv_client Binary package for ndd-genom-1.0~openprs+tcl+tclserv_client is up-to-date. [84%] Processing math/jrl-dynamics-urdf:jrl-dynamics-urdf-2.2.0r3 ===> Bulk building for jrl-dynamics-urdf-2.2.0r3 Binary package for jrl-dynamics-urdf-2.2.0r3 is up-to-date. [84%] Processing motion/dynamic-graph-bridge-msgs:dynamic-graph-bridge-msgs-0.2.0 ===> Bulk building for dynamic-graph-bridge-msgs-0.2.0 Binary package for dynamic-graph-bridge-msgs-0.2.0 is up-to-date. [84%] Processing architecture/genom3-ros:genom3-ros-1.20.1 ===> Bulk building for genom3-ros-1.20.1 Binary package for genom3-ros-1.20.1 is up-to-date. [84%] Processing path/maneuver-genom3:maneuver-genom3-1.4~codels+pocolibs-client-c+openprs+pocolibs-server+!* ===> Bulk building for maneuver-genom3-1.4~codels+openprs+pocolibs-client-c+pocolibs-server Binary package for maneuver-genom3-1.4~codels+openprs+pocolibs-client-c+pocolibs-server is up-to-date. [85%] Processing path/maneuver-genom3:maneuver-genom3-1.4~codels+openprs+ros-client-c+ros-client-ros+ros-server+!* ===> Bulk building for maneuver-genom3-1.4~codels+openprs+ros-client-c+ros-client-ros+ros-server Binary package for maneuver-genom3-1.4~codels+openprs+ros-client-c+ros-client-ros+ros-server is up-to-date. [85%] Processing graphics/ros-urdf:ros-urdf-1.13.1 ===> Bulk building for ros-urdf-1.13.1 Binary package for ros-urdf-1.13.1 is up-to-date. [85%] Processing motion/ros-control-toolbox:ros-control-toolbox>=1.16<=1.16.0 ===> Bulk building for ros-control-toolbox-1.16.0 Binary package for ros-control-toolbox-1.16.0 is up-to-date. [85%] Processing doc/demo-genom3:demo-genom3-1.3~codels+pocolibs-client-c+openprs+pocolibs-server+!* ===> Bulk building for demo-genom3-1.3~codels+openprs+pocolibs-client-c+pocolibs-server Binary package for demo-genom3-1.3~codels+openprs+pocolibs-client-c+pocolibs-server is up-to-date. [86%] Processing doc/demo-genom3:demo-genom3-1.3~codels+openprs+ros-client-c+ros-client-ros+ros-server+!* ===> Bulk building for demo-genom3-1.3~codels+openprs+ros-client-c+ros-client-ros+ros-server Binary package for demo-genom3-1.3~codels+openprs+ros-client-c+ros-client-ros+ros-server is up-to-date. [86%] Processing simulation/mrsim-genom3:mrsim-genom3-1.2~codels+pocolibs-client-c+openprs+pocolibs-server+!* ===> Bulk building for mrsim-genom3-1.2~codels+openprs+pocolibs-client-c+pocolibs-server Binary package for mrsim-genom3-1.2~codels+openprs+pocolibs-client-c+pocolibs-server is up-to-date. [86%] Processing simulation/mrsim-genom3:mrsim-genom3-1.2~codels+openprs+ros-client-c+ros-client-ros+ros-server+!* ===> Bulk building for mrsim-genom3-1.2~codels+openprs+ros-client-c+ros-client-ros+ros-server Binary package for mrsim-genom3-1.2~codels+openprs+ros-client-c+ros-client-ros+ros-server is up-to-date. [86%] Processing hardware/dynamixel-genom3:dynamixel-genom3-2.2~codels+pocolibs-client-c+openprs+pocolibs-server+!* ===> Bulk building for dynamixel-genom3-2.2~codels+openprs+pocolibs-client-c+pocolibs-server Binary package for dynamixel-genom3-2.2~codels+openprs+pocolibs-client-c+pocolibs-server is up-to-date. [87%] Processing hardware/dynamixel-genom3:dynamixel-genom3-2.2~codels+openprs+ros-client-c+ros-client-ros+ros-server+!* ===> Bulk building for dynamixel-genom3-2.2~codels+openprs+ros-client-c+ros-client-ros+ros-server Binary package for dynamixel-genom3-2.2~codels+openprs+ros-client-c+ros-client-ros+ros-server is up-to-date. [87%] Processing sysutils/arduio-genom3:arduio-genom3-1.3~codels+pocolibs-client-c+openprs+pocolibs-server+!* ===> Bulk building for arduio-genom3-1.3~codels+openprs+pocolibs-client-c+pocolibs-server Binary package for arduio-genom3-1.3~codels+openprs+pocolibs-client-c+pocolibs-server is up-to-date. [87%] Processing sysutils/arduio-genom3:arduio-genom3-1.3~codels+openprs+ros-client-c+ros-client-ros+ros-server+!* ===> Bulk building for arduio-genom3-1.3~codels+openprs+ros-client-c+ros-client-ros+ros-server Binary package for arduio-genom3-1.3~codels+openprs+ros-client-c+ros-client-ros+ros-server is up-to-date. [87%] Processing hardware/mccdaqft-genom3:mccdaqft-genom3-1.0~codels+pocolibs-client-c+openprs+pocolibs-server+!* ===> Bulk building for mccdaqft-genom3-1.0~codels+openprs+pocolibs-client-c+pocolibs-server Binary package for mccdaqft-genom3-1.0~codels+openprs+pocolibs-client-c+pocolibs-server is up-to-date. [87%] Processing hardware/mccdaqft-genom3:mccdaqft-genom3-1.0~codels+openprs+ros-client-c+ros-client-ros+ros-server+!* ===> Bulk building for mccdaqft-genom3-1.0~codels+openprs+ros-client-c+ros-client-ros+ros-server Binary package for mccdaqft-genom3-1.0~codels+openprs+ros-client-c+ros-client-ros+ros-server is up-to-date. [88%] Processing image/ros-vision-opencv:ros-vision-opencv>=1.13<=1.13.0 ===> Bulk building for ros-vision-opencv-1.13.0 Binary package for ros-vision-opencv-1.13.0 is up-to-date. [88%] Processing math/hpp-pinocchio:hpp-pinocchio-4.1 ===> Bulk building for hpp-pinocchio-4.1 Binary package for hpp-pinocchio-4.1 is up-to-date. [88%] Processing math/ros-geometry2:ros-geometry2-0.6.3 ===> Cleaning temporary files for ros-geometry2-0.6.3 ===> Bulk building for ros-geometry2-0.6.3 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gzip: gzip-1.9 found => Required system package patch>=2.0: patch-2.7.6 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/orocos-kdl-1.4.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-actionlib-1.11.13.tgz => Dependency ros-catkin-0.7.14 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-cmake-modules-0.4.1.tgz => Dependency ros-comm-1.14.3 already installed => Dependency ros-common-msgs-1.12.6 already installed => Dependency ros-genmsg-0.5.11 already installed => Dependency ros-message-generation-0.4.0 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-orocos-kinematics-dynamics-1.4.0.tgz => Dependency ros-roscpp-core-0.6.11 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Use ros melodic: ros==melodic ros>=groovy provided by ros-melodic => Required system package bullet>=2.75: bullet-2.87 found => Required system package cmake>=2.8.3: cmake-3.11.2 found => Required system package console-bridge>=0.1: console-bridge-0.3.0 found => Required system package eigen3>=3.0.0: eigen3-3.3.5 found => Required system package g++>=3: g++-8 found => Required system package gcc>=3: gcc-8 found => Required system package googletest: googletest found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-1.4.2 found => Required system package py27-empy>=3: py27-empy-3.3.3 found => Required system package py27-nose>=0.10: py27-nose-1.3.7 found => Required system package python27>=2.7<2.8: python27-2.7.15 found => Required robotpkg package orocos-kdl>=1.1: orocos-kdl-1.4.0 found => Required robotpkg package ros-actionlib>=1.11<1.12: ros-actionlib-1.11.13 found => Required robotpkg package ros-catkin>=0.7<0.8: ros-catkin-0.7.14 found => Required robotpkg package ros-cmake-modules>=0.3: ros-cmake-modules-0.4.1 found => Required robotpkg package ros-comm>=1.13<1.15: ros-comm-1.14.3 found => Required robotpkg package ros-common-msgs>=1.12<1.13: ros-common-msgs-1.12.6 found => Required robotpkg package ros-genmsg>=0.5<0.6: ros-genmsg-0.5.11 found => Required robotpkg package ros-message-generation>=0.4<0.5: ros-message-generation-0.4.0 found => Required robotpkg package ros-orocos-kinematics-dynamics>=1.1: ros-orocos-kinematics-dynamics-1.4.0 found => Required robotpkg package ros-roscpp-core>=0.6<0.7: ros-roscpp-core-0.6.11 found => SHA1 checksums OK => RMD160 checksums OK => Applying robotpkg patches for ros-geometry2-0.6.3 => Running PRE-INSTALL script actions => Running POST-INSTALL script actions => Compiling python files => Adding run-time search paths to pkg-config files => Registering installation for ros-geometry2-0.6.3 => Linking package in /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/pub ===> Logging bulk summary for ros-geometry2-0.6.3 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for ros-geometry2-0.6.3 ===> Done bulk for ros-geometry2-0.6.3 [88%] Processing devel/ros-nodelet-core:ros-nodelet-core-1.9.16 ===> Bulk building for ros-nodelet-core-1.9.16 Binary package for ros-nodelet-core-1.9.16 is up-to-date. [89%] Processing graphics/ros-geometric-shapes:ros-geometric-shapes-0.6.0 ===> Bulk building for ros-geometric-shapes-0.6.0 Binary package for ros-geometric-shapes-0.6.0 is up-to-date. [89%] Processing meta-pkgs/ros-base:ros-base-1.4.1 ===> Bulk building for ros-base-1.4.1 Binary package for ros-base-1.4.1 is up-to-date. [89%] Processing net/rosix:rosix-1.1 ===> Bulk building for rosix-1.1 Binary package for rosix-1.1 is up-to-date. [89%] Processing motion/sot-pattern-generator:sot-pattern-generator-2.9.1 ===> Bulk building for sot-pattern-generator-2.9.1 Binary package for sot-pattern-generator-2.9.1 is up-to-date. [90%] Processing robots/rmp440-genom3:rmp440-genom3-0.1r2~codels+pocolibs-client-c+openprs+pocolibs-server+!* ===> Bulk building for rmp440-genom3-0.1r2~codels+openprs+pocolibs-client-c+pocolibs-server Binary package for rmp440-genom3-0.1r2~codels+openprs+pocolibs-client-c+pocolibs-server is up-to-date. [90%] Processing robots/rmp440-genom3:rmp440-genom3-0.1r2~codels+openprs+ros-client-c+ros-client-ros+ros-server+!* ===> Bulk building for rmp440-genom3-0.1r2~codels+openprs+ros-client-c+ros-client-ros+ros-server Binary package for rmp440-genom3-0.1r2~codels+openprs+ros-client-c+ros-client-ros+ros-server is up-to-date. [90%] Processing graphics/ros-qt-gui-core:ros-qt-gui-core-0.3.11 ===> Cleaning temporary files for ros-qt-gui-core-0.3.11 ===> Bulk building for ros-qt-gui-core-0.3.11 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gzip: gzip-1.9 found => Required system package patch>=2.0: patch-2.7.6 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/py27-rospkg-1.1.7.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-catkin-0.7.14.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-class-loader-0.4.1.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-cmake-modules-0.4.1.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-nodelet-core-1.9.16.tgz => Dependency ros-pluginlib-1.12.1 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-python-qt-binding-0.3.4.tgz => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=4.8 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Use ros melodic: ros==melodic provided by ros-melodic => Required system package cmake>=2.8.3: cmake-3.11.2 found => Required system package g++>=4.8: g++-8 found => Required system package gcc>=3: gcc-8 found => Required system package googletest: googletest found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-1.4.2 found => Required system package py27-empy>=3: py27-empy-3.3.3 found => Required system package py27-nose>=0.10: py27-nose-1.3.7 found => Required system package py27-pydot>=1: py27-pydot-1.0.29 found => Required system package py27-sip>=4: py27-sip-4.19.7 found => Required system package python27>=2.7<2.8: python27-2.7.15 found => Required system package qmake>=2: qmake-3.1 found => Required system package qt5-qtbase>=5<6: qt5-qtbase-5.11.1 found => Required robotpkg package py27-rospkg>=1.0.29: py27-rospkg-1.1.7 found => Required robotpkg package ros-catkin>=0.7<0.8: ros-catkin-0.7.14 found => Required robotpkg package ros-class-loader>=0.4<0.5: ros-class-loader-0.4.1 found => Required robotpkg package ros-cmake-modules>=0.3: ros-cmake-modules-0.4.1 found => Required robotpkg package ros-nodelet-core>=1.9<1.10: ros-nodelet-core-1.9.16 found => Required robotpkg package ros-pluginlib>=1.12<1.13: ros-pluginlib-1.12.1 found => Required robotpkg package ros-python-qt-binding>=0.2.10: ros-python-qt-binding-0.3.4 found => SHA1 checksums OK => RMD160 checksums OK => Applying robotpkg patches for ros-qt-gui-core-0.3.11 => Replacing python interpreter path => Running PRE-INSTALL script actions => Running POST-INSTALL script actions => Compiling python files => Adding run-time search paths to pkg-config files => Registering installation for ros-qt-gui-core-0.3.11 => Linking package in /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/pub ===> Logging bulk summary for ros-qt-gui-core-0.3.11 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for ros-qt-gui-core-0.3.11 ===> Done bulk for ros-qt-gui-core-0.3.11 [90%] Processing hardware/joystick-genom3:joystick-genom3-1.0~codels+pocolibs-client-c+openprs+pocolibs-server+!* ===> Bulk building for joystick-genom3-1.0~codels+openprs+pocolibs-client-c+pocolibs-server Binary package for joystick-genom3-1.0~codels+openprs+pocolibs-client-c+pocolibs-server is up-to-date. [90%] Processing hardware/joystick-genom3:joystick-genom3-1.0~codels+openprs+ros-client-c+ros-client-ros+ros-server+!* ===> Bulk building for joystick-genom3-1.0~codels+openprs+ros-client-c+ros-client-ros+ros-server Binary package for joystick-genom3-1.0~codels+openprs+ros-client-c+ros-client-ros+ros-server is up-to-date. [91%] Processing path/hpp-constraints:hpp-constraints-4.1 ===> Bulk building for hpp-constraints-4.1 Binary package for hpp-constraints-4.1 is up-to-date. [91%] Processing robots/mikrokopter-genom3:mikrokopter-genom3-1.7r1~codels+pocolibs-client-c+openprs+pocolibs-server+!* ===> Bulk building for mikrokopter-genom3-1.7r1~codels+openprs+pocolibs-client-c+pocolibs-server Binary package for mikrokopter-genom3-1.7r1~codels+openprs+pocolibs-client-c+pocolibs-server is up-to-date. [91%] Processing robots/mikrokopter-genom3:mikrokopter-genom3-1.7r1~codels+openprs+ros-client-c+ros-client-ros+ros-server+!* ===> Bulk building for mikrokopter-genom3-1.7r1~codels+openprs+ros-client-c+ros-client-ros+ros-server Binary package for mikrokopter-genom3-1.7r1~codels+openprs+ros-client-c+ros-client-ros+ros-server is up-to-date. [91%] Processing graphics/ros-rqt:ros-rqt-0.5.0 ===> Cleaning temporary files for ros-rqt-0.5.0 ===> Bulk building for ros-rqt-0.5.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gzip: gzip-1.9 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-actionlib-1.11.13.tgz => Dependency ros-catkin-0.7.14 already installed => Dependency ros-class-loader-0.4.1 already installed => Dependency ros-comm-1.14.3 already installed => Dependency ros-genmsg-0.5.11 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-nodelet-core-1.9.16.tgz => Dependency ros-pluginlib-1.12.1 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-python-qt-binding-0.3.4.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-qt-gui-core-0.3.11.tgz => Dependency ros-std-msgs-0.5.11 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=4.8 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Use ros melodic: ros==melodic provided by ros-melodic => Required system package cmake>=2.8.3: cmake-3.11.2 found => Required system package g++>=4.8: g++-8 found => Required system package gcc>=3: gcc-8 found => Required system package googletest: googletest found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-1.4.2 found => Required system package py27-empy>=3: py27-empy-3.3.3 found => Required system package py27-nose>=0.10: py27-nose-1.3.7 found => Required system package python27>=2.7<2.8: python27-2.7.15 found => Required system package qmake>=2: qmake-3.1 found => Required system package qt5-qtbase>=5<6: qt5-qtbase-5.11.1 found => Required robotpkg package ros-actionlib>=1.11<1.12: ros-actionlib-1.11.13 found => Required robotpkg package ros-catkin>=0.7<0.8: ros-catkin-0.7.14 found => Required robotpkg package ros-class-loader>=0.4<0.5: ros-class-loader-0.4.1 found => Required robotpkg package ros-comm>=1.13<1.15: ros-comm-1.14.3 found => Required robotpkg package ros-genmsg>=0.5<0.6: ros-genmsg-0.5.11 found => Required robotpkg package ros-nodelet-core>=1.9<1.10: ros-nodelet-core-1.9.16 found => Required robotpkg package ros-pluginlib>=1.12<1.13: ros-pluginlib-1.12.1 found => Required robotpkg package ros-python-qt-binding>=0.2.10: ros-python-qt-binding-0.3.4 found => Required robotpkg package ros-qt-gui-core>=0.3<0.4: ros-qt-gui-core-0.3.11 found => Required robotpkg package ros-std-msgs>=0.5: ros-std-msgs-0.5.11 found => SHA1 checksums OK => RMD160 checksums OK => Replacing python interpreter path => Running PRE-INSTALL script actions => Running POST-INSTALL script actions => Compiling python files => Adding run-time search paths to pkg-config files => Registering installation for ros-rqt-0.5.0 => Linking package in /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/pub ===> Logging bulk summary for ros-rqt-0.5.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for ros-rqt-0.5.0 ===> Done bulk for ros-rqt-0.5.0 [92%] Processing localization/optitrack-genom3:optitrack-genom3-1.6.1~codels+pocolibs-client-c+openprs+pocolibs-server+!* ===> Bulk building for optitrack-genom3-1.6.1~codels+openprs+pocolibs-client-c+pocolibs-server Binary package for optitrack-genom3-1.6.1~codels+openprs+pocolibs-client-c+pocolibs-server is up-to-date. [92%] Processing localization/optitrack-genom3:optitrack-genom3-1.6.1~codels+openprs+ros-client-c+ros-client-ros+ros-server+!* ===> Bulk building for optitrack-genom3-1.6.1~codels+openprs+ros-client-c+ros-client-ros+ros-server Binary package for optitrack-genom3-1.6.1~codels+openprs+ros-client-c+ros-client-ros+ros-server is up-to-date. [92%] Processing motion/nhfc-genom3:nhfc-genom3-1.5~codels+pocolibs-client-c+openprs+pocolibs-server+!* ===> Bulk building for nhfc-genom3-1.5~codels+openprs+pocolibs-client-c+pocolibs-server Binary package for nhfc-genom3-1.5~codels+openprs+pocolibs-client-c+pocolibs-server is up-to-date. [92%] Processing motion/nhfc-genom3:nhfc-genom3-1.5~codels+openprs+ros-client-c+ros-client-ros+ros-server+!* ===> Bulk building for nhfc-genom3-1.5~codels+openprs+ros-client-c+ros-client-ros+ros-server Binary package for nhfc-genom3-1.5~codels+openprs+ros-client-c+ros-client-ros+ros-server is up-to-date. [93%] Processing localization/pom-genom3:pom-genom3-2.3r2~codels+pocolibs-client-c+openprs+pocolibs-server+!* ===> Bulk building for pom-genom3-2.3r2~codels+openprs+pocolibs-client-c+pocolibs-server Binary package for pom-genom3-2.3r2~codels+openprs+pocolibs-client-c+pocolibs-server is up-to-date. [93%] Processing localization/pom-genom3:pom-genom3-2.3r2~codels+openprs+ros-client-c+ros-client-ros+ros-server+!* ===> Bulk building for pom-genom3-2.3r2~codels+openprs+ros-client-c+ros-client-ros+ros-server Binary package for pom-genom3-2.3r2~codels+openprs+ros-client-c+ros-client-ros+ros-server is up-to-date. [93%] Processing math/ros-geometry:ros-geometry-1.12.0 ===> Cleaning temporary files for ros-geometry-1.12.0 ===> Bulk building for ros-geometry-1.12.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gzip: gzip-1.9 found => Required system package patch>=2.0: patch-2.7.6 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/orocos-kdl-1.4.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-actionlib-1.11.13.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-angles-1.9.11.tgz => Dependency ros-catkin-0.7.14 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-cmake-modules-0.4.1.tgz => Dependency ros-comm-1.14.3 already installed => Dependency ros-common-msgs-1.12.6 already installed => Dependency ros-genmsg-0.5.11 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-geometry2-0.6.3.tgz => Dependency ros-message-generation-0.4.0 already installed => Dependency ros-orocos-kinematics-dynamics-1.4.0 already installed => Dependency ros-std-msgs-0.5.11 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Use ros melodic: ros==melodic ros>=groovy ros>=hydro ros>=groovy provided by ros-melodic => Required system package cmake>=2.8.3: cmake-3.11.2 found => Required system package eigen3>=3.0.0: eigen3-3.3.5 found => Required system package g++>=3: g++-8 found => Required system package gcc>=3: gcc-8 found => Required system package googletest: googletest found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-1.4.2 found => Required system package py27-empy>=3: py27-empy-3.3.3 found => Required system package py27-nose>=0.10: py27-nose-1.3.7 found => Required system package python27>=2.7<2.8: python27-2.7.15 found => Required robotpkg package orocos-kdl>=1.1: orocos-kdl-1.4.0 found => Required robotpkg package ros-actionlib>=1.11<1.12: ros-actionlib-1.11.13 found => Required robotpkg package ros-angles>=1.9: ros-angles-1.9.11 found => Required robotpkg package ros-catkin>=0.7<0.8: ros-catkin-0.7.14 found => Required robotpkg package ros-cmake-modules>=0.3: ros-cmake-modules-0.4.1 found => Required robotpkg package ros-comm>=1.13<1.15: ros-comm-1.14.3 found => Required robotpkg package ros-common-msgs>=1.12<1.13: ros-common-msgs-1.12.6 found => Required robotpkg package ros-genmsg>=0.5<0.6: ros-genmsg-0.5.11 found => Required robotpkg package ros-geometry2>=0.6<0.7: ros-geometry2-0.6.3 found => Required robotpkg package ros-message-generation>=0.4<0.5: ros-message-generation-0.4.0 found => Required robotpkg package ros-orocos-kinematics-dynamics>=1.1: ros-orocos-kinematics-dynamics-1.4.0 found => Required robotpkg package ros-std-msgs>=0.5: ros-std-msgs-0.5.11 found => SHA1 checksums OK => RMD160 checksums OK => Applying robotpkg patches for ros-geometry-1.12.0 => Running PRE-INSTALL script actions => Running POST-INSTALL script actions => Compiling python files => Adding run-time search paths to pkg-config files => Registering installation for ros-geometry-1.12.0 => Linking package in /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/pub ===> Logging bulk summary for ros-geometry-1.12.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for ros-geometry-1.12.0 ===> Done bulk for ros-geometry-1.12.0 [93%] Processing mapping/ros-laser-geometry:ros-laser-geometry-1.6.4 ===> Cleaning temporary files for ros-laser-geometry-1.6.4 ===> Bulk building for ros-laser-geometry-1.6.4 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gzip: gzip-1.9 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-angles-1.9.11.tgz => Dependency ros-catkin-0.7.14 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-cmake-modules-0.4.1.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-comm-1.14.3.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-common-msgs-1.12.6.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-geometry-1.12.0.tgz => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=4.8 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Use ros melodic: ros==melodic ros>=groovy provided by ros-melodic => Required system package boost-headers>=1.34.1: boost-headers-1.66 found => Required system package boostlib-filesystem>=1.34.1: boost-libs-1.66.0 found => Required system package boostlib-iostreams>=1.34.1: boost-libs-1.66.0 found => Required system package boostlib-math>=1.34.1: boost-libs-1.66.0 found => Required system package boostlib-thread>=1.34.1: boost-libs-1.66.0 found => Required system package cmake>=2.8.3: cmake-3.11.2 found => Required system package eigen3>=3.0.0: eigen3-3.3.5 found => Required system package g++>=4.8: g++-8 found => Required system package gcc>=3: gcc-8 found => Required system package googletest: googletest found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-1.4.2 found => Required system package py27-empy>=3: py27-empy-3.3.3 found => Required system package py27-nose>=0.10: py27-nose-1.3.7 found => Required system package python27>=2.7<2.8: python27-2.7.15 found => Required robotpkg package ros-angles>=1.9: ros-angles-1.9.11 found => Required robotpkg package ros-catkin>=0.7<0.8: ros-catkin-0.7.14 found => Required robotpkg package ros-cmake-modules>=0.3: ros-cmake-modules-0.4.1 found => Required robotpkg package ros-comm>=1.13<1.15: ros-comm-1.14.3 found => Required robotpkg package ros-common-msgs>=1.12<1.13: ros-common-msgs-1.12.6 found => Required robotpkg package ros-geometry>=1.12<1.13: ros-geometry-1.12.0 found => SHA1 checksums OK => RMD160 checksums OK => Running PRE-INSTALL script actions => Running POST-INSTALL script actions => Compiling python files => Adding run-time search paths to pkg-config files => Registering installation for ros-laser-geometry-1.6.4 => Linking package in /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/pub ===> Logging bulk summary for ros-laser-geometry-1.6.4 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for ros-laser-geometry-1.6.4 ===> Done bulk for ros-laser-geometry-1.6.4 [93%] Processing graphics/ros-kdl-parser:ros-kdl-parser-1.13.1 ===> Cleaning temporary files for ros-kdl-parser-1.13.1 ===> Bulk building for ros-kdl-parser-1.13.1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gzip: gzip-1.9 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/orocos-kdl-1.4.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/py27-catkin-pkg-0.4.8.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-catkin-0.7.14.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-cmake-modules-0.4.1.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-comm-1.14.3.tgz => Dependency ros-console-1.13.7 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-orocos-kinematics-dynamics-1.4.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-urdf-1.13.1.tgz => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Use ros melodic: ros==melodic ros>=groovy provided by ros-melodic => Required system package cmake>=2.8.3: cmake-3.11.2 found => Required system package eigen3>=3.0.0: eigen3-3.3.5 found => Required system package g++>=3: g++-8 found => Required system package gcc>=3: gcc-8 found => Required system package googletest: googletest found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-1.4.2 found => Required system package py27-empy>=3: py27-empy-3.3.3 found => Required system package py27-nose>=0.10: py27-nose-1.3.7 found => Required system package python27>=2.7<2.8: python27-2.7.15 found => Required system package tinyxml>=2: tinyxml-2.6.2 found => Required system package tinyxml2>=2: tinyxml2-26.20.20 found => Required system package urdfdom-headers>=0.2.2<1: urdfdom-headers-0.4.2 found => Required robotpkg package orocos-kdl>=1.3: orocos-kdl-1.4.0 found => Required robotpkg package py27-catkin-pkg>=0.2: py27-catkin-pkg-0.4.8 found => Required robotpkg package ros-catkin>=0.7<0.8: ros-catkin-0.7.14 found => Required robotpkg package ros-cmake-modules>=0.3: ros-cmake-modules-0.4.1 found => Required robotpkg package ros-comm>=1.13<1.15: ros-comm-1.14.3 found => Required robotpkg package ros-console>=1.13<1.15: ros-console-1.13.7 found => Required robotpkg package ros-orocos-kinematics-dynamics>=1.1: ros-orocos-kinematics-dynamics-1.4.0 found => Required robotpkg package ros-urdf>=1.13<1.14: ros-urdf-1.13.1 found => SHA1 checksums OK => RMD160 checksums OK => Running PRE-INSTALL script actions => Running POST-INSTALL script actions => Compiling python files => Adding run-time search paths to pkg-config files => Registering installation for ros-kdl-parser-1.13.1 => Linking package in /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/pub ===> Logging bulk summary for ros-kdl-parser-1.13.1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for ros-kdl-parser-1.13.1 ===> Done bulk for ros-kdl-parser-1.13.1 [94%] Processing sysutils/ros-rqt-plot:ros-rqt-plot-0.4.8 ===> Cleaning temporary files for ros-rqt-plot-0.4.8 ===> Bulk building for ros-rqt-plot-0.4.8 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gzip: gzip-1.9 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/py27-rospkg-1.1.7.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-catkin-0.7.14.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-class-loader-0.4.1.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-comm-1.14.3.tgz => Dependency ros-pluginlib-1.12.1 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-python-qt-binding-0.3.4.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-qt-gui-core-0.3.11.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-rqt-0.5.0.tgz => Dependency ros-std-msgs-0.5.11 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=4.8 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Use ros melodic: ros==melodic provided by ros-melodic => Required system package cmake>=2.8.3: cmake-3.11.2 found => Required system package g++>=4.8: g++-8 found => Required system package gcc>=3: gcc-8 found => Required system package googletest: googletest found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-1.4.2 found => Required system package py27-empy>=3: py27-empy-3.3.3 found => Required system package py27-matplotlib: py27-matplotlib~tk+wx found => Required system package py27-nose>=0.10: py27-nose-1.3.7 found => Required system package py27-numpy>=1: py27-numpy-1.14.5 found => Required system package python27>=2.7<2.8: python27-2.7.15 found => Required robotpkg package py27-rospkg>=1.0.29: py27-rospkg-1.1.7 found => Required robotpkg package ros-catkin>=0.7<0.8: ros-catkin-0.7.14 found => Required robotpkg package ros-class-loader>=0.4<0.5: ros-class-loader-0.4.1 found => Required robotpkg package ros-comm>=1.13<1.15: ros-comm-1.14.3 found => Required robotpkg package ros-pluginlib>=1.12<1.13: ros-pluginlib-1.12.1 found => Required robotpkg package ros-python-qt-binding>=0.2.10: ros-python-qt-binding-0.3.4 found => Required robotpkg package ros-qt-gui-core>=0.3<0.4: ros-qt-gui-core-0.3.11 found => Required robotpkg package ros-rqt>=0.3<0.6: ros-rqt-0.5.0 found => Required robotpkg package ros-std-msgs>=0.5: ros-std-msgs-0.5.11 found => SHA1 checksums OK => RMD160 checksums OK => Replacing python interpreter path => Running PRE-INSTALL script actions => Running POST-INSTALL script actions => Compiling python files => Adding run-time search paths to pkg-config files => Registering installation for ros-rqt-plot-0.4.8 => Linking package in /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/pub ===> Logging bulk summary for ros-rqt-plot-0.4.8 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for ros-rqt-plot-0.4.8 ===> Done bulk for ros-rqt-plot-0.4.8 [94%] Processing sysutils/ros-diagnostics:ros-diagnostics-1.9.3 ===> Cleaning temporary files for ros-diagnostics-1.9.3 ===> Bulk building for ros-diagnostics-1.9.3 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gzip: gzip-1.9 found => Required system package patch>=2.0: patch-2.7.6 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-bond-core-1.8.2.tgz => Dependency ros-catkin-0.7.14 already installed => Dependency ros-class-loader-0.4.1 already installed => Dependency ros-comm-1.14.3 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-common-msgs-1.12.6.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-geometry-1.12.0.tgz => Dependency ros-pluginlib-1.12.1 already installed => Dependency ros-ros-1.14.4 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=4.8 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Use ros melodic: ros==melodic provided by ros-melodic => Required system package cmake>=2.8.3: cmake-3.11.2 found => Required system package eigen3>=3.0.0: eigen3-3.3.5 found => Required system package g++>=4.8: g++-8 found => Required system package gcc>=3: gcc-8 found => Required system package googletest: googletest found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-1.4.2 found => Required system package py27-empy>=3: py27-empy-3.3.3 found => Required system package py27-nose>=0.10: py27-nose-1.3.7 found => Required system package python27>=2.7<2.8: python27-2.7.15 found => Required robotpkg package ros-bond-core>=1.7: ros-bond-core-1.8.2 found => Required robotpkg package ros-catkin>=0.7<0.8: ros-catkin-0.7.14 found => Required robotpkg package ros-class-loader>=0.4<0.5: ros-class-loader-0.4.1 found => Required robotpkg package ros-comm>=1.13<1.15: ros-comm-1.14.3 found => Required robotpkg package ros-common-msgs>=1.12<1.13: ros-common-msgs-1.12.6 found => Required robotpkg package ros-geometry>=1.12<1.13: ros-geometry-1.12.0 found => Required robotpkg package ros-pluginlib>=1.12<1.13: ros-pluginlib-1.12.1 found => Required robotpkg package ros-ros>=1.14<1.15: ros-ros-1.14.4 found => SHA1 checksums OK => RMD160 checksums OK => Applying robotpkg patches for ros-diagnostics-1.9.3 => Replacing python interpreter path => Running PRE-INSTALL script actions => Running POST-INSTALL script actions => Compiling python files => Adding run-time search paths to pkg-config files => Registering installation for ros-diagnostics-1.9.3 => Linking package in /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/pub ===> Logging bulk summary for ros-diagnostics-1.9.3 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for ros-diagnostics-1.9.3 ===> Done bulk for ros-diagnostics-1.9.3 [94%] Processing localization/ros-robot-state-publisher:ros-robot-state-publisher-1.13.6 ===> Cleaning temporary files for ros-robot-state-publisher-1.13.6 ===> Bulk building for ros-robot-state-publisher-1.13.6 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gzip: gzip-1.9 found => Required system package patch>=2.0: patch-2.7.6 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/orocos-kdl-1.4.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-catkin-0.7.14.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-cmake-modules-0.4.1.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-comm-1.14.3.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-common-msgs-1.12.6.tgz => Dependency ros-console-1.13.7 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-geometry-1.12.0.tgz => Dependency ros-geometry2-0.6.3 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-kdl-parser-1.13.1.tgz => Dependency ros-orocos-kinematics-dynamics-1.4.0 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=4.8 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Use ros melodic: ros==melodic ros>=hydro ros>=groovy provided by ros-melodic => Required system package cmake>=2.8.3: cmake-3.11.2 found => Required system package eigen3>=3.0.0: eigen3-3.3.5 found => Required system package g++>=4.8: g++-8 found => Required system package gcc>=3: gcc-8 found => Required system package googletest: googletest found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-1.4.2 found => Required system package py27-empy>=3: py27-empy-3.3.3 found => Required system package py27-nose>=0.10: py27-nose-1.3.7 found => Required system package python27>=2.7<2.8: python27-2.7.15 found => Required system package tinyxml>=2: tinyxml-2.6.2 found => Required system package tinyxml2>=2: tinyxml2-26.20.20 found => Required system package urdfdom-headers>=0.2.2<1: urdfdom-headers-0.4.2 found => Required robotpkg package orocos-kdl>=1.1: orocos-kdl-1.4.0 found => Required robotpkg package ros-catkin>=0.7<0.8: ros-catkin-0.7.14 found => Required robotpkg package ros-cmake-modules>=0.3: ros-cmake-modules-0.4.1 found => Required robotpkg package ros-comm>=1.13<1.15: ros-comm-1.14.3 found => Required robotpkg package ros-common-msgs>=1.12<1.13: ros-common-msgs-1.12.6 found => Required robotpkg package ros-console>=1.13<1.15: ros-console-1.13.7 found => Required robotpkg package ros-geometry>=1.12<1.13: ros-geometry-1.12.0 found => Required robotpkg package ros-geometry2>=0.6<0.7: ros-geometry2-0.6.3 found => Required robotpkg package ros-kdl-parser>=1.13<1.14: ros-kdl-parser-1.13.1 found => Required robotpkg package ros-orocos-kinematics-dynamics>=1.1: ros-orocos-kinematics-dynamics-1.4.0 found => SHA1 checksums OK => RMD160 checksums OK => Applying robotpkg patches for ros-robot-state-publisher-1.13.6 => Running PRE-INSTALL script actions => Running POST-INSTALL script actions => Compiling python files => Adding run-time search paths to pkg-config files => Registering installation for ros-robot-state-publisher-1.13.6 => Linking package in /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/pub ===> Logging bulk summary for ros-robot-state-publisher-1.13.6 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for ros-robot-state-publisher-1.13.6 ===> Done bulk for ros-robot-state-publisher-1.13.6 [94%] Processing robots/nao-robot:nao-robot-0.2.2r1 ===> Bulk building for nao-robot-0.2.2r1 Binary package for nao-robot-0.2.2r1 is up-to-date. [95%] Processing meta-pkgs/ros-robot:ros-robot-1.4.1 ===> Cleaning temporary files for ros-robot-1.4.1 ===> Bulk building for ros-robot-1.4.1 => Checking for clear installation => Required system package gzip: gzip-1.9 found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-actionlib-1.11.13.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-bond-core-1.8.2.tgz => Dependency ros-comm-1.14.3 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-control-msgs-1.4.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-diagnostics-1.9.3.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-dynamic-reconfigure-1.5.49.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-executive-smach-2.0.1.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-filters-1.8.1.tgz => Dependency ros-geometry-1.12.0 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-joint-state-publisher-1.12.13.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-kdl-parser-1.13.1.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-nodelet-core-1.9.16.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-robot-state-publisher-1.13.6.tgz => Dependency ros-ros-1.14.4 already installed => Dependency ros-urdf-1.13.1 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-xacro-1.13.2.tgz => : c++-compiler provided by => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Use ros melodic: ros==melodic provided by ros-melodic => Required system package eigen3>=3.0.0: eigen3-3.3.5 found => Required system package python27>=2.7<2.8: python27-2.7.15 found => Required system package tinyxml>=2: tinyxml-2.6.2 found => Required system package tinyxml2>=2: tinyxml2-26.20.20 found => Required robotpkg package ros-actionlib>=1.11<1.12: ros-actionlib-1.11.13 found => Required robotpkg package ros-bond-core>=1.7: ros-bond-core-1.8.2 found => Required robotpkg package ros-comm>=1.13<1.15: ros-comm-1.14.3 found => Required robotpkg package ros-control-msgs>=1.4<1.5: ros-control-msgs-1.4.0 found => Required robotpkg package ros-diagnostics>=1.9<1.10: ros-diagnostics-1.9.3 found => Required robotpkg package ros-dynamic-reconfigure>=1.5.32: ros-dynamic-reconfigure-1.5.49 found => Required robotpkg package ros-executive-smach>=2.0<2.1: ros-executive-smach-2.0.1 found => Required robotpkg package ros-filters>=1.8<1.9: ros-filters-1.8.1 found => Required robotpkg package ros-geometry>=1.12<1.13: ros-geometry-1.12.0 found => Required robotpkg package ros-joint-state-publisher>=1.12<1.13: ros-joint-state-publisher-1.12.13 found => Required robotpkg package ros-kdl-parser>=1.13<1.14: ros-kdl-parser-1.13.1 found => Required robotpkg package ros-nodelet-core>=1.9<1.10: ros-nodelet-core-1.9.16 found => Required robotpkg package ros-robot-state-publisher>=1.9: ros-robot-state-publisher-1.13.6 found => Required robotpkg package ros-ros>=1.14<1.15: ros-ros-1.14.4 found => Required robotpkg package ros-urdf>=1.13<1.14: ros-urdf-1.13.1 found => Required robotpkg package ros-xacro>=1.13<1.14: ros-xacro-1.13.2 found => Compiling python files => Registering installation for ros-robot-1.4.1 => Linking package in /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/pub ===> Logging bulk summary for ros-robot-1.4.1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for ros-robot-1.4.1 ===> Done bulk for ros-robot-1.4.1 [95%] Processing motion/ros-control:ros-control-0.15.0 ===> Cleaning temporary files for ros-control-0.15.0 ===> Bulk building for ros-control-0.15.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gzip: gzip-1.9 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-catkin-0.7.14.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-class-loader-0.4.1.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-cmake-modules-0.4.1.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-comm-1.14.3.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-dynamic-reconfigure-1.5.49.tgz => Dependency ros-genmsg-0.5.11 already installed => Dependency ros-message-generation-0.4.0 already installed => Dependency ros-message-runtime-0.4.12 already installed => Dependency ros-pluginlib-1.12.1 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-realtime-tools-1.11.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-resource-retriever-1.12.4.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-rqt-0.5.0.tgz => Dependency ros-std-msgs-0.5.11 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-urdf-1.13.1.tgz => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=4.8 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Use ros melodic: ros==melodic ros>=hydro provided by ros-melodic => Required system package boost-headers>=1.34.1: boost-headers-1.66 found => Required system package boostlib-filesystem>=1.34.1: boost-libs-1.66.0 found => Required system package boostlib-iostreams>=1.34.1: boost-libs-1.66.0 found => Required system package boostlib-math>=1.34.1: boost-libs-1.66.0 found => Required system package boostlib-thread>=1.34.1: boost-libs-1.66.0 found => Required system package cmake>=2.8.3: cmake-3.11.2 found => Required system package g++>=4.8: g++-8 found => Required system package gcc>=3: gcc-8 found => Required system package googletest: googletest found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-1.4.2 found => Required system package py27-empy>=3: py27-empy-3.3.3 found => Required system package py27-nose>=0.10: py27-nose-1.3.7 found => Required system package python27>=2.7<2.8: python27-2.7.15 found => Required system package tinyxml>=2: tinyxml-2.6.2 found => Required system package urdfdom>=0.2.8<1: urdfdom-0.4.2 found => Required system package urdfdom-headers>=0.2.2<1: urdfdom-headers-0.4.2 found => Required robotpkg package ros-catkin>=0.7<0.8: ros-catkin-0.7.14 found => Required robotpkg package ros-class-loader>=0.4<0.5: ros-class-loader-0.4.1 found => Required robotpkg package ros-cmake-modules>=0.3: ros-cmake-modules-0.4.1 found => Required robotpkg package ros-comm>=1.13<1.15: ros-comm-1.14.3 found => Required robotpkg package ros-dynamic-reconfigure>=1.5.32: ros-dynamic-reconfigure-1.5.49 found => Required robotpkg package ros-genmsg>=0.5<0.6: ros-genmsg-0.5.11 found => Required robotpkg package ros-message-generation>=0.4<0.5: ros-message-generation-0.4.0 found => Required robotpkg package ros-message-runtime>=0.4<0.5: ros-message-runtime-0.4.12 found => Required robotpkg package ros-pluginlib>=1.12<1.13: ros-pluginlib-1.12.1 found => Required robotpkg package ros-realtime-tools>=1.8.2: ros-realtime-tools-1.11.0 found => Required robotpkg package ros-resource-retriever>=1.12<1.13: ros-resource-retriever-1.12.4 found => Required robotpkg package ros-rqt>=0.3<0.6: ros-rqt-0.5.0 found => Required robotpkg package ros-std-msgs>=0.5: ros-std-msgs-0.5.11 found => Required robotpkg package ros-urdf>=1.13<1.14: ros-urdf-1.13.1 found => SHA1 checksums OK => RMD160 checksums OK => Running PRE-INSTALL script actions => Running POST-INSTALL script actions => Compiling python files => Adding run-time search paths to pkg-config files => Registering installation for ros-control-0.15.0 => Linking package in /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/pub ===> Logging bulk summary for ros-control-0.15.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for ros-control-0.15.0 ===> Done bulk for ros-control-0.15.0 [95%] Processing motion/dynamic-graph-bridge:dynamic-graph-bridge-2.0.9r1 ===> Cleaning temporary files for dynamic-graph-bridge-2.0.9r1 ===> Bulk building for dynamic-graph-bridge-2.0.9r1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.9 found => Required system package patch>=2.0: patch-2.7.6 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/dynamic-graph-2.5.7.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/dynamic-graph-bridge-msgs-0.2.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/jrl-dynamics-1.25.0r1.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/jrl-dynamics-urdf-2.2.0r3.tgz => Dependency jrl-mal-1.19.6r1~jrl-mathtools already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/py27-dynamic-graph-2.5.6r2.tgz => Dependency ros-catkin-0.7.14 already installed => Dependency ros-comm-1.14.3 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-common-msgs-1.12.6.tgz => Dependency ros-genmsg-0.5.11 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-geometry-1.12.0.tgz => Dependency ros-message-runtime-0.4.12 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-realtime-tools-1.11.0.tgz => Dependency ros-roscpp-core-0.6.11 already installed => Dependency ros-rospack-2.5.1 already installed => Dependency ros-std-msgs-0.5.11 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/sot-core-2.9.10.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/sot-dynamic-2.9.2.tgz => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=4.8 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Use ros melodic: ros>=groovy ros>=hydro provided by ros-melodic => Required system package bullet>=2.75: bullet-2.87 found => Required system package cmake>=2.8.3: cmake-3.11.2 found => Required system package eigen3>=3.0.0: eigen3-3.3.5 found => Required system package g++>=4.8: g++-8 found => Required system package gcc>=3: gcc-8 found => Required system package googletest: googletest found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-1.4.2 found => Required system package py27-empy>=3: py27-empy-3.3.3 found => Required system package py27-nose>=0.10: py27-nose-1.3.7 found => Required system package python27>=2.7<2.8: python27-2.7.15 found => Required system package tinyxml>=2: tinyxml-2.6.2 found => Required system package urdfdom>=0.2.8<1: urdfdom-0.4.2 found => Required system package urdfdom-headers>=0.2.2<1: urdfdom-headers-0.4.2 found => Required robotpkg package dynamic-graph>=2.5.6: dynamic-graph-2.5.7 found => Required robotpkg package dynamic-graph-bridge-msgs>=0.2.0: dynamic-graph-bridge-msgs-0.2.0 found => Required robotpkg package jrl-dynamics>=1.24: jrl-dynamics-1.25.0r1 found => Required robotpkg package jrl-dynamics-urdf>=1.0.0: jrl-dynamics-urdf-2.2.0r3 found => Required robotpkg package jrl-mal>=1.8.3: jrl-mal-1.19.6r1~jrl-mathtools found => Required robotpkg package py27-dynamic-graph>=2.5: py27-dynamic-graph-2.5.6r2 found => Required robotpkg package ros-catkin>=0.7<0.8: ros-catkin-0.7.14 found => Required robotpkg package ros-comm>=1.13<1.15: ros-comm-1.14.3 found => Required robotpkg package ros-common-msgs>=1.12<1.13: ros-common-msgs-1.12.6 found => Required robotpkg package ros-genmsg>=0.5<0.6: ros-genmsg-0.5.11 found => Required robotpkg package ros-geometry>=1.12<1.13: ros-geometry-1.12.0 found => Required robotpkg package ros-message-runtime>=0.4<0.5: ros-message-runtime-0.4.12 found => Required robotpkg package ros-realtime-tools>=1.8.2: ros-realtime-tools-1.11.0 found => Required robotpkg package ros-roscpp-core>=0.6<0.7: ros-roscpp-core-0.6.11 found => Required robotpkg package ros-rospack>=2.5<2.6: ros-rospack-2.5.1 found => Required robotpkg package ros-std-msgs>=0.5: ros-std-msgs-0.5.11 found => Required robotpkg package sot-core>=2.5: sot-core-2.9.10 found => Required robotpkg package sot-dynamic>=2.5: sot-dynamic-2.9.2 found => SHA1 checksums OK => RMD160 checksums OK => Applying robotpkg patches for dynamic-graph-bridge-2.0.9r1 => Running PRE-INSTALL script actions => Running POST-INSTALL script actions => Adding run-time search paths to pkg-config files => Compiling python files => Registering installation for dynamic-graph-bridge-2.0.9r1 => Linking package in /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/pub ===> Logging bulk summary for dynamic-graph-bridge-2.0.9r1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for dynamic-graph-bridge-2.0.9r1 ===> Done bulk for dynamic-graph-bridge-2.0.9r1 [95%] Processing path/hpp-core:hpp-core-4.1 ===> Cleaning temporary files for hpp-core-4.1 ===> Bulk building for hpp-core-4.1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.9 found => Required system package patch>=2.0: patch-2.7.6 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/hpp-constraints-4.1.tgz => Dependency hpp-fcl-0.6.0 already installed => Dependency hpp-pinocchio-4.1 already installed => Dependency hpp-statistics-1.1.1 already installed => Dependency hpp-util-3.3 already installed => Dependency pinocchio-1.2.9r2 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Required system package boost-headers>=1.34.1: boost-headers-1.66 found => Required system package boostlib-filesystem>=1.34.1: boost-libs-1.66.0 found => Required system package boostlib-iostreams>=1.34.1: boost-libs-1.66.0 found => Required system package boostlib-math>=1.34.1: boost-libs-1.66.0 found => Required system package boostlib-thread>=1.34.1: boost-libs-1.66.0 found => Required system package cmake>=2.6: cmake-3.11.2 found => Required system package doxygen>=1.5: doxygen-1.8.14 found => Required system package eigen3>=3.2.4: eigen3-3.3.5 found => Required system package g++>=3: g++-8 found => Required system package gcc>=3: gcc-8 found => Required system package latex>=3.14: latex-3.14159265 found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-1.4.2 found => Required system package tinyxml>=2: tinyxml-2.6.2 found => Required system package urdfdom>=0.2.8<1: urdfdom-0.4.2 found => Required robotpkg package hpp-constraints>=4.1: hpp-constraints-4.1 found => Required robotpkg package hpp-fcl>=0.5: hpp-fcl-0.6.0 found => Required robotpkg package hpp-pinocchio>=4.1: hpp-pinocchio-4.1 found => Required robotpkg package hpp-statistics>=1.1.1: hpp-statistics-1.1.1 found => Required robotpkg package hpp-util>=3.3: hpp-util-3.3 found => Required robotpkg package pinocchio>=1.2.8: pinocchio-1.2.9r2 found => SHA1 checksums OK => RMD160 checksums OK => Applying robotpkg patches for hpp-core-4.1 An unexpected error occured. The last 10 log lines are shown below. | /usr/include/boost/fusion/container/vector/detail/deref_impl.hpp:47:49: error: binding reference of type 'boost::fusion::extension::deref_impl::apply, 0, Eigen::InnerStride<1> >, Eigen::Ref, 0, Eigen::InnerStride<1> >, const double, double&>, 2> >::type' {aka 'double&'} to 'const double' discards qualifiers | return i.vec.at_impl(index()); | ^ | make[2]: *** [src/CMakeFiles/hpp-core.dir/build.make:937: src/CMakeFiles/hpp-core.dir/weighed-distance.cc.o] Error 1 | make[2]: *** Waiting for unfinished jobs.... | make[2]: Leaving directory '/local/robotpkg/var/tmp/robotpkg/path/hpp-core/work/hpp-core-4.1' | make[2]: *** [src/CMakeFiles/hpp-core.dir/build.make:898: src/CMakeFiles/hpp-core.dir/steering-method/spline.cc.o] Error 1 | make[1]: Leaving directory '/local/robotpkg/var/tmp/robotpkg/path/hpp-core/work/hpp-core-4.1' | make[1]: *** [CMakeFiles/Makefile2:537: src/CMakeFiles/hpp-core.dir/all] Error 2 | make: *** [Makefile:144: all] Error 2 For details or bug reports, check the complete log file in: /local/robotpkg/var/tmp/robotpkg/path/hpp-core/work/build.log make[3]: *** [/local/robotpkg/var/lib/robotpkg/mk/build/build.mk:199: do-build] Error 2 make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/pkg/package.mk:42: pkg-check-installed] Error 2 => Marking hpp-core-4.1 as broken ERROR: make: *** [package] Error 2 ===> Logging bulk summary for hpp-core-4.1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for hpp-core-4.1 ===> Done bulk for hpp-core-4.1 [96%] Processing path/hpp-corbaserver:hpp-corbaserver-4.1 ===> Cleaning temporary files for hpp-corbaserver-4.1 ===> Bulk building for hpp-corbaserver-4.1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.9 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/hpp-constraints-4.1.tgz ERROR: Required robotpkg package hpp-core>=4.1: BROKEN => Dependency hpp-fcl-0.6.0 already installed => Dependency hpp-pinocchio-4.1 already installed => Dependency pinocchio-1.2.9r2 already installed => Dependency tnftp-20130505~ssl already installed ===> Logging bulk summary for hpp-corbaserver-4.1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for hpp-corbaserver-4.1 ===> Done bulk for hpp-corbaserver-4.1 [96%] Processing path/hpp-walkgen:hpp-walkgen-4.1 ===> Cleaning temporary files for hpp-walkgen-4.1 ===> Bulk building for hpp-walkgen-4.1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.9 found => Required system package patch>=2.0: patch-2.7.6 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/hpp-constraints-4.1.tgz ERROR: Required robotpkg package hpp-core>=4.1: BROKEN => Dependency hpp-fcl-0.6.0 already installed => Dependency hpp-pinocchio-4.1 already installed => Dependency hpp-util-3.3 already installed => Dependency log4cxx-0.10.0r1~doc already installed => Dependency pinocchio-1.2.9r2 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/roboptim-trajectory-3.1r1.tgz => Dependency tnftp-20130505~ssl already installed ===> Logging bulk summary for hpp-walkgen-4.1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for hpp-walkgen-4.1 ===> Done bulk for hpp-walkgen-4.1 [96%] Processing graphics/ros-interactive-markers:ros-interactive-markers-1.11.4 ===> Cleaning temporary files for ros-interactive-markers-1.11.4 ===> Bulk building for ros-interactive-markers-1.11.4 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gzip: gzip-1.9 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-catkin-0.7.14.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-comm-1.14.3.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-common-msgs-1.12.6.tgz => Dependency ros-genmsg-0.5.11 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-geometry-1.12.0.tgz => Dependency ros-message-generation-0.4.0 already installed => Dependency ros-message-runtime-0.4.12 already installed => Dependency ros-std-msgs-0.5.11 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=4.8 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Use ros melodic: ros==melodic provided by ros-melodic => Required system package cmake>=2.8.3: cmake-3.11.2 found => Required system package eigen3>=3.0.0: eigen3-3.3.5 found => Required system package g++>=4.8: g++-8 found => Required system package gcc>=3: gcc-8 found => Required system package googletest: googletest found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-1.4.2 found => Required system package py27-empy>=3: py27-empy-3.3.3 found => Required system package py27-nose>=0.10: py27-nose-1.3.7 found => Required system package python27>=2.7<2.8: python27-2.7.15 found => Required robotpkg package ros-catkin>=0.7<0.8: ros-catkin-0.7.14 found => Required robotpkg package ros-comm>=1.13<1.15: ros-comm-1.14.3 found => Required robotpkg package ros-common-msgs>=1.12<1.13: ros-common-msgs-1.12.6 found => Required robotpkg package ros-genmsg>=0.5<0.6: ros-genmsg-0.5.11 found => Required robotpkg package ros-geometry>=1.12<1.13: ros-geometry-1.12.0 found => Required robotpkg package ros-message-generation>=0.4<0.5: ros-message-generation-0.4.0 found => Required robotpkg package ros-message-runtime>=0.4<0.5: ros-message-runtime-0.4.12 found => Required robotpkg package ros-std-msgs>=0.5: ros-std-msgs-0.5.11 found => SHA1 checksums OK => RMD160 checksums OK => Running PRE-INSTALL script actions => Running POST-INSTALL script actions => Compiling python files => Adding run-time search paths to pkg-config files => Registering installation for ros-interactive-markers-1.11.4 => Linking package in /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/pub ===> Logging bulk summary for ros-interactive-markers-1.11.4 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for ros-interactive-markers-1.11.4 ===> Done bulk for ros-interactive-markers-1.11.4 [96%] Processing motion/sot-romeo:sot-romeo-1.1.0 ===> Cleaning temporary files for sot-romeo-1.1.0 ===> Bulk building for sot-romeo-1.1.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.9 found => Required system package patch>=2.0: patch-2.7.6 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/dynamic-graph-2.5.7.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/dynamic-graph-bridge-2.0.9r1.tgz => Dependency dynamic-graph-bridge-msgs-0.2.0 already installed => Dependency jrl-mal-1.19.6r1~jrl-mathtools already installed => Dependency py27-dynamic-graph-2.5.6r2 already installed => Dependency py27-sot-tools-1.0.1 already installed => Dependency ros-comm-1.14.3 already installed => Dependency ros-message-runtime-0.4.12 already installed => Dependency ros-realtime-tools-1.11.0 already installed => Dependency ros-std-msgs-0.5.11 already installed => Dependency sot-core-2.9.10 already installed => Dependency sot-dynamic-2.9.2 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Use ros melodic: ros>=groovy ros>=hydro provided by ros-melodic => Required system package bullet>=2.75: bullet-2.87 found => Required system package cmake>=2.6: cmake-3.11.2 found => Required system package doxygen>=1.5: doxygen-1.8.14 found => Required system package g++>=3: g++-8 found => Required system package gcc>=3: gcc-8 found => Required system package graphviz>=2: graphviz-2.40.1 found => Required system package libstdc++: libstdc++ found => Required system package pdflatex: pdflatex found => Required system package pkg-config>=0.22: pkg-config-1.4.2 found => Required system package python27>=2.7<2.8: python27-2.7.15 found => Required robotpkg package dynamic-graph>=2.5.6: dynamic-graph-2.5.7 found => Required robotpkg package dynamic-graph-bridge>=1.0.0: dynamic-graph-bridge-2.0.9r1 found => Required robotpkg package dynamic-graph-bridge-msgs>=0.2.0: dynamic-graph-bridge-msgs-0.2.0 found => Required robotpkg package jrl-mal>=1.8.3: jrl-mal-1.19.6r1~jrl-mathtools found => Required robotpkg package py27-dynamic-graph>=2.5: py27-dynamic-graph-2.5.6r2 found => Required robotpkg package py27-sot-tools>=1.0: py27-sot-tools-1.0.1 found => Required robotpkg package ros-comm>=1.13<1.15: ros-comm-1.14.3 found => Required robotpkg package ros-message-runtime>=0.4<0.5: ros-message-runtime-0.4.12 found => Required robotpkg package ros-realtime-tools>=1.8.2: ros-realtime-tools-1.11.0 found => Required robotpkg package ros-std-msgs>=0.5: ros-std-msgs-0.5.11 found => Required robotpkg package sot-core>=2.5: sot-core-2.9.10 found => Required robotpkg package sot-dynamic>=2.5: sot-dynamic-2.9.2 found => SHA1 checksums OK => RMD160 checksums OK => Applying robotpkg patches for sot-romeo-1.1.0 => Compiling python files => Adding run-time search paths to pkg-config files => Registering installation for sot-romeo-1.1.0 => Linking package in /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/pub ===> Logging bulk summary for sot-romeo-1.1.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for sot-romeo-1.1.0 ===> Done bulk for sot-romeo-1.1.0 [96%] Processing sysutils/ros-rqt-graph:ros-rqt-graph-0.4.10 ===> Cleaning temporary files for ros-rqt-graph-0.4.10 ===> Bulk building for ros-rqt-graph-0.4.10 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gzip: gzip-1.9 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/py27-rospkg-1.1.7.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-catkin-0.7.14.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-class-loader-0.4.1.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-comm-1.14.3.tgz => Dependency ros-pluginlib-1.12.1 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-python-qt-binding-0.3.4.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-qt-gui-core-0.3.11.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-rqt-0.5.0.tgz => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=4.8 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Use ros melodic: ros==melodic provided by ros-melodic => Required system package cmake>=2.8.3: cmake-3.11.2 found => Required system package g++>=4.8: g++-8 found => Required system package gcc>=3: gcc-8 found => Required system package googletest: googletest found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-1.4.2 found => Required system package py27-empy>=3: py27-empy-3.3.3 found => Required system package py27-nose>=0.10: py27-nose-1.3.7 found => Required system package python27>=2.7<2.8: python27-2.7.15 found => Required robotpkg package py27-rospkg>=1.0.29: py27-rospkg-1.1.7 found => Required robotpkg package ros-catkin>=0.7<0.8: ros-catkin-0.7.14 found => Required robotpkg package ros-class-loader>=0.4<0.5: ros-class-loader-0.4.1 found => Required robotpkg package ros-comm>=1.13<1.15: ros-comm-1.14.3 found => Required robotpkg package ros-pluginlib>=1.12<1.13: ros-pluginlib-1.12.1 found => Required robotpkg package ros-python-qt-binding>=0.2.10: ros-python-qt-binding-0.3.4 found => Required robotpkg package ros-qt-gui-core>=0.3<0.4: ros-qt-gui-core-0.3.11 found => Required robotpkg package ros-rqt>=0.3<0.6: ros-rqt-0.5.0 found => SHA1 checksums OK => RMD160 checksums OK => Replacing python interpreter path => Running PRE-INSTALL script actions => Running POST-INSTALL script actions => Compiling python files => Adding run-time search paths to pkg-config files => Registering installation for ros-rqt-graph-0.4.10 => Linking package in /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/pub ===> Logging bulk summary for ros-rqt-graph-0.4.10 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for ros-rqt-graph-0.4.10 ===> Done bulk for ros-rqt-graph-0.4.10 [97%] Processing simulation/gazebo-ros-pkgs:gazebo-ros-pkgs-2.8.4 ===> Cleaning temporary files for gazebo-ros-pkgs-2.8.4 ===> Bulk building for gazebo-ros-pkgs-2.8.4 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gzip: gzip-1.9 found => Required system package patch>=2.0: patch-2.7.6 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-angles-1.9.11.tgz => Dependency ros-catkin-0.7.14 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-class-loader-0.4.1.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-cmake-modules-0.4.1.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-comm-1.14.3.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-common-msgs-1.12.6.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-control-0.15.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-control-toolbox-1.16.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-diagnostics-1.9.3.tgz => Dependency ros-dynamic-reconfigure-1.5.49 already installed => Dependency ros-genmsg-0.5.11 already installed => Dependency ros-geometry-1.12.0 already installed => Dependency ros-geometry2-0.6.3 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-image-common-1.11.13.tgz => Dependency ros-message-generation-0.4.0 already installed => Dependency ros-nodelet-core-1.9.16 already installed => Dependency ros-pluginlib-1.12.1 already installed => Dependency ros-ros-1.14.4 already installed => Dependency ros-std-msgs-0.5.11 already installed => Dependency ros-urdf-1.13.1 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-vision-opencv-1.13.0.tgz => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=4.8 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Use ros melodic: ros==melodic ros>=groovy ros>=hydro ros>=hydro ros>=hydro provided by ros-melodic => Required system package boost-headers>=1.34.1: boost-headers-1.66 found => Required system package boostlib-filesystem>=1.34.1: boost-libs-1.66.0 found => Required system package boostlib-iostreams>=1.34.1: boost-libs-1.66.0 found => Required system package boostlib-math>=1.34.1: boost-libs-1.66.0 found => Required system package boostlib-thread>=1.34.1: boost-libs-1.66.0 found => Required system package cmake>=2.8.3: cmake-3.11.2 found => Required system package eigen3>=3.0.0: eigen3-3.3.5 found => Required system package g++>=4.8: g++-8 found => Required system package gazebo>=1: gazebo-8.3.0 found => Required system package gcc>=3: gcc-8 found => Required system package googletest: googletest found => Required system package libstdc++: libstdc++ found => Required system package libxml2>=2: libxml2-2.9.8 found => Required system package pkg-config>=0.22: pkg-config-1.4.2 found => Required system package py27-empy>=3: py27-empy-3.3.3 found => Required system package py27-nose>=0.10: py27-nose-1.3.7 found => Required system package python27>=2.7<2.8: python27-2.7.15 found => Required system package tinyxml>=2: tinyxml-2.6.2 found => Required robotpkg package ros-angles>=1.9: ros-angles-1.9.11 found => Required robotpkg package ros-catkin>=0.7<0.8: ros-catkin-0.7.14 found => Required robotpkg package ros-class-loader>=0.4<0.5: ros-class-loader-0.4.1 found => Required robotpkg package ros-cmake-modules>=0.3: ros-cmake-modules-0.4.1 found => Required robotpkg package ros-comm>=1.13<1.15: ros-comm-1.14.3 found => Required robotpkg package ros-common-msgs>=1.12<1.13: ros-common-msgs-1.12.6 found => Required robotpkg package ros-control>=0.14<0.16: ros-control-0.15.0 found => Required robotpkg package ros-control-toolbox>=1.16<1.17: ros-control-toolbox-1.16.0 found => Required robotpkg package ros-diagnostics>=1.9<1.10: ros-diagnostics-1.9.3 found => Required robotpkg package ros-dynamic-reconfigure>=1.5.32: ros-dynamic-reconfigure-1.5.49 found => Required robotpkg package ros-genmsg>=0.5<0.6: ros-genmsg-0.5.11 found => Required robotpkg package ros-geometry>=1.12<1.13: ros-geometry-1.12.0 found => Required robotpkg package ros-geometry2>=0.6<0.7: ros-geometry2-0.6.3 found => Required robotpkg package ros-image-common>=1.11<1.12: ros-image-common-1.11.13 found => Required robotpkg package ros-message-generation>=0.4<0.5: ros-message-generation-0.4.0 found => Required robotpkg package ros-nodelet-core>=1.9<1.10: ros-nodelet-core-1.9.16 found => Required robotpkg package ros-pluginlib>=1.12<1.13: ros-pluginlib-1.12.1 found => Required robotpkg package ros-ros>=1.14<1.15: ros-ros-1.14.4 found => Required robotpkg package ros-std-msgs>=0.5: ros-std-msgs-0.5.11 found => Required robotpkg package ros-urdf>=1.13<1.14: ros-urdf-1.13.1 found => Required robotpkg package ros-vision-opencv>=1.13<1.14: ros-vision-opencv-1.13.0 found => SHA1 checksums OK => RMD160 checksums OK => Applying robotpkg patches for gazebo-ros-pkgs-2.8.4 => Replacing python interpreter path => Running PRE-INSTALL script actions => Running POST-INSTALL script actions => Compiling python files => Adding run-time search paths to pkg-config files => Registering installation for gazebo-ros-pkgs-2.8.4 => Linking package in /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/pub ===> Logging bulk summary for gazebo-ros-pkgs-2.8.4 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for gazebo-ros-pkgs-2.8.4 ===> Done bulk for gazebo-ros-pkgs-2.8.4 [97%] Processing meta-pkgs/hpp:hpp-20180711 ===> Cleaning temporary files for hpp-20180711 ===> Bulk building for hpp-20180711 => Checking for clear installation => Required system package gzip: gzip-1.9 found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/hpp-constraints-4.1.tgz ERROR: Required robotpkg package hpp-corbaserver>=4.1: BROKEN ERROR: Required robotpkg package hpp-core>=4.1: BROKEN => Dependency hpp-fcl-0.6.0 already installed => Dependency hpp-pinocchio-4.1 already installed => Dependency hpp-util-3.3 already installed => Dependency pinocchio-1.2.9r2 already installed ===> Logging bulk summary for hpp-20180711 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for hpp-20180711 ===> Done bulk for hpp-20180711 [97%] Processing path/hpp-wholebody-step:hpp-wholebody-step-4.1r1 ===> Cleaning temporary files for hpp-wholebody-step-4.1r1 ===> Bulk building for hpp-wholebody-step-4.1r1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.9 found => Required system package patch>=2.0: patch-2.7.6 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/hpp-constraints-4.1.tgz ERROR: Required robotpkg package hpp-core>=4.1: BROKEN ERROR: Required robotpkg package hpp-walkgen>=4.1: BROKEN => Dependency log4cxx-0.10.0r1~doc already installed => Dependency tnftp-20130505~ssl already installed ===> Logging bulk summary for hpp-wholebody-step-4.1r1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for hpp-wholebody-step-4.1r1 ===> Done bulk for hpp-wholebody-step-4.1r1 [97%] Processing graphics/hpp-gepetto-viewer:hpp-gepetto-viewer-4.1 ===> Cleaning temporary files for hpp-gepetto-viewer-4.1 ===> Bulk building for hpp-gepetto-viewer-4.1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.9 found => Required system package patch>=2.0: patch-2.7.6 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/gepetto-viewer-corba-2.3.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/hpp-constraints-4.1.tgz ERROR: Required robotpkg package hpp-corbaserver>=4.1: BROKEN ERROR: Required robotpkg package hpp-core>=4.1: BROKEN => Dependency hpp-fcl-0.6.0 already installed => Dependency hpp-pinocchio-4.1 already installed => Dependency hpp-util-3.3 already installed => Dependency pinocchio-1.2.9r2 already installed => Dependency tnftp-20130505~ssl already installed ===> Logging bulk summary for hpp-gepetto-viewer-4.1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for hpp-gepetto-viewer-4.1 ===> Done bulk for hpp-gepetto-viewer-4.1 [98%] Processing sysutils/ros-rviz:ros-rviz-1.13.1 ===> Cleaning temporary files for ros-rviz-1.13.1 ===> Bulk building for ros-rviz-1.13.1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gzip: gzip-1.9 found => Required system package patch>=2.0: patch-2.7.6 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-catkin-0.7.14.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-class-loader-0.4.1.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-cmake-modules-0.4.1.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-comm-1.14.3.tgz => Dependency ros-comm-msgs-1.11.2r1 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-common-msgs-1.12.6.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-geometry-1.12.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-image-common-1.11.13.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-interactive-markers-1.11.4.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-laser-geometry-1.6.4.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-navigation-msgs-1.13.0.tgz => Dependency ros-pluginlib-1.12.1 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-python-qt-binding-0.3.4.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-resource-retriever-1.12.4.tgz => Dependency ros-ros-1.14.4 already installed => Dependency ros-std-msgs-0.5.11 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-urdf-1.13.1.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-vision-opencv-1.13.0.tgz => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=4.8 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Use ros melodic: ros==melodic ros>=groovy ros>=indigo ros>=jade ros>=groovy provided by ros-melodic => Required system package assimp>=2.0: assimp-3.3.1 found => Required system package cmake>=2.8.3: cmake-3.11.2 found => Required system package eigen3>=3.0.0: eigen3-3.3.5 found => Required system package g++>=4.8: g++-8 found => Required system package gcc>=3: gcc-8 found => Required system package googletest: googletest found => Required system package libogre>=1.7: libogre-1.9.0 found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-1.4.2 found => Required system package py27-empy>=3: py27-empy-3.3.3 found => Required system package py27-nose>=0.10: py27-nose-1.3.7 found => Required system package python27>=2.7<2.8: python27-2.7.15 found => Required system package qt5-qtbase>=5<6: qt5-qtbase-5.11.1 found => Required system package tinyxml>=2: tinyxml-2.6.2 found => Required system package yaml-cpp>=0.5: yaml-cpp-0.6.0 found => Required robotpkg package ros-catkin>=0.7<0.8: ros-catkin-0.7.14 found => Required robotpkg package ros-class-loader>=0.4<0.5: ros-class-loader-0.4.1 found => Required robotpkg package ros-cmake-modules>=0.3: ros-cmake-modules-0.4.1 found => Required robotpkg package ros-comm>=1.13<1.15: ros-comm-1.14.3 found => Required robotpkg package ros-comm-msgs>=1.10.3: ros-comm-msgs-1.11.2r1 found => Required robotpkg package ros-common-msgs>=1.12<1.13: ros-common-msgs-1.12.6 found => Required robotpkg package ros-geometry>=1.12<1.13: ros-geometry-1.12.0 found => Required robotpkg package ros-image-common>=1.11<1.12: ros-image-common-1.11.13 found => Required robotpkg package ros-interactive-markers>=1.11<1.12: ros-interactive-markers-1.11.4 found => Required robotpkg package ros-laser-geometry>=1.6<1.7: ros-laser-geometry-1.6.4 found => Required robotpkg package ros-navigation-msgs>=1: ros-navigation-msgs-1.13.0 found => Required robotpkg package ros-pluginlib>=1.12<1.13: ros-pluginlib-1.12.1 found => Required robotpkg package ros-python-qt-binding>=0.2.10: ros-python-qt-binding-0.3.4 found => Required robotpkg package ros-resource-retriever>=1.12<1.13: ros-resource-retriever-1.12.4 found => Required robotpkg package ros-ros>=1.14<1.15: ros-ros-1.14.4 found => Required robotpkg package ros-std-msgs>=0.5: ros-std-msgs-0.5.11 found => Required robotpkg package ros-urdf>=1.13<1.14: ros-urdf-1.13.1 found => Required robotpkg package ros-vision-opencv>=1.13<1.14: ros-vision-opencv-1.13.0 found => SHA1 checksums OK => RMD160 checksums OK => Applying robotpkg patches for ros-rviz-1.13.1 => Running PRE-INSTALL script actions => Running POST-INSTALL script actions => Compiling python files => Adding run-time search paths to pkg-config files => Registering installation for ros-rviz-1.13.1 => Linking package in /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/pub ===> Logging bulk summary for ros-rviz-1.13.1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for ros-rviz-1.13.1 ===> Done bulk for ros-rviz-1.13.1 [98%] Processing path/hpp-wholebody-step-corba:hpp-wholebody-step-corba-4.1 ===> Cleaning temporary files for hpp-wholebody-step-corba-4.1 ===> Bulk building for hpp-wholebody-step-corba-4.1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.9 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/hpp-constraints-4.1.tgz ERROR: Required robotpkg package hpp-corbaserver>=4.1: BROKEN ERROR: Required robotpkg package hpp-core>=4.1: BROKEN => Dependency hpp-fcl-0.6.0 already installed => Dependency hpp-pinocchio-4.1 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/hpp-template-corba-1.1.5.tgz => Dependency hpp-util-3.3 already installed ERROR: Required robotpkg package hpp-wholebody-step>=4.1: BROKEN => Dependency pinocchio-1.2.9r2 already installed => Dependency tnftp-20130505~ssl already installed ===> Logging bulk summary for hpp-wholebody-step-corba-4.1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for hpp-wholebody-step-corba-4.1 ===> Done bulk for hpp-wholebody-step-corba-4.1 [98%] Processing graphics/ros-rqt-common-plugins:ros-rqt-common-plugins-0.4.8 ===> Cleaning temporary files for ros-rqt-common-plugins-0.4.8 ===> Bulk building for ros-rqt-common-plugins-0.4.8 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gzip: gzip-1.9 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-catkin-0.7.14.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-rqt-graph-0.4.10.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-rqt-plot-0.4.8.tgz => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Use ros melodic: ros==melodic provided by ros-melodic => Required system package cmake>=2.8.3: cmake-3.11.2 found => Required system package g++>=3: g++-8 found => Required system package gcc>=3: gcc-8 found => Required system package googletest: googletest found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-1.4.2 found => Required system package py27-empy>=3: py27-empy-3.3.3 found => Required system package py27-nose>=0.10: py27-nose-1.3.7 found => Required system package python27>=2.7<2.8: python27-2.7.15 found => Required robotpkg package ros-catkin>=0.7<0.8: ros-catkin-0.7.14 found => Required robotpkg package ros-rqt-graph>=0.2: ros-rqt-graph-0.4.10 found => Required robotpkg package ros-rqt-plot>=0.2: ros-rqt-plot-0.4.8 found => SHA1 checksums OK => RMD160 checksums OK => Running PRE-INSTALL script actions => Running POST-INSTALL script actions => Compiling python files => Adding run-time search paths to pkg-config files => Registering installation for ros-rqt-common-plugins-0.4.8 => Linking package in /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/pub ===> Logging bulk summary for ros-rqt-common-plugins-0.4.8 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for ros-rqt-common-plugins-0.4.8 ===> Done bulk for ros-rqt-common-plugins-0.4.8 [98%] Processing path/hpp-manipulation:hpp-manipulation-4.1 ===> Cleaning temporary files for hpp-manipulation-4.1 ===> Bulk building for hpp-manipulation-4.1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.9 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/hpp-constraints-4.1.tgz ERROR: Required robotpkg package hpp-core>=4.1: BROKEN => Dependency hpp-statistics-1.1.1 already installed => Dependency hpp-util-3.3 already installed ERROR: Required robotpkg package hpp-wholebody-step>=4.1: BROKEN => Dependency log4cxx-0.10.0r1~doc already installed => Dependency tnftp-20130505~ssl already installed ===> Logging bulk summary for hpp-manipulation-4.1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for hpp-manipulation-4.1 ===> Done bulk for hpp-manipulation-4.1 [99%] Processing meta-pkgs/ros-desktop:ros-desktop-1.4.1 ===> Cleaning temporary files for ros-desktop-1.4.1 ===> Bulk building for ros-desktop-1.4.1 => Checking for clear installation => Required system package gzip: gzip-1.9 found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-actionlib-1.11.13.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-angles-1.9.11.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-bond-core-1.8.2.tgz => Dependency ros-comm-1.14.3 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-control-msgs-1.4.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-diagnostics-1.9.3.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-dynamic-reconfigure-1.5.49.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-executive-smach-2.0.1.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-filters-1.8.1.tgz => Dependency ros-geometry-1.12.0 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-joint-state-publisher-1.12.13.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-kdl-parser-1.13.1.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-lint-0.11.2.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-nodelet-core-1.9.16.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-robot-state-publisher-1.13.6.tgz => Dependency ros-ros-1.14.4 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-rqt-common-plugins-0.4.8.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-rviz-1.13.1.tgz => Dependency ros-urdf-1.13.1 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/ros-xacro-1.13.2.tgz => : c++-compiler provided by => Use python-2.7: python>=2.5<3.7 provided by python27>=2.7<2.8 => Use ros melodic: ros==melodic ros>=groovy ros>=groovy provided by ros-melodic => Required system package eigen3>=3.0.0: eigen3-3.3.5 found => Required system package python27>=2.7<2.8: python27-2.7.15 found => Required system package tinyxml>=2: tinyxml-2.6.2 found => Required system package tinyxml2>=2: tinyxml2-26.20.20 found => Required robotpkg package ros-actionlib>=1.11<1.12: ros-actionlib-1.11.13 found => Required robotpkg package ros-angles>=1.9: ros-angles-1.9.11 found => Required robotpkg package ros-bond-core>=1.7: ros-bond-core-1.8.2 found => Required robotpkg package ros-comm>=1.13<1.15: ros-comm-1.14.3 found => Required robotpkg package ros-control-msgs>=1.4<1.5: ros-control-msgs-1.4.0 found => Required robotpkg package ros-diagnostics>=1.9<1.10: ros-diagnostics-1.9.3 found => Required robotpkg package ros-dynamic-reconfigure>=1.5.32: ros-dynamic-reconfigure-1.5.49 found => Required robotpkg package ros-executive-smach>=2.0<2.1: ros-executive-smach-2.0.1 found => Required robotpkg package ros-filters>=1.8<1.9: ros-filters-1.8.1 found => Required robotpkg package ros-geometry>=1.12<1.13: ros-geometry-1.12.0 found => Required robotpkg package ros-joint-state-publisher>=1.12<1.13: ros-joint-state-publisher-1.12.13 found => Required robotpkg package ros-kdl-parser>=1.13<1.14: ros-kdl-parser-1.13.1 found => Required robotpkg package ros-lint>=0.9: ros-lint-0.11.2 found => Required robotpkg package ros-nodelet-core>=1.9<1.10: ros-nodelet-core-1.9.16 found => Required robotpkg package ros-robot-state-publisher>=1.9: ros-robot-state-publisher-1.13.6 found => Required robotpkg package ros-ros>=1.14<1.15: ros-ros-1.14.4 found => Required robotpkg package ros-rqt-common-plugins>=0.2: ros-rqt-common-plugins-0.4.8 found => Required robotpkg package ros-rviz>=1.9: ros-rviz-1.13.1 found => Required robotpkg package ros-urdf>=1.13<1.14: ros-urdf-1.13.1 found => Required robotpkg package ros-xacro>=1.13<1.14: ros-xacro-1.13.2 found => Compiling python files => Registering installation for ros-desktop-1.4.1 => Linking package in /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/pub ===> Logging bulk summary for ros-desktop-1.4.1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for ros-desktop-1.4.1 ===> Done bulk for ros-desktop-1.4.1 [99%] Processing path/hpp-manipulation-urdf:hpp-manipulation-urdf-4.1 ===> Cleaning temporary files for hpp-manipulation-urdf-4.1 ===> Bulk building for hpp-manipulation-urdf-4.1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.9 found => Required system package patch>=2.0: patch-2.7.6 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/hpp-fcl-0.6.0.tgz ERROR: Required robotpkg package hpp-manipulation>=4.1: BROKEN => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/hpp-util-3.3.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/log4cxx-0.10.0r1~doc.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/pinocchio-1.2.9r2.tgz => Dependency tnftp-20130505~ssl already installed ===> Logging bulk summary for hpp-manipulation-urdf-4.1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for hpp-manipulation-urdf-4.1 ===> Done bulk for hpp-manipulation-urdf-4.1 [99%] Processing path/hpp-manipulation-corba:hpp-manipulation-corba-4.1 ===> Cleaning temporary files for hpp-manipulation-corba-4.1 ===> Bulk building for hpp-manipulation-corba-4.1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.9 found => Required system package patch>=2.0: patch-2.7.6 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/hpp-constraints-4.1.tgz ERROR: Required robotpkg package hpp-corbaserver>=4.1: BROKEN ERROR: Required robotpkg package hpp-core>=4.1: BROKEN => Dependency hpp-fcl-0.6.0 already installed ERROR: Required robotpkg package hpp-manipulation>=4.1: BROKEN ERROR: Required robotpkg package hpp-manipulation-urdf>=4.1: BROKEN => Dependency hpp-pinocchio-4.1 already installed => Dependency hpp-util-3.3 already installed ERROR: Required robotpkg package hpp-wholebody-step-corba>=4.1: BROKEN => Dependency pinocchio-1.2.9r2 already installed => Dependency tnftp-20130505~ssl already installed ===> Logging bulk summary for hpp-manipulation-corba-4.1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for hpp-manipulation-corba-4.1 ===> Done bulk for hpp-manipulation-corba-4.1 [99%] Processing doc/hpp-tutorial:hpp-tutorial-1.1 ===> Cleaning temporary files for hpp-tutorial-1.1 ===> Bulk building for hpp-tutorial-1.1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.9 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-28-x86_64/All/hpp-constraints-4.1.tgz ERROR: Required robotpkg package hpp-corbaserver>=4.1: BROKEN ERROR: Required robotpkg package hpp-core>=4.1: BROKEN => Dependency hpp-fcl-0.6.0 already installed ERROR: Required robotpkg package hpp-gepetto-viewer>=4.1: BROKEN ERROR: Required robotpkg package hpp-manipulation-corba>=4.1: BROKEN => Dependency hpp-pinocchio-4.1 already installed => Dependency hpp-util-3.3 already installed => Dependency pinocchio-1.2.9r2 already installed => Dependency ros-catkin-0.7.14 already installed => Dependency tnftp-20130505~ssl already installed ===> Logging bulk summary for hpp-tutorial-1.1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for hpp-tutorial-1.1 ===> Done bulk for hpp-tutorial-1.1 ===> Done bulk for rbulk base set real 111m22.912s user 159m3.747s sys 17m45.342s --- Updating bulk database --------------------------------------- Collecting session logs in /local/robotpkg/var/log/bulk updated robotpkgdb-20180925~csv+sqlite updated jafar-kernel-0.6r1 updated matlab-genomix-1.7.2 updated py27-eigenpy-1.4.4 updated py36-eigenpy-1.4.4 updated orocos-kdl-1.4.0 updated openvrml-libs-0.18.9 updated pkgrepo2deb-1.4 updated tk3-matlab-1.6 updated omniORBpy-3.1r3 updated vcglib-20100824~doc updated py27-orocos-kdl-1.4.0 updated py32-orocos-kdl-1.4.0 updated py34-orocos-kdl-1.4.0 updated py35-orocos-kdl-1.4.0 updated py36-orocos-kdl-1.4.0 updated py36-rospkg-1.1.7 updated hpp-geometry-1.3.2 updated jafar-jmath-0.5 updated py36-rosdistro-0.3.5 updated jafar-image-2.3 updated ros-orocos-kinematics-dynamics-1.4.0 updated jafar-correl-0.3 updated py36-rosdep-0.10.30 updated jafar-gdhe-0.1r3 updated py27-pinocchio-1.2.9 updated py36-pinocchio-1.2.9 updated jafar-20130522 updated ros-python-qt-binding-0.3.4 updated ros-joint-state-publisher-1.12.13 updated ros-geometry2-0.6.3 updated ros-qt-gui-core-0.3.11 updated ros-rqt-0.5.0 updated ros-geometry-1.12.0 updated ros-laser-geometry-1.6.4 updated ros-kdl-parser-1.13.1 updated ros-rqt-plot-0.4.8 updated ros-diagnostics-1.9.3 updated ros-robot-state-publisher-1.13.6 updated ros-robot-1.4.1 updated ros-control-0.15.0 updated dynamic-graph-bridge-2.0.9r1 updated hpp-core-4.1 updated hpp-corbaserver-4.1 updated hpp-walkgen-4.1 updated ros-interactive-markers-1.11.4 updated sot-romeo-1.1.0 updated ros-rqt-graph-0.4.10 updated gazebo-ros-pkgs-2.8.4 updated hpp-20180711 updated hpp-wholebody-step-4.1r1 updated hpp-gepetto-viewer-4.1 updated ros-rviz-1.13.1 updated hpp-wholebody-step-corba-4.1 updated ros-rqt-common-plugins-0.4.8 updated hpp-manipulation-4.1 updated ros-desktop-1.4.1 updated hpp-manipulation-urdf-4.1 updated hpp-manipulation-corba-4.1 updated hpp-tutorial-1.1 processed 60 packages